package devmgr.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import devmgr.api.symbol.AsyncMirrorGroupIncompleteMember;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
@ApiModel
public class AmgIncompleteMember extends AsyncMirrorGroupIncompleteMember implements RemoteMirror {
    public String getId(){
        return getMemberRef();
    }

    @ApiModelProperty(value = "The WWN of the target array in the mirroring relationship." +
            " This field may not be immediately available after an AMG is created.")
    private String remoteTargetWwn;

    @ApiModelProperty(value = "The user label of the target array in the mirroring relationship." +
            " This field may not be immediately available after an AMG is created, and will not be available in embedded mode.")
    private String remoteTargetName;

    @Override
    public String getRemoteTargetId() {
        return remoteTargetId;
    }

    @Override
    public void setRemoteTargetId(String remoteTargetId) {
        this.remoteTargetId = remoteTargetId;
    }

    @Override
    public String getRemoteTargetName() {
        return remoteTargetName;
    }

    @Override
    public void setRemoteTargetName(String remoteTargetName) {
        this.remoteTargetName = remoteTargetName;
    }

    @Override
    public String getRemoteTargetWwn() {
        return remoteTargetWwn;
    }

    @Override
    public void setRemoteTargetWwn(String remoteTargetWwn) {
        this.remoteTargetWwn = remoteTargetWwn;
    }

    @ApiModelProperty(value = "The id of the target array in the mirroring relationship." +
            " This field may not be immediately available after an AMG is created, and will not be" +
            " available in embedded mode.")
    private String remoteTargetId;
}
