package devmgr.api.model;

import devmgr.api.symbol.PIT;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * PIT extension
 */
@XmlRootElement
public class Snapshot extends PIT {
    private String baseVol;
    private String consistencyGroupId;

    /**
     * Id of the base volume
     *
     * @return
     */
    public String getBaseVol() {
        return baseVol;
    }

    public void setBaseVol(String baseVol) {
        this.baseVol = baseVol;
    }

    /**
     * Id of the associated consistency group
     *
     * @return
     */
    public String getConsistencyGroupId() {
        return consistencyGroupId;
    }

    public void setConsistencyGroupId(String consistencyGroupId) {
        this.consistencyGroupId = consistencyGroupId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof Snapshot)) {
            return false;
        }

        Snapshot snapshot = (Snapshot) o;
        if (!getPitRef().equals(snapshot.getPitRef())) {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = 31 * getPitRef().hashCode();
        return result;
    }
}
