package devmgr.api.runtime;

/**
 * This class tracks bindings of named entities (e.g. union alternates)
 * to their associated types.  Each such binding has an associated
 * case value within its union definition.
 */
public class AlternateBinding
extends TypeBinding
{
    public int caseValue;
    
    /**
     * Constructor.
     * @param caseValue
     * @param alternateName
     * @param alternateType
     */
    public AlternateBinding(int caseValue,
                            String alternateName, 
                            TypeSpec alternateType)
    {
        super(alternateName, alternateType);
        
        this.caseValue = caseValue;
    }
}