package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains static default values for ARVM. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(509)
public class ARVMDefaultAttributes implements Serializable {
	public ARVMDefaultAttributes() {
	}

	/** The minimum repository size (in bytes) for a mirror repository. */
	@io.swagger.annotations.ApiModelProperty(value ="The minimum repository size (in bytes) for a mirror repository." , required = true)
	@XmlElement(required = true)
	private long minimumRepositoryCapacityInBytes;

	/** @return The minimum repository size (in bytes) for a mirror repository. */
	public long getMinimumRepositoryCapacityInBytes() {
		return this.minimumRepositoryCapacityInBytes;
	}
	/** @param x The minimum repository size (in bytes) for a mirror repository. */
	public void setMinimumRepositoryCapacityInBytes(long x) {
		this.minimumRepositoryCapacityInBytes = x;
	}

	/** Maximum repository capacity as a percentage of the mirror capacity.. */
	@io.swagger.annotations.ApiModelProperty(value ="Maximum repository capacity as a percentage of the mirror capacity.." , required = true)
	@XmlElement(required = true)
	private int maxRepositoryCapacityAsPercentOfMirroredCapacity;

	/** @return Maximum repository capacity as a percentage of the mirror capacity.. */
	public int getMaxRepositoryCapacityAsPercentOfMirroredCapacity() {
		return this.maxRepositoryCapacityAsPercentOfMirroredCapacity;
	}
	/** @param x Maximum repository capacity as a percentage of the mirror capacity.. */
	public void setMaxRepositoryCapacityAsPercentOfMirroredCapacity(int x) {
		this.maxRepositoryCapacityAsPercentOfMirroredCapacity = x;
	}

	/** Default repository capacity as a percentage of the mirror capacity.. */
	@io.swagger.annotations.ApiModelProperty(value ="Default repository capacity as a percentage of the mirror capacity.." , required = true)
	@XmlElement(required = true)
	private int defaultRepositoryCapacityAsPercentOfMirroredCapacity;

	/** @return Default repository capacity as a percentage of the mirror capacity.. */
	public int getDefaultRepositoryCapacityAsPercentOfMirroredCapacity() {
		return this.defaultRepositoryCapacityAsPercentOfMirroredCapacity;
	}
	/** @param x Default repository capacity as a percentage of the mirror capacity.. */
	public void setDefaultRepositoryCapacityAsPercentOfMirroredCapacity(int x) {
		this.defaultRepositoryCapacityAsPercentOfMirroredCapacity = x;
	}

	/** Default repository utilization warning threshold percentage. */
	@io.swagger.annotations.ApiModelProperty(value ="Default repository utilization warning threshold percentage." , required = true)
	@XmlElement(required = true)
	private int defaultRepositoryUtilizationWarningThreshold;

	/** @return Default repository utilization warning threshold percentage. */
	public int getDefaultRepositoryUtilizationWarningThreshold() {
		return this.defaultRepositoryUtilizationWarningThreshold;
	}
	/** @param x Default repository utilization warning threshold percentage. */
	public void setDefaultRepositoryUtilizationWarningThreshold(int x) {
		this.defaultRepositoryUtilizationWarningThreshold = x;
	}

	/** Minimum sync interval in minutes. */
	@io.swagger.annotations.ApiModelProperty(value ="Minimum sync interval in minutes." , required = true)
	@XmlElement(required = true)
	private int minimumSyncIntervalInMinutes;

	/** @return Minimum sync interval in minutes. */
	public int getMinimumSyncIntervalInMinutes() {
		return this.minimumSyncIntervalInMinutes;
	}
	/** @param x Minimum sync interval in minutes. */
	public void setMinimumSyncIntervalInMinutes(int x) {
		this.minimumSyncIntervalInMinutes = x;
	}

	/** Default sync interval in minutes. */
	@io.swagger.annotations.ApiModelProperty(value ="Default sync interval in minutes." , required = true)
	@XmlElement(required = true)
	private int defaultSyncIntervalInMinutes;

	/** @return Default sync interval in minutes. */
	public int getDefaultSyncIntervalInMinutes() {
		return this.defaultSyncIntervalInMinutes;
	}
	/** @param x Default sync interval in minutes. */
	public void setDefaultSyncIntervalInMinutes(int x) {
		this.defaultSyncIntervalInMinutes = x;
	}

	/** Default sync completion time alert threshold. */
	@io.swagger.annotations.ApiModelProperty(value ="Default sync completion time alert threshold." , required = true)
	@XmlElement(required = true)
	private int defaultSyncCompletionTimeAlertThresholdInMinutes;

	/** @return Default sync completion time alert threshold. */
	public int getDefaultSyncCompletionTimeAlertThresholdInMinutes() {
		return this.defaultSyncCompletionTimeAlertThresholdInMinutes;
	}
	/** @param x Default sync completion time alert threshold. */
	public void setDefaultSyncCompletionTimeAlertThresholdInMinutes(int x) {
		this.defaultSyncCompletionTimeAlertThresholdInMinutes = x;
	}

	/** Default recovery point age alert threshold. */
	@io.swagger.annotations.ApiModelProperty(value ="Default recovery point age alert threshold." , required = true)
	@XmlElement(required = true)
	private int defaultRecoveryPointAgeAlertThresholdInMinutes;

	/** @return Default recovery point age alert threshold. */
	public int getDefaultRecoveryPointAgeAlertThresholdInMinutes() {
		return this.defaultRecoveryPointAgeAlertThresholdInMinutes;
	}
	/** @param x Default recovery point age alert threshold. */
	public void setDefaultRecoveryPointAgeAlertThresholdInMinutes(int x) {
		this.defaultRecoveryPointAgeAlertThresholdInMinutes = x;
	}

	/** Maximum timeout (in seconds) allowed for AMG connectivity test (specified in AsyncMirrorGroupConnectivityTestDescriptor). */
	@io.swagger.annotations.ApiModelProperty(value ="Maximum timeout (in seconds) allowed for AMG connectivity test (specified in AsyncMirrorGroupConnectivityTestDescriptor)." , required = true)
	@XmlElement(required = true)
	private int maximumConnectivityTestTimeout;

	/** @return Maximum timeout (in seconds) allowed for AMG connectivity test (specified in AsyncMirrorGroupConnectivityTestDescriptor). */
	public int getMaximumConnectivityTestTimeout() {
		return this.maximumConnectivityTestTimeout;
	}
	/** @param x Maximum timeout (in seconds) allowed for AMG connectivity test (specified in AsyncMirrorGroupConnectivityTestDescriptor). */
	public void setMaximumConnectivityTestTimeout(int x) {
		this.maximumConnectivityTestTimeout = x;
	}

	/** Maximum number of test iterations allowed for link latency test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_LATENCY_TEST). */
	@io.swagger.annotations.ApiModelProperty(value ="Maximum number of test iterations allowed for link latency test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_LATENCY_TEST)." , required = true)
	@XmlElement(required = true)
	private int maximumLinkLatencyTestIterations;

	/** @return Maximum number of test iterations allowed for link latency test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_LATENCY_TEST). */
	public int getMaximumLinkLatencyTestIterations() {
		return this.maximumLinkLatencyTestIterations;
	}
	/** @param x Maximum number of test iterations allowed for link latency test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_LATENCY_TEST). */
	public void setMaximumLinkLatencyTestIterations(int x) {
		this.maximumLinkLatencyTestIterations = x;
	}

	/** Maximum number of test iterations allowed for bandwidth test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_BANDWIDTH_TEST). */
	@io.swagger.annotations.ApiModelProperty(value ="Maximum number of test iterations allowed for bandwidth test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_BANDWIDTH_TEST)." , required = true)
	@XmlElement(required = true)
	private int maximumLinkBandwidthTestIterations;

	/** @return Maximum number of test iterations allowed for bandwidth test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_BANDWIDTH_TEST). */
	public int getMaximumLinkBandwidthTestIterations() {
		return this.maximumLinkBandwidthTestIterations;
	}
	/** @param x Maximum number of test iterations allowed for bandwidth test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_BANDWIDTH_TEST). */
	public void setMaximumLinkBandwidthTestIterations(int x) {
		this.maximumLinkBandwidthTestIterations = x;
	}

	/** The minimum repository size as 1/100ths of a percent of mirror capacity. */
	@io.swagger.annotations.ApiModelProperty(value ="The minimum repository size as 1/100ths of a percent of mirror capacity." , required = true)
	@XmlElement(required = true)
	private int minimumRepositoryCapacityInHundredthsOfPercentOfMirroredCapacity;

	/** @return The minimum repository size as 1/100ths of a percent of mirror capacity. */
	public int getMinimumRepositoryCapacityInHundredthsOfPercentOfMirroredCapacity() {
		return this.minimumRepositoryCapacityInHundredthsOfPercentOfMirroredCapacity;
	}
	/** @param x The minimum repository size as 1/100ths of a percent of mirror capacity. */
	public void setMinimumRepositoryCapacityInHundredthsOfPercentOfMirroredCapacity(int x) {
		this.minimumRepositoryCapacityInHundredthsOfPercentOfMirroredCapacity = x;
	}

	/** The default number of test iterations for a link latency test (specified in AsyncMirrorGroupConnectivityTestDesscriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_LATENCY_TEST). */
	@io.swagger.annotations.ApiModelProperty(value ="The default number of test iterations for a link latency test (specified in AsyncMirrorGroupConnectivityTestDesscriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_LATENCY_TEST)." , required = true)
	@XmlElement(required = true)
	private int defaultLinkLatencyTestIterations;

	/** @return The default number of test iterations for a link latency test (specified in AsyncMirrorGroupConnectivityTestDesscriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_LATENCY_TEST). */
	public int getDefaultLinkLatencyTestIterations() {
		return this.defaultLinkLatencyTestIterations;
	}
	/** @param x The default number of test iterations for a link latency test (specified in AsyncMirrorGroupConnectivityTestDesscriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_LATENCY_TEST). */
	public void setDefaultLinkLatencyTestIterations(int x) {
		this.defaultLinkLatencyTestIterations = x;
	}

	/** The default number of test iterations for a bandwidth test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_BANDWIDTH_TEST). */
	@io.swagger.annotations.ApiModelProperty(value ="The default number of test iterations for a bandwidth test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_BANDWIDTH_TEST)." , required = true)
	@XmlElement(required = true)
	private int defaultLinkBandwidthTestIterations;

	/** @return The default number of test iterations for a bandwidth test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_BANDWIDTH_TEST). */
	public int getDefaultLinkBandwidthTestIterations() {
		return this.defaultLinkBandwidthTestIterations;
	}
	/** @param x The default number of test iterations for a bandwidth test (specified in AsyncMirrorGroupConnectivityTestDescriptor when AsyncMirrorGroupConnectivityTestType is ASYNC_MIRROR_GROUP_LINK_BANDWIDTH_TEST). */
	public void setDefaultLinkBandwidthTestIterations(int x) {
		this.defaultLinkBandwidthTestIterations = x;
	}

	/** Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for a RECENT statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	@io.swagger.annotations.ApiModelProperty(value ="Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for a RECENT statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field)" , required = true)
	@XmlElement(required = true)
	private int defaultRecentStatisticsListLength;

	/** @return Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for a RECENT statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public int getDefaultRecentStatisticsListLength() {
		return this.defaultRecentStatisticsListLength;
	}
	/** @param x Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for a RECENT statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public void setDefaultRecentStatisticsListLength(int x) {
		this.defaultRecentStatisticsListLength = x;
	}

	/** Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for a RECENT statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	@io.swagger.annotations.ApiModelProperty(value ="Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for a RECENT statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field)" , required = true)
	@XmlElement(required = true)
	private int maxRecentStatisticsListLength;

	/** @return Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for a RECENT statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public int getMaxRecentStatisticsListLength() {
		return this.maxRecentStatisticsListLength;
	}
	/** @param x Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for a RECENT statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public void setMaxRecentStatisticsListLength(int x) {
		this.maxRecentStatisticsListLength = x;
	}

	/** Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for a LONGEST statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	@io.swagger.annotations.ApiModelProperty(value ="Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for a LONGEST statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field)" , required = true)
	@XmlElement(required = true)
	private int defaultLongestStatisticsListLength;

	/** @return Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for a LONGEST statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public int getDefaultLongestStatisticsListLength() {
		return this.defaultLongestStatisticsListLength;
	}
	/** @param x Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for a LONGEST statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public void setDefaultLongestStatisticsListLength(int x) {
		this.defaultLongestStatisticsListLength = x;
	}

	/** Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for a LONGEST statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	@io.swagger.annotations.ApiModelProperty(value ="Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for a LONGEST statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field)" , required = true)
	@XmlElement(required = true)
	private int maxLongestStatisticsListLength;

	/** @return Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for a LONGEST statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public int getMaxLongestStatisticsListLength() {
		return this.maxLongestStatisticsListLength;
	}
	/** @param x Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for a LONGEST statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public void setMaxLongestStatisticsListLength(int x) {
		this.maxLongestStatisticsListLength = x;
	}

	/** Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for an ERROR statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	@io.swagger.annotations.ApiModelProperty(value ="Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for an ERROR statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field)" , required = true)
	@XmlElement(required = true)
	private int defaultErrorStatisticsListLength;

	/** @return Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for an ERROR statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public int getDefaultErrorStatisticsListLength() {
		return this.defaultErrorStatisticsListLength;
	}
	/** @param x Recommended default sample list length limit to pass to getAsyncMirrorSyncStatistics for an ERROR statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public void setDefaultErrorStatisticsListLength(int x) {
		this.defaultErrorStatisticsListLength = x;
	}

	/** Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for an ERROR statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	@io.swagger.annotations.ApiModelProperty(value ="Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for an ERROR statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field)" , required = true)
	@XmlElement(required = true)
	private int maxErrorStatisticsListLength;

	/** @return Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for an ERROR statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public int getMaxErrorStatisticsListLength() {
		return this.maxErrorStatisticsListLength;
	}
	/** @param x Maximum sample list length limit allowed in a call to getAsyncMirrorSyncStatistics for an ERROR statistics request (AsyncMirrorSyncStatisticsRequestDescriptor::sampleLimit field) */
	public void setMaxErrorStatisticsListLength(int x) {
		this.maxErrorStatisticsListLength = x;
	}

	/** Indicates the max allowed link latency between two RVM arrays. */
	@io.swagger.annotations.ApiModelProperty(value ="Indicates the max allowed link latency between two RVM arrays." , required = true)
	@XmlElement(required = true)
	private int maxAllowedLinkLatencyInMicroseconds;

	/** @return Indicates the max allowed link latency between two RVM arrays. */
	public int getMaxAllowedLinkLatencyInMicroseconds() {
		return this.maxAllowedLinkLatencyInMicroseconds;
	}
	/** @param x Indicates the max allowed link latency between two RVM arrays. */
	public void setMaxAllowedLinkLatencyInMicroseconds(int x) {
		this.maxAllowedLinkLatencyInMicroseconds = x;
	}
}
