package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as the argument to the setAlarm procedure; it provides all information needed to enable, disable, mute, or refresh the alarm control, using NVSRAM settings. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(847)
public class AlarmUpdateDescriptor implements Serializable {
	public AlarmUpdateDescriptor() {
	}

	/** The reference that identifies the physical alarm to modify. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference that identifies the physical alarm to modify." , required = true)
	@XmlElement(required = true)
	private String alarmRef;

	/** @return The reference that identifies the physical alarm to modify. */
	public String getAlarmRef() {
		return this.alarmRef;
	}
	/** @param x The reference that identifies the physical alarm to modify. */
	public void setAlarmRef(String x) {
		this.alarmRef = x;
	}

	/** Indicates the alarm control to activate on the specified alarm. */
	@io.swagger.annotations.ApiModelProperty(value ="Indicates the alarm control to activate on the specified alarm." , required = true)
	@XmlElement(required = true)
	private AlarmControl alarmControl = AlarmControl.__UNDEFINED;

	/** @return Indicates the alarm control to activate on the specified alarm. */
	public AlarmControl getAlarmControl() {
		return this.alarmControl;
	}
	/** @param x Indicates the alarm control to activate on the specified alarm. */
	public void setAlarmControl(AlarmControl x) {
		this.alarmControl = x;
	}
}
