package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure represents the concept of an Asynchronous Mirror Group (AMG). */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(769)
public class AsyncMirrorGroup implements Serializable {
	public AsyncMirrorGroup() {
	}

	/** The reference (key) for the mirror group. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference (key) for the mirror group." , required = true)
	@XmlElement(required = true)
	private String groupRef;

	/** @return The reference (key) for the mirror group. */
	public String getGroupRef() {
		return this.groupRef;
	}
	/** @param x The reference (key) for the mirror group. */
	public void setGroupRef(String x) {
		this.groupRef = x;
	}

	/** The world wide name of the mirror group. This can be used to identify the AMG pair on both arrays. The AsyncMirrorGroupRef is not guaranteed to be unique across multiple arrays. */
	@io.swagger.annotations.ApiModelProperty(value ="The world wide name of the mirror group. This can be used to identify the AMG pair on both arrays. The AsyncMirrorGroupRef is not guaranteed to be unique across multiple arrays." , required = true)
	@XmlElement(required = true)
	private String worldWideName;

	/** @return The world wide name of the mirror group. This can be used to identify the AMG pair on both arrays. The AsyncMirrorGroupRef is not guaranteed to be unique across multiple arrays. */
	public String getWorldWideName() {
		return this.worldWideName;
	}
	/** @param x The world wide name of the mirror group. This can be used to identify the AMG pair on both arrays. The AsyncMirrorGroupRef is not guaranteed to be unique across multiple arrays. */
	public void setWorldWideName(String x) {
		this.worldWideName = x;
	}

	/** The user assigned name for the mirror group. */
	@io.swagger.annotations.ApiModelProperty(value ="The user assigned name for the mirror group." , required = true)
	@XmlElement(required = true)
	private String label;

	/** @return The user assigned name for the mirror group. */
	public String getLabel() {
		return this.label;
	}
	/** @param x The user assigned name for the mirror group. */
	public void setLabel(String x) {
		this.label = x;
	}

	/** The Mirror Group State. This is determined primarily by the presence or lack of a recovery point. */
	@io.swagger.annotations.ApiModelProperty(value ="The Mirror Group State. This is determined primarily by the presence or lack of a recovery point." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorGroupState groupState = AsyncMirrorGroupState.__UNDEFINED;

	/** @return The Mirror Group State. This is determined primarily by the presence or lack of a recovery point. */
	public AsyncMirrorGroupState getGroupState() {
		return this.groupState;
	}
	/** @param x The Mirror Group State. This is determined primarily by the presence or lack of a recovery point. */
	public void setGroupState(AsyncMirrorGroupState x) {
		this.groupState = x;
	}

	/** The current role of this (local) array with respect to this mirror group. */
	@io.swagger.annotations.ApiModelProperty(value ="The current role of this (local) array with respect to this mirror group." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorGroupRole localRole = AsyncMirrorGroupRole.__UNDEFINED;

	/** @return The current role of this (local) array with respect to this mirror group. */
	public AsyncMirrorGroupRole getLocalRole() {
		return this.localRole;
	}
	/** @param x The current role of this (local) array with respect to this mirror group. */
	public void setLocalRole(AsyncMirrorGroupRole x) {
		this.localRole = x;
	}

	/** The current role of the peer (remote) array with respect to this mirror group. */
	@io.swagger.annotations.ApiModelProperty(value ="The current role of the peer (remote) array with respect to this mirror group." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorGroupRole remoteRole = AsyncMirrorGroupRole.__UNDEFINED;

	/** @return The current role of the peer (remote) array with respect to this mirror group. */
	public AsyncMirrorGroupRole getRemoteRole() {
		return this.remoteRole;
	}
	/** @param x The current role of the peer (remote) array with respect to this mirror group. */
	public void setRemoteRole(AsyncMirrorGroupRole x) {
		this.remoteRole = x;
	}

	/** This field indicates the current state of the role change process. This may be an extended condition due to the data sync needed for an orderly role change or the recovery point rollback needed for a no-sync or forced role change. */
	@io.swagger.annotations.ApiModelProperty(value ="This field indicates the current state of the role change process. This may be an extended condition due to the data sync needed for an orderly role change or the recovery point rollback needed for a no-sync or forced role change." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorGroupRoleChangeProgress roleChangeProgress = AsyncMirrorGroupRoleChangeProgress.__UNDEFINED;

	/** @return This field indicates the current state of the role change process. This may be an extended condition due to the data sync needed for an orderly role change or the recovery point rollback needed for a no-sync or forced role change. */
	public AsyncMirrorGroupRoleChangeProgress getRoleChangeProgress() {
		return this.roleChangeProgress;
	}
	/** @param x This field indicates the current state of the role change process. This may be an extended condition due to the data sync needed for an orderly role change or the recovery point rollback needed for a no-sync or forced role change. */
	public void setRoleChangeProgress(AsyncMirrorGroupRoleChangeProgress x) {
		this.roleChangeProgress = x;
	}

	/** The time in minutes between starting points of periodic synchronization intervals. A value of ARVM_MANUAL_SYNC_INTERVAL indicates synchronization intervals are manually started by the user. */
	@io.swagger.annotations.ApiModelProperty(value ="The time in minutes between starting points of periodic synchronization intervals. A value of ARVM_MANUAL_SYNC_INTERVAL indicates synchronization intervals are manually started by the user." , required = true)
	@XmlElement(required = true)
	private int syncIntervalMinutes;

	/** @return The time in minutes between starting points of periodic synchronization intervals. A value of ARVM_MANUAL_SYNC_INTERVAL indicates synchronization intervals are manually started by the user. */
	public int getSyncIntervalMinutes() {
		return this.syncIntervalMinutes;
	}
	/** @param x The time in minutes between starting points of periodic synchronization intervals. A value of ARVM_MANUAL_SYNC_INTERVAL indicates synchronization intervals are manually started by the user. */
	public void setSyncIntervalMinutes(int x) {
		this.syncIntervalMinutes = x;
	}

	/** The threshold (in minutes) for notifying the user that periodic synchronization has taken too long to complete. A value of ARVM_SYNC_COMPLETION_TIME_THRESHOLD_NONE indicates no threshold is set. */
	@io.swagger.annotations.ApiModelProperty(value ="The threshold (in minutes) for notifying the user that periodic synchronization has taken too long to complete. A value of ARVM_SYNC_COMPLETION_TIME_THRESHOLD_NONE indicates no threshold is set." , required = true)
	@XmlElement(required = true)
	private int syncCompletionTimeAlertThresholdMinutes;

	/** @return The threshold (in minutes) for notifying the user that periodic synchronization has taken too long to complete. A value of ARVM_SYNC_COMPLETION_TIME_THRESHOLD_NONE indicates no threshold is set. */
	public int getSyncCompletionTimeAlertThresholdMinutes() {
		return this.syncCompletionTimeAlertThresholdMinutes;
	}
	/** @param x The threshold (in minutes) for notifying the user that periodic synchronization has taken too long to complete. A value of ARVM_SYNC_COMPLETION_TIME_THRESHOLD_NONE indicates no threshold is set. */
	public void setSyncCompletionTimeAlertThresholdMinutes(int x) {
		this.syncCompletionTimeAlertThresholdMinutes = x;
	}

	/** The recovery point age objective (in minutes). The user is notified via needs-attention when the age of the last good recovery point exceeds this value. A value of ARVM_RECOVERY_POINT_AGE_THRESHOLD_NONE indicates no threshold is set. */
	@io.swagger.annotations.ApiModelProperty(value ="The recovery point age objective (in minutes). The user is notified via needs-attention when the age of the last good recovery point exceeds this value. A value of ARVM_RECOVERY_POINT_AGE_THRESHOLD_NONE indicates no threshold is set." , required = true)
	@XmlElement(required = true)
	private int recoveryPointAgeAlertThresholdMinutes;

	/** @return The recovery point age objective (in minutes). The user is notified via needs-attention when the age of the last good recovery point exceeds this value. A value of ARVM_RECOVERY_POINT_AGE_THRESHOLD_NONE indicates no threshold is set. */
	public int getRecoveryPointAgeAlertThresholdMinutes() {
		return this.recoveryPointAgeAlertThresholdMinutes;
	}
	/** @param x The recovery point age objective (in minutes). The user is notified via needs-attention when the age of the last good recovery point exceeds this value. A value of ARVM_RECOVERY_POINT_AGE_THRESHOLD_NONE indicates no threshold is set. */
	public void setRecoveryPointAgeAlertThresholdMinutes(int x) {
		this.recoveryPointAgeAlertThresholdMinutes = x;
	}

	/** The repository utilization warning threshold (0-100 percent). A needs attention condition will be generated if the percent of the repository capacity currently utilized exceeds this threshold. */
	@io.swagger.annotations.ApiModelProperty(value ="The repository utilization warning threshold (0-100 percent). A needs attention condition will be generated if the percent of the repository capacity currently utilized exceeds this threshold." , required = true)
	@XmlElement(required = true)
	private int repositoryUtilizationWarnThreshold;

	/** @return The repository utilization warning threshold (0-100 percent). A needs attention condition will be generated if the percent of the repository capacity currently utilized exceeds this threshold. */
	public int getRepositoryUtilizationWarnThreshold() {
		return this.repositoryUtilizationWarnThreshold;
	}
	/** @param x The repository utilization warning threshold (0-100 percent). A needs attention condition will be generated if the percent of the repository capacity currently utilized exceeds this threshold. */
	public void setRepositoryUtilizationWarnThreshold(int x) {
		this.repositoryUtilizationWarnThreshold = x;
	}

	/** The path to the remote array to be used by this AMG (a reference to the associated RemoteTarget). */
	@io.swagger.annotations.ApiModelProperty(value ="The path to the remote array to be used by this AMG (a reference to the associated RemoteTarget)." , required = true)
	@XmlElement(required = true)
	private String mirrorChannelRemoteTarget;

	/** @return The path to the remote array to be used by this AMG (a reference to the associated RemoteTarget). */
	public String getMirrorChannelRemoteTarget() {
		return this.mirrorChannelRemoteTarget;
	}
	/** @param x The path to the remote array to be used by this AMG (a reference to the associated RemoteTarget). */
	public void setMirrorChannelRemoteTarget(String x) {
		this.mirrorChannelRemoteTarget = x;
	}

	/** Current synchronization activity. */
	@io.swagger.annotations.ApiModelProperty(value ="Current synchronization activity." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorSyncActivity syncActivity = AsyncMirrorSyncActivity.__UNDEFINED;

	/** @return Current synchronization activity. */
	public AsyncMirrorSyncActivity getSyncActivity() {
		return this.syncActivity;
	}
	/** @param x Current synchronization activity. */
	public void setSyncActivity(AsyncMirrorSyncActivity x) {
		this.syncActivity = x;
	}

	/** If true, the mirror group is an orphan. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the mirror group is an orphan." , required = true)
	@XmlElement(required = true)
	private boolean orphanGroup;

	/** @return If true, the mirror group is an orphan. */
	public boolean isOrphanGroup() {
		return this.orphanGroup;
	}
	/** @param x If true, the mirror group is an orphan. */
	public void setOrphanGroup(boolean x) {
		this.orphanGroup = x;
	}
}
