package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to represent the concept of an Asynchronous Mirror Group Member (an individual async mirror relationship) in the middle of the 2-step AMG add-member process. These mirrors have been configured on the mirror primary side but not on the secondary side (the repository still needs to be provisioned by step 2 of the process). */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(918)
public class AsyncMirrorGroupIncompleteMember implements Serializable {
	public AsyncMirrorGroupIncompleteMember() {
	}

	/** The reference (key) for the group member. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference (key) for the group member." , required = true)
	@XmlElement(required = true)
	private String memberRef;

	/** @return The reference (key) for the group member. */
	public String getMemberRef() {
		return this.memberRef;
	}
	/** @param x The reference (key) for the group member. */
	public void setMemberRef(String x) {
		this.memberRef = x;
	}

	/** The associated Async Mirror Group. */
	@io.swagger.annotations.ApiModelProperty(value ="The associated Async Mirror Group." , required = true)
	@XmlElement(required = true)
	private String groupRef;

	/** @return The associated Async Mirror Group. */
	public String getGroupRef() {
		return this.groupRef;
	}
	/** @param x The associated Async Mirror Group. */
	public void setGroupRef(String x) {
		this.groupRef = x;
	}

	/** The WWN of the primary volume on the remote array. */
	@io.swagger.annotations.ApiModelProperty(value ="The WWN of the primary volume on the remote array." , required = true)
	@XmlElement(required = true)
	private String primaryVolWWN;

	/** @return The WWN of the primary volume on the remote array. */
	public String getPrimaryVolWWN() {
		return this.primaryVolWWN;
	}
	/** @param x The WWN of the primary volume on the remote array. */
	public void setPrimaryVolWWN(String x) {
		this.primaryVolWWN = x;
	}

	/** Capacity of the primary (used to aid in selection of mirror secondary volume). */
	@io.swagger.annotations.ApiModelProperty(value ="Capacity of the primary (used to aid in selection of mirror secondary volume)." , required = true)
	@XmlElement(required = true)
	private long primaryVolCapacity;

	/** @return Capacity of the primary (used to aid in selection of mirror secondary volume). */
	public long getPrimaryVolCapacity() {
		return this.primaryVolCapacity;
	}
	/** @param x Capacity of the primary (used to aid in selection of mirror secondary volume). */
	public void setPrimaryVolCapacity(long x) {
		this.primaryVolCapacity = x;
	}

	/** RAID level of the primary volume. */
	@io.swagger.annotations.ApiModelProperty(value ="RAID level of the primary volume." , required = true)
	@XmlElement(required = true)
	private RAIDLevel primaryVolRAIDLevel = RAIDLevel.__UNDEFINED;

	/** @return RAID level of the primary volume. */
	public RAIDLevel getPrimaryVolRAIDLevel() {
		return this.primaryVolRAIDLevel;
	}
	/** @param x RAID level of the primary volume. */
	public void setPrimaryVolRAIDLevel(RAIDLevel x) {
		this.primaryVolRAIDLevel = x;
	}

	/** The protection type of the primary volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The protection type of the primary volume." , required = true)
	@XmlElement(required = true)
	private ProtectionType primaryVolProtectionType = ProtectionType.__UNDEFINED;

	/** @return The protection type of the primary volume. */
	public ProtectionType getPrimaryVolProtectionType() {
		return this.primaryVolProtectionType;
	}
	/** @param x The protection type of the primary volume. */
	public void setPrimaryVolProtectionType(ProtectionType x) {
		this.primaryVolProtectionType = x;
	}

	/** Security type of the primary volume. */
	@io.swagger.annotations.ApiModelProperty(value ="Security type of the primary volume." , required = true)
	@XmlElement(required = true)
	private SecurityType primaryVolSecurityType = SecurityType.__UNDEFINED;

	/** @return Security type of the primary volume. */
	public SecurityType getPrimaryVolSecurityType() {
		return this.primaryVolSecurityType;
	}
	/** @param x Security type of the primary volume. */
	public void setPrimaryVolSecurityType(SecurityType x) {
		this.primaryVolSecurityType = x;
	}

	/** User label of the primary volume. */
	@io.swagger.annotations.ApiModelProperty(value ="User label of the primary volume." , required = true)
	@XmlElement(required = true)
	private String primaryVolUserLabel;

	/** @return User label of the primary volume. */
	public String getPrimaryVolUserLabel() {
		return this.primaryVolUserLabel;
	}
	/** @param x User label of the primary volume. */
	public void setPrimaryVolUserLabel(String x) {
		this.primaryVolUserLabel = x;
	}

	/** If true, the incomplete member is an orphan. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the incomplete member is an orphan." , required = true)
	@XmlElement(required = true)
	private boolean orphanIncompleteMember;

	/** @return If true, the incomplete member is an orphan. */
	public boolean isOrphanIncompleteMember() {
		return this.orphanIncompleteMember;
	}
	/** @param x If true, the incomplete member is an orphan. */
	public void setOrphanIncompleteMember(boolean x) {
		this.orphanIncompleteMember = x;
	}

	/** The capacity provisioning parameters for the primary volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The capacity provisioning parameters for the primary volume." , required = true)
	@XmlElement(required = true)
	private VolumeTypeParameters primaryVolumeParameters;

	/** @return The capacity provisioning parameters for the primary volume. */
	public VolumeTypeParameters getPrimaryVolumeParameters() {
		return this.primaryVolumeParameters;
	}
	/** @param x The capacity provisioning parameters for the primary volume. */
	public void setPrimaryVolumeParameters(VolumeTypeParameters x) {
		this.primaryVolumeParameters = x;
	}

	/** Refines the information in the securityType field to describe the set of drives. */
	@io.swagger.annotations.ApiModelProperty(value ="Refines the information in the securityType field to describe the set of drives." , required = true)
	@XmlElement(required = true)
	private SecurityLevel primaryVolSecurityLevel = SecurityLevel.__UNDEFINED;

	/** @return Refines the information in the securityType field to describe the set of drives. */
	public SecurityLevel getPrimaryVolSecurityLevel() {
		return this.primaryVolSecurityLevel;
	}
	/** @param x Refines the information in the securityType field to describe the set of drives. */
	public void setPrimaryVolSecurityLevel(SecurityLevel x) {
		this.primaryVolSecurityLevel = x;
	}
}
