package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report progress of the initial synchronization operation for an Async Mirror Group. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1056)
public class AsyncMirrorGroupInitialSyncOperation implements Serializable {
	public AsyncMirrorGroupInitialSyncOperation() {
	}

	/** Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	@io.swagger.annotations.ApiModelProperty(value ="Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING." , required = true)
	@XmlElement(required = true)
	private int groupPercentComplete;

	/** @return Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	public int getGroupPercentComplete() {
		return this.groupPercentComplete;
	}
	/** @param x Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	public void setGroupPercentComplete(int x) {
		this.groupPercentComplete = x;
	}

	/** The estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	@io.swagger.annotations.ApiModelProperty(value ="The estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN." , required = true)
	@XmlElement(required = true)
	private int groupTimeToCompletion;

	/** @return The estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public int getGroupTimeToCompletion() {
		return this.groupTimeToCompletion;
	}
	/** @param x The estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public void setGroupTimeToCompletion(int x) {
		this.groupTimeToCompletion = x;
	}

	/** The amount of data that remains to be synchronized. */
	@io.swagger.annotations.ApiModelProperty(value ="The amount of data that remains to be synchronized." , required = true)
	@XmlElement(required = true)
	private long groupSyncBytes;

	/** @return The amount of data that remains to be synchronized. */
	public long getGroupSyncBytes() {
		return this.groupSyncBytes;
	}
	/** @param x The amount of data that remains to be synchronized. */
	public void setGroupSyncBytes(long x) {
		this.groupSyncBytes = x;
	}

	/** A reference to the async mirror group.. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the async mirror group.." , required = true)
	@XmlElement(required = true)
	private String groupRef;

	/** @return A reference to the async mirror group.. */
	public String getGroupRef() {
		return this.groupRef;
	}
	/** @param x A reference to the async mirror group.. */
	public void setGroupRef(String x) {
		this.groupRef = x;
	}

	/** A list of members still in initial sync and the respective progress of each. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of members still in initial sync and the respective progress of each." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorGroupMemberInitialSyncOperation[] memberProgress;

	/** @return A list of members still in initial sync and the respective progress of each. */
	public AsyncMirrorGroupMemberInitialSyncOperation[] getMemberProgress() {
		return this.memberProgress;
	}
	/** @param x A list of members still in initial sync and the respective progress of each. */
	public void setMemberProgress(AsyncMirrorGroupMemberInitialSyncOperation[] x) {
		this.memberProgress = x;
	}
}
