package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report progress of the initial sync operation on an individual async mirror member. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1010)
public class AsyncMirrorGroupMemberInitialSyncOperation implements Serializable {
	public AsyncMirrorGroupMemberInitialSyncOperation() {
	}

	/** The completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	@io.swagger.annotations.ApiModelProperty(value ="The completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING." , required = true)
	@XmlElement(required = true)
	private int percentComplete;

	/** @return The completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	public int getPercentComplete() {
		return this.percentComplete;
	}
	/** @param x The completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	public void setPercentComplete(int x) {
		this.percentComplete = x;
	}

	/** The estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	@io.swagger.annotations.ApiModelProperty(value ="The estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN." , required = true)
	@XmlElement(required = true)
	private int timeToCompletion;

	/** @return The estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public int getTimeToCompletion() {
		return this.timeToCompletion;
	}
	/** @param x The estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public void setTimeToCompletion(int x) {
		this.timeToCompletion = x;
	}

	/** The amount of data that remains to be synchronized. */
	@io.swagger.annotations.ApiModelProperty(value ="The amount of data that remains to be synchronized." , required = true)
	@XmlElement(required = true)
	private long syncBytes;

	/** @return The amount of data that remains to be synchronized. */
	public long getSyncBytes() {
		return this.syncBytes;
	}
	/** @param x The amount of data that remains to be synchronized. */
	public void setSyncBytes(long x) {
		this.syncBytes = x;
	}

	/** A reference to the async mirror group. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the async mirror group." , required = true)
	@XmlElement(required = true)
	private String mirrorMemberRef;

	/** @return A reference to the async mirror group. */
	public String getMirrorMemberRef() {
		return this.mirrorMemberRef;
	}
	/** @param x A reference to the async mirror group. */
	public void setMirrorMemberRef(String x) {
		this.mirrorMemberRef = x;
	}
}
