package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration describes the current step/progress in an AsyncMirrorGroup role change operation. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(77)
public enum AsyncMirrorGroupRoleChangeProgress implements Serializable {
		/** This should never happen. */
		unknown(0),
		/** No role change in progress. */
		none(1),
		/** Role change is pending. Roles will change once sync is complete. Write restrictions currently apply on both primary and secondary volumes. */
		pending(2),
		/** A role change is in progress. Async Mirror Group roles have changed and writes are allowed to the new primary, however background processing continues to achieve creation of a recovery point on new secondary. */
		inProgress(3),
		__UNDEFINED(464378545);

		public final int value;

		private AsyncMirrorGroupRoleChangeProgress(int v) {
			this.value = v;
		}
}
