package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report asynchronous mirror synchronization time statistics specific to the mirror primary role. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(681)
public class AsyncMirrorPrimarySyncStatisticsSample implements Serializable {
	public AsyncMirrorPrimarySyncStatisticsSample() {
	}

	/** The type of synchronization being performed during this sample period. */
	@io.swagger.annotations.ApiModelProperty(value ="The type of synchronization being performed during this sample period." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorSyncType syncType = AsyncMirrorSyncType.__UNDEFINED;

	/** @return The type of synchronization being performed during this sample period. */
	public AsyncMirrorSyncType getSyncType() {
		return this.syncType;
	}
	/** @param x The type of synchronization being performed during this sample period. */
	public void setSyncType(AsyncMirrorSyncType x) {
		this.syncType = x;
	}

	/** The synchronization start timestamp represented in seconds since midnight GMT on January 1, 1970. This can be used to correlate statistics between the primary and secondary for the same interval (time recorded here is driven from the primary). This can also be used to correlate multiple samples for the same synchronization period. */
	@io.swagger.annotations.ApiModelProperty(value ="The synchronization start timestamp represented in seconds since midnight GMT on January 1, 1970. This can be used to correlate statistics between the primary and secondary for the same interval (time recorded here is driven from the primary). This can also be used to correlate multiple samples for the same synchronization period." , required = true)
	@XmlElement(required = true)
	private long syncStartTimestamp;

	/** @return The synchronization start timestamp represented in seconds since midnight GMT on January 1, 1970. This can be used to correlate statistics between the primary and secondary for the same interval (time recorded here is driven from the primary). This can also be used to correlate multiple samples for the same synchronization period. */
	public long getSyncStartTimestamp() {
		return this.syncStartTimestamp;
	}
	/** @param x The synchronization start timestamp represented in seconds since midnight GMT on January 1, 1970. This can be used to correlate statistics between the primary and secondary for the same interval (time recorded here is driven from the primary). This can also be used to correlate multiple samples for the same synchronization period. */
	public void setSyncStartTimestamp(long x) {
		this.syncStartTimestamp = x;
	}

	/** Indication of whether synchronization failed or completed normally. */
	@io.swagger.annotations.ApiModelProperty(value ="Indication of whether synchronization failed or completed normally." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorSyncCompletionDetail completionDetail;

	/** @return Indication of whether synchronization failed or completed normally. */
	public AsyncMirrorSyncCompletionDetail getCompletionDetail() {
		return this.completionDetail;
	}
	/** @param x Indication of whether synchronization failed or completed normally. */
	public void setCompletionDetail(AsyncMirrorSyncCompletionDetail x) {
		this.completionDetail = x;
	}

	/** Owning controller for the duration of this sample. */
	@io.swagger.annotations.ApiModelProperty(value ="Owning controller for the duration of this sample." , required = true)
	@XmlElement(required = true)
	private String owner;

	/** @return Owning controller for the duration of this sample. */
	public String getOwner() {
		return this.owner;
	}
	/** @param x Owning controller for the duration of this sample. */
	public void setOwner(String x) {
		this.owner = x;
	}

	/** When this sample started: > = synchronization start time. Time is expressed in seconds since midnight January 1, 1970 GMT. */
	@io.swagger.annotations.ApiModelProperty(value ="When this sample started: > = synchronization start time. Time is expressed in seconds since midnight January 1, 1970 GMT." , required = true)
	@XmlElement(required = true)
	private long sampleStartTimeSeconds;

	/** @return When this sample started: > = synchronization start time. Time is expressed in seconds since midnight January 1, 1970 GMT. */
	public long getSampleStartTimeSeconds() {
		return this.sampleStartTimeSeconds;
	}
	/** @param x When this sample started: > = synchronization start time. Time is expressed in seconds since midnight January 1, 1970 GMT. */
	public void setSampleStartTimeSeconds(long x) {
		this.sampleStartTimeSeconds = x;
	}

	/** When this sample ended: synchronization completion time, or time of last update before disruption. Time is expressed in seconds since midnight January 1, 1970 GMT. */
	@io.swagger.annotations.ApiModelProperty(value ="When this sample ended: synchronization completion time, or time of last update before disruption. Time is expressed in seconds since midnight January 1, 1970 GMT." , required = true)
	@XmlElement(required = true)
	private long sampleEndTimeSeconds;

	/** @return When this sample ended: synchronization completion time, or time of last update before disruption. Time is expressed in seconds since midnight January 1, 1970 GMT. */
	public long getSampleEndTimeSeconds() {
		return this.sampleEndTimeSeconds;
	}
	/** @param x When this sample ended: synchronization completion time, or time of last update before disruption. Time is expressed in seconds since midnight January 1, 1970 GMT. */
	public void setSampleEndTimeSeconds(long x) {
		this.sampleEndTimeSeconds = x;
	}

	/** Last known state of the mirror member as of the sample end time. */
	@io.swagger.annotations.ApiModelProperty(value ="Last known state of the mirror member as of the sample end time." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorGroupMemberState memberState = AsyncMirrorGroupMemberState.__UNDEFINED;

	/** @return Last known state of the mirror member as of the sample end time. */
	public AsyncMirrorGroupMemberState getMemberState() {
		return this.memberState;
	}
	/** @param x Last known state of the mirror member as of the sample end time. */
	public void setMemberState(AsyncMirrorGroupMemberState x) {
		this.memberState = x;
	}

	/** The repository utilization warning threshold percentage as of the sample end time. */
	@io.swagger.annotations.ApiModelProperty(value ="The repository utilization warning threshold percentage as of the sample end time." , required = true)
	@XmlElement(required = true)
	private int repositoryUtilizationWarnThreshold;

	/** @return The repository utilization warning threshold percentage as of the sample end time. */
	public int getRepositoryUtilizationWarnThreshold() {
		return this.repositoryUtilizationWarnThreshold;
	}
	/** @param x The repository utilization warning threshold percentage as of the sample end time. */
	public void setRepositoryUtilizationWarnThreshold(int x) {
		this.repositoryUtilizationWarnThreshold = x;
	}

	/** The repository utilization percentage as of the sample end time (0-100). */
	@io.swagger.annotations.ApiModelProperty(value ="The repository utilization percentage as of the sample end time (0-100)." , required = true)
	@XmlElement(required = true)
	private int repositoryUtilizationPercentage;

	/** @return The repository utilization percentage as of the sample end time (0-100). */
	public int getRepositoryUtilizationPercentage() {
		return this.repositoryUtilizationPercentage;
	}
	/** @param x The repository utilization percentage as of the sample end time (0-100). */
	public void setRepositoryUtilizationPercentage(int x) {
		this.repositoryUtilizationPercentage = x;
	}

	/** Synchronization interval configured (in minutes), as of the sample end time. */
	@io.swagger.annotations.ApiModelProperty(value ="Synchronization interval configured (in minutes), as of the sample end time." , required = true)
	@XmlElement(required = true)
	private int syncIntervalMinutes;

	/** @return Synchronization interval configured (in minutes), as of the sample end time. */
	public int getSyncIntervalMinutes() {
		return this.syncIntervalMinutes;
	}
	/** @param x Synchronization interval configured (in minutes), as of the sample end time. */
	public void setSyncIntervalMinutes(int x) {
		this.syncIntervalMinutes = x;
	}

	/** Time spent thus far in the synchronization as of the sample end time. */
	@io.swagger.annotations.ApiModelProperty(value ="Time spent thus far in the synchronization as of the sample end time." , required = true)
	@XmlElement(required = true)
	private int syncDurationMinutes;

	/** @return Time spent thus far in the synchronization as of the sample end time. */
	public int getSyncDurationMinutes() {
		return this.syncDurationMinutes;
	}
	/** @param x Time spent thus far in the synchronization as of the sample end time. */
	public void setSyncDurationMinutes(int x) {
		this.syncDurationMinutes = x;
	}

	/** Configured time allowed for the synchronization as of the sample end time. */
	@io.swagger.annotations.ApiModelProperty(value ="Configured time allowed for the synchronization as of the sample end time." , required = true)
	@XmlElement(required = true)
	private int syncCompletionTimeAlertThresholdMinutes;

	/** @return Configured time allowed for the synchronization as of the sample end time. */
	public int getSyncCompletionTimeAlertThresholdMinutes() {
		return this.syncCompletionTimeAlertThresholdMinutes;
	}
	/** @param x Configured time allowed for the synchronization as of the sample end time. */
	public void setSyncCompletionTimeAlertThresholdMinutes(int x) {
		this.syncCompletionTimeAlertThresholdMinutes = x;
	}

	/** The recovery point age warning threshold as of the sample end time. */
	@io.swagger.annotations.ApiModelProperty(value ="The recovery point age warning threshold as of the sample end time." , required = true)
	@XmlElement(required = true)
	private int recoveryPointAgeAlertThresholdMinutes;

	/** @return The recovery point age warning threshold as of the sample end time. */
	public int getRecoveryPointAgeAlertThresholdMinutes() {
		return this.recoveryPointAgeAlertThresholdMinutes;
	}
	/** @param x The recovery point age warning threshold as of the sample end time. */
	public void setRecoveryPointAgeAlertThresholdMinutes(int x) {
		this.recoveryPointAgeAlertThresholdMinutes = x;
	}

	/** The recovery point age (in minutes) as of the sample end time. */
	@io.swagger.annotations.ApiModelProperty(value ="The recovery point age (in minutes) as of the sample end time." , required = true)
	@XmlElement(required = true)
	private int recoveryPointAgeMinutes;

	/** @return The recovery point age (in minutes) as of the sample end time. */
	public int getRecoveryPointAgeMinutes() {
		return this.recoveryPointAgeMinutes;
	}
	/** @param x The recovery point age (in minutes) as of the sample end time. */
	public void setRecoveryPointAgeMinutes(int x) {
		this.recoveryPointAgeMinutes = x;
	}

	/** The total bytes transferred during the time covered by this sample. */
	@io.swagger.annotations.ApiModelProperty(value ="The total bytes transferred during the time covered by this sample." , required = true)
	@XmlElement(required = true)
	private long cumulativeBytesSent;

	/** @return The total bytes transferred during the time covered by this sample. */
	public long getCumulativeBytesSent() {
		return this.cumulativeBytesSent;
	}
	/** @param x The total bytes transferred during the time covered by this sample. */
	public void setCumulativeBytesSent(long x) {
		this.cumulativeBytesSent = x;
	}

	/** The total time spent sending data to the secondary for the duration of this sample (in microseconds). This is measured from the time each I/O is sent to the secondary until the response is received. */
	@io.swagger.annotations.ApiModelProperty(value ="The total time spent sending data to the secondary for the duration of this sample (in microseconds). This is measured from the time each I/O is sent to the secondary until the response is received." , required = true)
	@XmlElement(required = true)
	private long cumulativeIOTime;

	/** @return The total time spent sending data to the secondary for the duration of this sample (in microseconds). This is measured from the time each I/O is sent to the secondary until the response is received. */
	public long getCumulativeIOTime() {
		return this.cumulativeIOTime;
	}
	/** @param x The total time spent sending data to the secondary for the duration of this sample (in microseconds). This is measured from the time each I/O is sent to the secondary until the response is received. */
	public void setCumulativeIOTime(long x) {
		this.cumulativeIOTime = x;
	}

	/** The total count of I/O requests to the secondary in this sample. */
	@io.swagger.annotations.ApiModelProperty(value ="The total count of I/O requests to the secondary in this sample." , required = true)
	@XmlElement(required = true)
	private int totalIOCount;

	/** @return The total count of I/O requests to the secondary in this sample. */
	public int getTotalIOCount() {
		return this.totalIOCount;
	}
	/** @param x The total count of I/O requests to the secondary in this sample. */
	public void setTotalIOCount(int x) {
		this.totalIOCount = x;
	}

	/** The longest response time from the secondary array observed for one request during the time covered by this sample (in microseconds). */
	@io.swagger.annotations.ApiModelProperty(value ="The longest response time from the secondary array observed for one request during the time covered by this sample (in microseconds)." , required = true)
	@XmlElement(required = true)
	private int longestResponseTimeMicroSeconds;

	/** @return The longest response time from the secondary array observed for one request during the time covered by this sample (in microseconds). */
	public int getLongestResponseTimeMicroSeconds() {
		return this.longestResponseTimeMicroSeconds;
	}
	/** @param x The longest response time from the secondary array observed for one request during the time covered by this sample (in microseconds). */
	public void setLongestResponseTimeMicroSeconds(int x) {
		this.longestResponseTimeMicroSeconds = x;
	}

	/** The number of bytes transferred on the longest request. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of bytes transferred on the longest request." , required = true)
	@XmlElement(required = true)
	private int longestResponseTimeBytes;

	/** @return The number of bytes transferred on the longest request. */
	public int getLongestResponseTimeBytes() {
		return this.longestResponseTimeBytes;
	}
	/** @param x The number of bytes transferred on the longest request. */
	public void setLongestResponseTimeBytes(int x) {
		this.longestResponseTimeBytes = x;
	}

	/** The shortest response time from the secondary array observed for one request during the time covered by this sample (in microseconds). */
	@io.swagger.annotations.ApiModelProperty(value ="The shortest response time from the secondary array observed for one request during the time covered by this sample (in microseconds)." , required = true)
	@XmlElement(required = true)
	private int shortestResponseTimeMicroSeconds;

	/** @return The shortest response time from the secondary array observed for one request during the time covered by this sample (in microseconds). */
	public int getShortestResponseTimeMicroSeconds() {
		return this.shortestResponseTimeMicroSeconds;
	}
	/** @param x The shortest response time from the secondary array observed for one request during the time covered by this sample (in microseconds). */
	public void setShortestResponseTimeMicroSeconds(int x) {
		this.shortestResponseTimeMicroSeconds = x;
	}

	/** The number of bytes sent on shortest request. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of bytes sent on shortest request." , required = true)
	@XmlElement(required = true)
	private int shortestResponseTimeBytes;

	/** @return The number of bytes sent on shortest request. */
	public int getShortestResponseTimeBytes() {
		return this.shortestResponseTimeBytes;
	}
	/** @param x The number of bytes sent on shortest request. */
	public void setShortestResponseTimeBytes(int x) {
		this.shortestResponseTimeBytes = x;
	}

	/** The highest recorded throughput (in bytes/second) to the remote array for this mirror during this sample period. */
	@io.swagger.annotations.ApiModelProperty(value ="The highest recorded throughput (in bytes/second) to the remote array for this mirror during this sample period." , required = true)
	@XmlElement(required = true)
	private long highestThroughputInBytesPerSecond;

	/** @return The highest recorded throughput (in bytes/second) to the remote array for this mirror during this sample period. */
	public long getHighestThroughputInBytesPerSecond() {
		return this.highestThroughputInBytesPerSecond;
	}
	/** @param x The highest recorded throughput (in bytes/second) to the remote array for this mirror during this sample period. */
	public void setHighestThroughputInBytesPerSecond(long x) {
		this.highestThroughputInBytesPerSecond = x;
	}

	/** The lowest recorded throughput (in bytes/second) to the remote array for this mirror during this sample period. */
	@io.swagger.annotations.ApiModelProperty(value ="The lowest recorded throughput (in bytes/second) to the remote array for this mirror during this sample period." , required = true)
	@XmlElement(required = true)
	private long lowestThroughputInBytesPerSecond;

	/** @return The lowest recorded throughput (in bytes/second) to the remote array for this mirror during this sample period. */
	public long getLowestThroughputInBytesPerSecond() {
		return this.lowestThroughputInBytesPerSecond;
	}
	/** @param x The lowest recorded throughput (in bytes/second) to the remote array for this mirror during this sample period. */
	public void setLowestThroughputInBytesPerSecond(long x) {
		this.lowestThroughputInBytesPerSecond = x;
	}
}
