package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report synchronization time statistics maintained by each Asynchronous Mirror Group (AMG) member. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1072)
public class AsyncMirrorSyncStatistics implements Serializable {
	public AsyncMirrorSyncStatistics() {
	}

	/** The mirror group member for which these statistics apply. */
	@io.swagger.annotations.ApiModelProperty(value ="The mirror group member for which these statistics apply." , required = true)
	@XmlElement(required = true)
	private String memberRef;

	/** @return The mirror group member for which these statistics apply. */
	public String getMemberRef() {
		return this.memberRef;
	}
	/** @param x The mirror group member for which these statistics apply. */
	public void setMemberRef(String x) {
		this.memberRef = x;
	}

	/** Statistics samples for this mirror pair (AsyncMirrorGroupMember). */
	@io.swagger.annotations.ApiModelProperty(value ="Statistics samples for this mirror pair (AsyncMirrorGroupMember)." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorSyncStatisticsSample[] syncStatisticsSamples;

	/** @return Statistics samples for this mirror pair (AsyncMirrorGroupMember). */
	public AsyncMirrorSyncStatisticsSample[] getSyncStatisticsSamples() {
		return this.syncStatisticsSamples;
	}
	/** @param x Statistics samples for this mirror pair (AsyncMirrorGroupMember). */
	public void setSyncStatisticsSamples(AsyncMirrorSyncStatisticsSample[] x) {
		this.syncStatisticsSamples = x;
	}
}
