package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This descriptor provides the input to the autoLoadBalanceRequest RPC procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(279)
public class AutoLoadBalanceRequestDescriptor implements Serializable {
	public AutoLoadBalanceRequestDescriptor() {
	}

	/** This enumeration identifies an auto load balance action being requested by the client. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration identifies an auto load balance action being requested by the client." , required = true)
	@XmlElement(required = true)
	private LoadBalanceAction action = LoadBalanceAction.__UNDEFINED;

	/** @return This enumeration identifies an auto load balance action being requested by the client. */
	public LoadBalanceAction getAction() {
		return this.action;
	}
	/** @param x This enumeration identifies an auto load balance action being requested by the client. */
	public void setAction(LoadBalanceAction x) {
		this.action = x;
	}

	/** Amount of time to delay before performing load balance operation. */
	@io.swagger.annotations.ApiModelProperty(value ="Amount of time to delay before performing load balance operation." , required = false)
	@XmlElement(required = false)
	private int delaySeconds;

	/** @return Amount of time to delay before performing load balance operation. */
	public int getDelaySeconds() {
		return this.delaySeconds;
	}
	/** @param x Amount of time to delay before performing load balance operation. */
	public void setDelaySeconds(int x) {
		this.delaySeconds = x;
	}
}
