package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey a bundle-migration-enabling key to the storage array controller so that a feature bundle can be migrated. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(523)
public class BundleKey implements Serializable {
	public BundleKey() {
	}

	/** An internal indication of the version of the bundle key. */
	@io.swagger.annotations.ApiModelProperty(value ="An internal indication of the version of the bundle key." , required = true)
	@XmlElement(required = true)
	private int keyVersion;

	/** @return An internal indication of the version of the bundle key. */
	public int getKeyVersion() {
		return this.keyVersion;
	}
	/** @param x An internal indication of the version of the bundle key. */
	public void setKeyVersion(int x) {
		this.keyVersion = x;
	}

	/** The submodel identifier of current feature bundle. */
	@io.swagger.annotations.ApiModelProperty(value ="The submodel identifier of current feature bundle." , required = true)
	@XmlElement(required = true)
	private String sourceSubmodelId;

	/** @return The submodel identifier of current feature bundle. */
	public String getSourceSubmodelId() {
		return this.sourceSubmodelId;
	}
	/** @param x The submodel identifier of current feature bundle. */
	public void setSourceSubmodelId(String x) {
		this.sourceSubmodelId = x;
	}

	/** The submodel identifier of feature bundle to migrate to. */
	@io.swagger.annotations.ApiModelProperty(value ="The submodel identifier of feature bundle to migrate to." , required = true)
	@XmlElement(required = true)
	private String targetSubmodelId;

	/** @return The submodel identifier of feature bundle to migrate to. */
	public String getTargetSubmodelId() {
		return this.targetSubmodelId;
	}
	/** @param x The submodel identifier of feature bundle to migrate to. */
	public void setTargetSubmodelId(String x) {
		this.targetSubmodelId = x;
	}

	/** This field contains a unique identifier maintained by SAFE for use by storage management software. Storage management software uses this data to enable SAFE features and perform Feature Bundle migration. */
	@io.swagger.annotations.ApiModelProperty(value ="This field contains a unique identifier maintained by SAFE for use by storage management software. Storage management software uses this data to enable SAFE features and perform Feature Bundle migration." , required = true)
	@XmlElement(required = true)
	private SAIdentifier saId;

	/** @return This field contains a unique identifier maintained by SAFE for use by storage management software. Storage management software uses this data to enable SAFE features and perform Feature Bundle migration. */
	public SAIdentifier getSaId() {
		return this.saId;
	}
	/** @param x This field contains a unique identifier maintained by SAFE for use by storage management software. Storage management software uses this data to enable SAFE features and perform Feature Bundle migration. */
	public void setSaId(SAIdentifier x) {
		this.saId = x;
	}

	/** A computed message digest that verifies the authenticity of this bundle key. */
	@io.swagger.annotations.ApiModelProperty(value ="A computed message digest that verifies the authenticity of this bundle key." , required = true)
	@XmlElement(required = true)
	private String digest;

	/** @return A computed message digest that verifies the authenticity of this bundle key. */
	public String getDigest() {
		return this.digest;
	}
	/** @param x A computed message digest that verifies the authenticity of this bundle key. */
	public void setDigest(String x) {
		this.digest = x;
	}
}
