package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the vital product data for a cache backup device. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(420)
public class CacheBackupDeviceVpd implements Serializable {
	public CacheBackupDeviceVpd() {
	}

	/** The variable-length ASCII text string that identifies the device manufacturer.. */
	@io.swagger.annotations.ApiModelProperty(value ="The variable-length ASCII text string that identifies the device manufacturer.." , required = true)
	@XmlElement(required = true)
	private String manufacturer;

	/** @return The variable-length ASCII text string that identifies the device manufacturer.. */
	public String getManufacturer() {
		return this.manufacturer;
	}
	/** @param x The variable-length ASCII text string that identifies the device manufacturer.. */
	public void setManufacturer(String x) {
		this.manufacturer = x;
	}

	/** The date of manufacture of the device, represented in seconds since midnight GMT on January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The date of manufacture of the device, represented in seconds since midnight GMT on January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long manufactureDate;

	/** @return The date of manufacture of the device, represented in seconds since midnight GMT on January 1, 1970. */
	public long getManufactureDate() {
		return this.manufactureDate;
	}
	/** @param x The date of manufacture of the device, represented in seconds since midnight GMT on January 1, 1970. */
	public void setManufactureDate(long x) {
		this.manufactureDate = x;
	}

	/** The variable-length ASCII text string that identifies the device by name. */
	@io.swagger.annotations.ApiModelProperty(value ="The variable-length ASCII text string that identifies the device by name." , required = true)
	@XmlElement(required = true)
	private String productId;

	/** @return The variable-length ASCII text string that identifies the device by name. */
	public String getProductId() {
		return this.productId;
	}
	/** @param x The variable-length ASCII text string that identifies the device by name. */
	public void setProductId(String x) {
		this.productId = x;
	}

	/** The variable-length ASCII text string that identifies the device revision level. */
	@io.swagger.annotations.ApiModelProperty(value ="The variable-length ASCII text string that identifies the device revision level." , required = true)
	@XmlElement(required = true)
	private String productRevLevel;

	/** @return The variable-length ASCII text string that identifies the device revision level. */
	public String getProductRevLevel() {
		return this.productRevLevel;
	}
	/** @param x The variable-length ASCII text string that identifies the device revision level. */
	public void setProductRevLevel(String x) {
		this.productRevLevel = x;
	}

	/** The variable-length ASCII text string that identifies the device part number. */
	@io.swagger.annotations.ApiModelProperty(value ="The variable-length ASCII text string that identifies the device part number." , required = true)
	@XmlElement(required = true)
	private String partNumber;

	/** @return The variable-length ASCII text string that identifies the device part number. */
	public String getPartNumber() {
		return this.partNumber;
	}
	/** @param x The variable-length ASCII text string that identifies the device part number. */
	public void setPartNumber(String x) {
		this.partNumber = x;
	}

	/** The variable-length ASCII text string that identifies the device serial number. */
	@io.swagger.annotations.ApiModelProperty(value ="The variable-length ASCII text string that identifies the device serial number." , required = true)
	@XmlElement(required = true)
	private String serialNumber;

	/** @return The variable-length ASCII text string that identifies the device serial number. */
	public String getSerialNumber() {
		return this.serialNumber;
	}
	/** @param x The variable-length ASCII text string that identifies the device serial number. */
	public void setSerialNumber(String x) {
		this.serialNumber = x;
	}
}
