package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type contains information associated with the volume candidate selection process. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1062)
public class CandidateSelectionTypeData implements Serializable {
	public CandidateSelectionTypeData() {
	}

	/** This enumeration object is used to specify the type of volume candidate that the client wishes to obtain in a getVolumeCandidates procedure call. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration object is used to specify the type of volume candidate that the client wishes to obtain in a getVolumeCandidates procedure call." , required = true)
	@XmlElement(required = true)
	private CandidateSelectionType candidateSelectionType = CandidateSelectionType.__UNDEFINED;

	/** @return This enumeration object is used to specify the type of volume candidate that the client wishes to obtain in a getVolumeCandidates procedure call. */
	public CandidateSelectionType getCandidateSelectionType() {
		return this.candidateSelectionType;
	}
	/** @param x This enumeration object is used to specify the type of volume candidate that the client wishes to obtain in a getVolumeCandidates procedure call. */
	public void setCandidateSelectionType(CandidateSelectionType x) {
		this.candidateSelectionType = x;
	}

	/** This field is present only if the candidateSelectionType value is equal to CANDIDATE_SEL_MANUAL. It contains the reference values for the drives on which a new volume group (and volume) are to be created. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the candidateSelectionType value is equal to CANDIDATE_SEL_MANUAL. It contains the reference values for the drives on which a new volume group (and volume) are to be created." , required = false)
	@XmlElement(required = false)
	private DriveRefList driveRefList;

	/** @return This field is present only if the candidateSelectionType value is equal to CANDIDATE_SEL_MANUAL. It contains the reference values for the drives on which a new volume group (and volume) are to be created. */
	public DriveRefList getDriveRefList() {
		return this.driveRefList;
	}
	/** @param x This field is present only if the candidateSelectionType value is equal to CANDIDATE_SEL_MANUAL. It contains the reference values for the drives on which a new volume group (and volume) are to be created. */
	public void setDriveRefList(DriveRefList x) {
		this.driveRefList = x;
	}
}
