package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure type is used by the getChannelDiagnosticsResults procedure to return diagnostic result data. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1176)
public class ChannelDiagResultsReturned implements Serializable {
	public ChannelDiagResultsReturned() {
	}

	/** The return code from the getChannelDiagnosticsResults procedure. */
	@io.swagger.annotations.ApiModelProperty(value ="The return code from the getChannelDiagnosticsResults procedure." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return The return code from the getChannelDiagnosticsResults procedure. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x The return code from the getChannelDiagnosticsResults procedure. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** The time when the test sequence started, represented in seconds since midnight GMT on January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The time when the test sequence started, represented in seconds since midnight GMT on January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long testStartTime;

	/** @return The time when the test sequence started, represented in seconds since midnight GMT on January 1, 1970. */
	public long getTestStartTime() {
		return this.testStartTime;
	}
	/** @param x The time when the test sequence started, represented in seconds since midnight GMT on January 1, 1970. */
	public void setTestStartTime(long x) {
		this.testStartTime = x;
	}

	/** The time when the test sequence ended, represented in seconds since midnight GMT on January 1, 1970. If returnCode is equal to RETCODE_CHANNEL_DIAGS_RUNNING, this field is set to the time that was current when the getChannelDiagnosticsResults was processed. */
	@io.swagger.annotations.ApiModelProperty(value ="The time when the test sequence ended, represented in seconds since midnight GMT on January 1, 1970. If returnCode is equal to RETCODE_CHANNEL_DIAGS_RUNNING, this field is set to the time that was current when the getChannelDiagnosticsResults was processed." , required = true)
	@XmlElement(required = true)
	private long testEndTime;

	/** @return The time when the test sequence ended, represented in seconds since midnight GMT on January 1, 1970. If returnCode is equal to RETCODE_CHANNEL_DIAGS_RUNNING, this field is set to the time that was current when the getChannelDiagnosticsResults was processed. */
	public long getTestEndTime() {
		return this.testEndTime;
	}
	/** @param x The time when the test sequence ended, represented in seconds since midnight GMT on January 1, 1970. If returnCode is equal to RETCODE_CHANNEL_DIAGS_RUNNING, this field is set to the time that was current when the getChannelDiagnosticsResults was processed. */
	public void setTestEndTime(long x) {
		this.testEndTime = x;
	}

	/** The results of the channel diagnostic test. This field does not contain valid data whenever the return code is equal to RETCODE_CHANNEL_DIAGS_RUNNING. */
	@io.swagger.annotations.ApiModelProperty(value ="The results of the channel diagnostic test. This field does not contain valid data whenever the return code is equal to RETCODE_CHANNEL_DIAGS_RUNNING." , required = true)
	@XmlElement(required = true)
	private ChannelDiagResults diagResults;

	/** @return The results of the channel diagnostic test. This field does not contain valid data whenever the return code is equal to RETCODE_CHANNEL_DIAGS_RUNNING. */
	public ChannelDiagResults getDiagResults() {
		return this.diagResults;
	}
	/** @param x The results of the channel diagnostic test. This field does not contain valid data whenever the return code is equal to RETCODE_CHANNEL_DIAGS_RUNNING. */
	public void setDiagResults(ChannelDiagResults x) {
		this.diagResults = x;
	}
}
