package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains SAS-specific device diagnostic data. This data is included in the information reported by the getChannelDiagnosticsResults procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1132)
public class ChannelDiagSasDependentResults implements Serializable {
	public ChannelDiagSasDependentResults() {
	}

	/** An array of SAS statistical data for the channel under test. Only data for SAS ports in the I/O path are included. All fields of the SasData structure contain meaningful data. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of SAS statistical data for the channel under test. Only data for SAS ports in the I/O path are included. All fields of the SasData structure contain meaningful data." , required = true)
	@XmlElement(required = true)
	private SasData[] sasData;

	/** @return An array of SAS statistical data for the channel under test. Only data for SAS ports in the I/O path are included. All fields of the SasData structure contain meaningful data. */
	public SasData[] getSasData() {
		return this.sasData;
	}
	/** @param x An array of SAS statistical data for the channel under test. Only data for SAS ports in the I/O path are included. All fields of the SasData structure contain meaningful data. */
	public void setSasData(SasData[] x) {
		this.sasData = x;
	}
}
