package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to specify a specific channel for events in the Major Event Log. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(485)
public class ChannelLocation implements Serializable {
	public ChannelLocation() {
	}

	/** The channel type. */
	@io.swagger.annotations.ApiModelProperty(value ="The channel type." , required = true)
	@XmlElement(required = true)
	private ChannelType channelType = ChannelType.__UNDEFINED;

	/** @return The channel type. */
	public ChannelType getChannelType() {
		return this.channelType;
	}
	/** @param x The channel type. */
	public void setChannelType(ChannelType x) {
		this.channelType = x;
	}

	/** The channel location. */
	@io.swagger.annotations.ApiModelProperty(value ="The channel location." , required = true)
	@XmlElement(required = true)
	private int index;

	/** @return The channel location. */
	public int getIndex() {
		return this.index;
	}
	/** @param x The channel location. */
	public void setIndex(int x) {
		this.index = x;
	}

	/** Controller number 1 if in top slot. Controller number 2 if in bottom slot. */
	@io.swagger.annotations.ApiModelProperty(value ="Controller number 1 if in top slot. Controller number 2 if in bottom slot." , required = true)
	@XmlElement(required = true)
	private int controllerSlot;

	/** @return Controller number 1 if in top slot. Controller number 2 if in bottom slot. */
	public int getControllerSlot() {
		return this.controllerSlot;
	}
	/** @param x Controller number 1 if in top slot. Controller number 2 if in bottom slot. */
	public void setControllerSlot(int x) {
		this.controllerSlot = x;
	}
}
