package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is used to convey information about a component's type-specific data. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1136)
public class ComponentTypeData implements Serializable {
	public ComponentTypeData() {
	}

	/** This enumeration defines the different types of components that may be reported within a storage array. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration defines the different types of components that may be reported within a storage array." , required = true)
	@XmlElement(required = true)
	private ComponentType componentType = ComponentType.__UNDEFINED;

	/** @return This enumeration defines the different types of components that may be reported within a storage array. */
	public ComponentType getComponentType() {
		return this.componentType;
	}
	/** @param x This enumeration defines the different types of components that may be reported within a storage array. */
	public void setComponentType(ComponentType x) {
		this.componentType = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_ALARM. It contains detailed information about the alarm component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_ALARM. It contains detailed information about the alarm component." , required = false)
	@XmlElement(required = false)
	private Alarm alarm;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_ALARM. It contains detailed information about the alarm component. */
	public Alarm getAlarm() {
		return this.alarm;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_ALARM. It contains detailed information about the alarm component. */
	public void setAlarm(Alarm x) {
		this.alarm = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_BATTERY. It contains detailed information about the battery. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_BATTERY. It contains detailed information about the battery." , required = false)
	@XmlElement(required = false)
	private Battery battery;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_BATTERY. It contains detailed information about the battery. */
	public Battery getBattery() {
		return this.battery;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_BATTERY. It contains detailed information about the battery. */
	public void setBattery(Battery x) {
		this.battery = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_CACHE_BACKUP_DEVICE It contains detailed information about a cache backup device component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_CACHE_BACKUP_DEVICE It contains detailed information about a cache backup device component." , required = false)
	@XmlElement(required = false)
	private CacheBackupDevice cacheBackupDevice;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_CACHE_BACKUP_DEVICE It contains detailed information about a cache backup device component. */
	public CacheBackupDevice getCacheBackupDevice() {
		return this.cacheBackupDevice;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_CACHE_BACKUP_DEVICE It contains detailed information about a cache backup device component. */
	public void setCacheBackupDevice(CacheBackupDevice x) {
		this.cacheBackupDevice = x;
	}

	/** This field is only present if the componentType value is equal to COMP_TYPE_CACHE_MEM_DIMM. It contains detailed information about a cache memory DIMM component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is only present if the componentType value is equal to COMP_TYPE_CACHE_MEM_DIMM. It contains detailed information about a cache memory DIMM component." , required = false)
	@XmlElement(required = false)
	private CacheMemoryDimm cacheMemoryDimm;

	/** @return This field is only present if the componentType value is equal to COMP_TYPE_CACHE_MEM_DIMM. It contains detailed information about a cache memory DIMM component. */
	public CacheMemoryDimm getCacheMemoryDimm() {
		return this.cacheMemoryDimm;
	}
	/** @param x This field is only present if the componentType value is equal to COMP_TYPE_CACHE_MEM_DIMM. It contains detailed information about a cache memory DIMM component. */
	public void setCacheMemoryDimm(CacheMemoryDimm x) {
		this.cacheMemoryDimm = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_ESM. It contains detailed information about the ESM component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_ESM. It contains detailed information about the ESM component." , required = false)
	@XmlElement(required = false)
	private Esm esm;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_ESM. It contains detailed information about the ESM component. */
	public Esm getEsm() {
		return this.esm;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_ESM. It contains detailed information about the ESM component. */
	public void setEsm(Esm x) {
		this.esm = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_FAN. It contains detailed fan-specific information. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_FAN. It contains detailed fan-specific information." , required = false)
	@XmlElement(required = false)
	private Fan fan;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_FAN. It contains detailed fan-specific information. */
	public Fan getFan() {
		return this.fan;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_FAN. It contains detailed fan-specific information. */
	public void setFan(Fan x) {
		this.fan = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_GBIC. It contains detailed information about the GBIC component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_GBIC. It contains detailed information about the GBIC component." , required = false)
	@XmlElement(required = false)
	private Gbic gbic;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_GBIC. It contains detailed information about the GBIC component. */
	public Gbic getGbic() {
		return this.gbic;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_GBIC. It contains detailed information about the GBIC component. */
	public void setGbic(Gbic x) {
		this.gbic = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_HOSTBOARD. It contains detailed information about the host board component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_HOSTBOARD. It contains detailed information about the host board component." , required = false)
	@XmlElement(required = false)
	private HostBoard hostBoard;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_HOSTBOARD. It contains detailed information about the host board component. */
	public HostBoard getHostBoard() {
		return this.hostBoard;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_HOSTBOARD. It contains detailed information about the host board component. */
	public void setHostBoard(HostBoard x) {
		this.hostBoard = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_IC_SAS_EXPANDER. It contains detailed information about a SAS expander component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_IC_SAS_EXPANDER. It contains detailed information about a SAS expander component." , required = false)
	@XmlElement(required = false)
	private SasExpander sasExpander;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_IC_SAS_EXPANDER. It contains detailed information about a SAS expander component. */
	public SasExpander getSasExpander() {
		return this.sasExpander;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_IC_SAS_EXPANDER. It contains detailed information about a SAS expander component. */
	public void setSasExpander(SasExpander x) {
		this.sasExpander = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_INTERCONNECT_CRU. It contains detailed information about the interconnect CRU component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_INTERCONNECT_CRU. It contains detailed information about the interconnect CRU component." , required = false)
	@XmlElement(required = false)
	private InterconnectCRU interconnectCRU;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_INTERCONNECT_CRU. It contains detailed information about the interconnect CRU component. */
	public InterconnectCRU getInterconnectCRU() {
		return this.interconnectCRU;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_INTERCONNECT_CRU. It contains detailed information about the interconnect CRU component. */
	public void setInterconnectCRU(InterconnectCRU x) {
		this.interconnectCRU = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_MINIHUB. It contains detailed information about the minihub component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_MINIHUB. It contains detailed information about the minihub component." , required = false)
	@XmlElement(required = false)
	private Minihub minihub;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_MINIHUB. It contains detailed information about the minihub component. */
	public Minihub getMinihub() {
		return this.minihub;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_MINIHUB. It contains detailed information about the minihub component. */
	public void setMinihub(Minihub x) {
		this.minihub = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_POWER_SUPPLY. It contains detailed information about the power supply. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_POWER_SUPPLY. It contains detailed information about the power supply." , required = false)
	@XmlElement(required = false)
	private PowerSupply powerSupply;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_POWER_SUPPLY. It contains detailed information about the power supply. */
	public PowerSupply getPowerSupply() {
		return this.powerSupply;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_POWER_SUPPLY. It contains detailed information about the power supply. */
	public void setPowerSupply(PowerSupply x) {
		this.powerSupply = x;
	}

	/** This field is only present if the componentType value is equal to COMP_TYPE_PROC_MEM_DIMM. It contains detailed information about a processor memory DIMM component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is only present if the componentType value is equal to COMP_TYPE_PROC_MEM_DIMM. It contains detailed information about a processor memory DIMM component." , required = false)
	@XmlElement(required = false)
	private ProcessorMemoryDimm processorMemoryDimm;

	/** @return This field is only present if the componentType value is equal to COMP_TYPE_PROC_MEM_DIMM. It contains detailed information about a processor memory DIMM component. */
	public ProcessorMemoryDimm getProcessorMemoryDimm() {
		return this.processorMemoryDimm;
	}
	/** @param x This field is only present if the componentType value is equal to COMP_TYPE_PROC_MEM_DIMM. It contains detailed information about a processor memory DIMM component. */
	public void setProcessorMemoryDimm(ProcessorMemoryDimm x) {
		this.processorMemoryDimm = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_SFP. It contains detailed information about the SFP component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_SFP. It contains detailed information about the SFP component." , required = false)
	@XmlElement(required = false)
	private Sfp sfp;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_SFP. It contains detailed information about the SFP component. */
	public Sfp getSfp() {
		return this.sfp;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_SFP. It contains detailed information about the SFP component. */
	public void setSfp(Sfp x) {
		this.sfp = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_SUPPORT_CRU. It contains detailed information about the support CRU component. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_SUPPORT_CRU. It contains detailed information about the support CRU component." , required = false)
	@XmlElement(required = false)
	private SupportCRU supportCRU;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_SUPPORT_CRU. It contains detailed information about the support CRU component. */
	public SupportCRU getSupportCRU() {
		return this.supportCRU;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_SUPPORT_CRU. It contains detailed information about the support CRU component. */
	public void setSupportCRU(SupportCRU x) {
		this.supportCRU = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_THERMAL_SENSOR. It contains detailed thermal-sensor-specific information. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_THERMAL_SENSOR. It contains detailed thermal-sensor-specific information." , required = false)
	@XmlElement(required = false)
	private ThermalSensor thermalSensor;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_THERMAL_SENSOR. It contains detailed thermal-sensor-specific information. */
	public ThermalSensor getThermalSensor() {
		return this.thermalSensor;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_THERMAL_SENSOR. It contains detailed thermal-sensor-specific information. */
	public void setThermalSensor(ThermalSensor x) {
		this.thermalSensor = x;
	}

	/** This field is present only if the componentType value is equal to COMP_TYPE_UPS. It contains detailed UPS-specific information. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the componentType value is equal to COMP_TYPE_UPS. It contains detailed UPS-specific information." , required = false)
	@XmlElement(required = false)
	private Ups ups;

	/** @return This field is present only if the componentType value is equal to COMP_TYPE_UPS. It contains detailed UPS-specific information. */
	public Ups getUps() {
		return this.ups;
	}
	/** @param x This field is present only if the componentType value is equal to COMP_TYPE_UPS. It contains detailed UPS-specific information. */
	public void setUps(Ups x) {
		this.ups = x;
	}
}
