package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to specify attributes for expansion of a ConcatVolume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1137)
public class ConcatVolumeExpansionDescriptor implements Serializable {
	public ConcatVolumeExpansionDescriptor() {
	}

	/** The ConcatVolume to expand. */
	@io.swagger.annotations.ApiModelProperty(value ="The ConcatVolume to expand." , required = true)
	@XmlElement(required = true)
	private String concatVol;

	/** @return The ConcatVolume to expand. */
	public String getConcatVol() {
		return this.concatVol;
	}
	/** @param x The ConcatVolume to expand. */
	public void setConcatVol(String x) {
		this.concatVol = x;
	}

	/** The expansion candidate for the ConcatVolume (can be an existing volume, a volume to be created, or expand the last member). */
	@io.swagger.annotations.ApiModelProperty(value ="The expansion candidate for the ConcatVolume (can be an existing volume, a volume to be created, or expand the last member)." , required = true)
	@XmlElement(required = true)
	private ConcatVolumeCandidate expandCandidate;

	/** @return The expansion candidate for the ConcatVolume (can be an existing volume, a volume to be created, or expand the last member). */
	public ConcatVolumeCandidate getExpandCandidate() {
		return this.expandCandidate;
	}
	/** @param x The expansion candidate for the ConcatVolume (can be an existing volume, a volume to be created, or expand the last member). */
	public void setExpandCandidate(ConcatVolumeCandidate x) {
		this.expandCandidate = x;
	}
}
