package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about a new volume candidate for a concatenated volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1087)
public class ConcatVolumeNewVolumeCandidate implements Serializable {
	public ConcatVolumeNewVolumeCandidate() {
	}

	/** The label for the new member volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The label for the new member volume." , required = true)
	@XmlElement(required = true)
	private String memberVolumeLabel;

	/** @return The label for the new member volume. */
	public String getMemberVolumeLabel() {
		return this.memberVolumeLabel;
	}
	/** @param x The label for the new member volume. */
	public void setMemberVolumeLabel(String x) {
		this.memberVolumeLabel = x;
	}

	/** An optional volume group label if creating a new volume group. */
	@io.swagger.annotations.ApiModelProperty(value ="An optional volume group label if creating a new volume group." , required = true)
	@XmlElement(required = true)
	private String memberVolumeGroupLabel;

	/** @return An optional volume group label if creating a new volume group. */
	public String getMemberVolumeGroupLabel() {
		return this.memberVolumeGroupLabel;
	}
	/** @param x An optional volume group label if creating a new volume group. */
	public void setMemberVolumeGroupLabel(String x) {
		this.memberVolumeGroupLabel = x;
	}

	/** The candidate to be used to create the member volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The candidate to be used to create the member volume." , required = true)
	@XmlElement(required = true)
	private VolumeCandidate memberCandidate;

	/** @return The candidate to be used to create the member volume. */
	public VolumeCandidate getMemberCandidate() {
		return this.memberCandidate;
	}
	/** @param x The candidate to be used to create the member volume. */
	public void setMemberCandidate(VolumeCandidate x) {
		this.memberCandidate = x;
	}

	/** The capacity of the new volume to create, in bytes. */
	@io.swagger.annotations.ApiModelProperty(value ="The capacity of the new volume to create, in bytes." , required = true)
	@XmlElement(required = true)
	private long memberCapacity;

	/** @return The capacity of the new volume to create, in bytes. */
	public long getMemberCapacity() {
		return this.memberCapacity;
	}
	/** @param x The capacity of the new volume to create, in bytes. */
	public void setMemberCapacity(long x) {
		this.memberCapacity = x;
	}
}
