package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to describe the controller's redundancy expectations. The redundancyMode field in the FeatureParams structure will contain a value from this enumeration identifying whether the system is Simplex or Duplex. If the value is set to CTRL_REDUNDANCY_MODE_SIMPLEX, the controller firmware doesn't allow Controller B of the pair to boot and ignores redundancy errors. If the value is set to CTLR_REDUNDANCY_MODE_DUPLEX, it will behave like a duplex controller, allowing controller B to boot and reporting redundancy errors. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(49)
public enum ControllerRedundancyMode implements Serializable {
		/** The controller redundancy mode is unknown. */
		unknown(0),
		/** The controller is in Duplex redundancy mode, so the controller firmware allows Controller B of the pair to boot and reports redundancy errors. */
		duplex(1),
		/** The controller is in Simplex redundancy mode, so the controller firmware doesn't allow Controller B of the pair to boot and ignores redundancy errors. */
		simplex(2),
		__UNDEFINED(464378545);

		public final int value;

		private ControllerRedundancyMode(int v) {
			this.value = v;
		}
}
