package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to describe the controller SFP information. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(678)
public class ControllerSFP implements Serializable {
	public ControllerSFP() {
	}

	/** The interface (host/drive) to which the SFP belongs. */
	@io.swagger.annotations.ApiModelProperty(value ="The interface (host/drive) to which the SFP belongs." , required = true)
	@XmlElement(required = true)
	private ControllerSFPType controllerSFPType = ControllerSFPType.__UNDEFINED;

	/** @return The interface (host/drive) to which the SFP belongs. */
	public ControllerSFPType getControllerSFPType() {
		return this.controllerSFPType;
	}
	/** @param x The interface (host/drive) to which the SFP belongs. */
	public void setControllerSFPType(ControllerSFPType x) {
		this.controllerSFPType = x;
	}

	/** The controller to which the SFP belongs. */
	@io.swagger.annotations.ApiModelProperty(value ="The controller to which the SFP belongs." , required = true)
	@XmlElement(required = true)
	private String parentController;

	/** @return The controller to which the SFP belongs. */
	public String getParentController() {
		return this.parentController;
	}
	/** @param x The controller to which the SFP belongs. */
	public void setParentController(String x) {
		this.parentController = x;
	}

	/** The channel the SFP is associated with. */
	@io.swagger.annotations.ApiModelProperty(value ="The channel the SFP is associated with." , required = true)
	@XmlElement(required = true)
	private int channel;

	/** @return The channel the SFP is associated with. */
	public int getChannel() {
		return this.channel;
	}
	/** @param x The channel the SFP is associated with. */
	public void setChannel(int x) {
		this.channel = x;
	}

	/** Reserved */
	@XmlTransient
	private String reserved1;

	/** @return Reserved */
	public String getReserved1() {
		return this.reserved1;
	}
	/** @param x Reserved */
	public void setReserved1(String x) {
		this.reserved1 = x;
	}

	/** Reserved */
	@XmlTransient
	private String reserved2;

	/** @return Reserved */
	public String getReserved2() {
		return this.reserved2;
	}
	/** @param x Reserved */
	public void setReserved2(String x) {
		this.reserved2 = x;
	}
}
