package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the input argument to the copyDriveThenReplace procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(736)
public class CopyThenReplaceDescriptor implements Serializable {
	public CopyThenReplaceDescriptor() {
	}

	/** The drive to be replaced. */
	@io.swagger.annotations.ApiModelProperty(value ="The drive to be replaced." , required = true)
	@XmlElement(required = true)
	private String driveToReplace;

	/** @return The drive to be replaced. */
	public String getDriveToReplace() {
		return this.driveToReplace;
	}
	/** @param x The drive to be replaced. */
	public void setDriveToReplace(String x) {
		this.driveToReplace = x;
	}

	/** A reference to the replacement drive. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the replacement drive." , required = true)
	@XmlElement(required = true)
	private String replacementDrive;

	/** @return A reference to the replacement drive. */
	public String getReplacementDrive() {
		return this.replacementDrive;
	}
	/** @param x A reference to the replacement drive. */
	public void setReplacementDrive(String x) {
		this.replacementDrive = x;
	}

	/** This flag indicates what the state of the source drive should be after the evacuation is complete. True means the source drive's Availability state should be set to FAILED after successful evacuation; False means the state should not change. */
	@io.swagger.annotations.ApiModelProperty(value ="This flag indicates what the state of the source drive should be after the evacuation is complete. True means the source drive's Availability state should be set to FAILED after successful evacuation; False means the state should not change." , required = true)
	@XmlElement(required = true)
	private boolean failAfterEvacuate;

	/** @return This flag indicates what the state of the source drive should be after the evacuation is complete. True means the source drive's Availability state should be set to FAILED after successful evacuation; False means the state should not change. */
	public boolean isFailAfterEvacuate() {
		return this.failAfterEvacuate;
	}
	/** @param x This flag indicates what the state of the source drive should be after the evacuation is complete. True means the source drive's Availability state should be set to FAILED after successful evacuation; False means the state should not change. */
	public void setFailAfterEvacuate(boolean x) {
		this.failAfterEvacuate = x;
	}
}
