package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines the possible database accessibility modes. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(99)
public enum DatabaseAccessibility implements Serializable {
		/** The database accessibility is unknown. */
		unknown(0),
		/** The database is offline. */
		offline(1),
		/** The database is in read only mode. */
		readOnly(2),
		/** The database is in read/write mode. */
		readWrite(3),
		/** The database is in recovery mode. */
		recoveryMode(4),
		__UNDEFINED(464378545);

		public final int value;

		private DatabaseAccessibility(int v) {
			this.value = v;
		}
}
