package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure specifies the detailed content of the raw data returned by the controller in response to configuration database validation requests. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(536)
public class DbmCheckRetrieveChunkDetails implements Serializable {
	public DbmCheckRetrieveChunkDetails() {
	}

	/** If the consistency check is successful, this field will be set to DBM_VALIDATION_OK, otherwise it will contain a specific failure code. The returnCode field in RawDataRetrieveResult will always be set to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="If the consistency check is successful, this field will be set to DBM_VALIDATION_OK, otherwise it will contain a specific failure code. The returnCode field in RawDataRetrieveResult will always be set to RETCODE_OK." , required = true)
	@XmlElement(required = true)
	private DbmValidationStatus validationStatus = DbmValidationStatus.__UNDEFINED;

	/** @return If the consistency check is successful, this field will be set to DBM_VALIDATION_OK, otherwise it will contain a specific failure code. The returnCode field in RawDataRetrieveResult will always be set to RETCODE_OK. */
	public DbmValidationStatus getValidationStatus() {
		return this.validationStatus;
	}
	/** @param x If the consistency check is successful, this field will be set to DBM_VALIDATION_OK, otherwise it will contain a specific failure code. The returnCode field in RawDataRetrieveResult will always be set to RETCODE_OK. */
	public void setValidationStatus(DbmValidationStatus x) {
		this.validationStatus = x;
	}

	/** An array of opaque data fields will be returned. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of opaque data fields will be returned." , required = true)
	@XmlElement(required = true)
	private String blockData;

	/** @return An array of opaque data fields will be returned. */
	public String getBlockData() {
		return this.blockData;
	}
	/** @param x An array of opaque data fields will be returned. */
	public void setBlockData(String x) {
		this.blockData = x;
	}

	/** Specifies which storage device contains the image to be checked. */
	@io.swagger.annotations.ApiModelProperty(value ="Specifies which storage device contains the image to be checked." , required = true)
	@XmlElement(required = true)
	private DbmDatabaseLocation sourceLocation = DbmDatabaseLocation.__UNDEFINED;

	/** @return Specifies which storage device contains the image to be checked. */
	public DbmDatabaseLocation getSourceLocation() {
		return this.sourceLocation;
	}
	/** @param x Specifies which storage device contains the image to be checked. */
	public void setSourceLocation(DbmDatabaseLocation x) {
		this.sourceLocation = x;
	}
}
