package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure describes a DDC chunk. It is used when requesting a chunk of DDC data from the array. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(538)
public class DdcExtent implements Serializable {
	public DdcExtent() {
	}

	/** The tag associated with the DDC data set being transferred. */
	@io.swagger.annotations.ApiModelProperty(value ="The tag associated with the DDC data set being transferred." , required = true)
	@XmlElement(required = true)
	private int ddcTag;

	/** @return The tag associated with the DDC data set being transferred. */
	public int getDdcTag() {
		return this.ddcTag;
	}
	/** @param x The tag associated with the DDC data set being transferred. */
	public void setDdcTag(int x) {
		this.ddcTag = x;
	}

	/** The number of the DDC chunk that the client wants to retrieve. The number of the first chunk is one. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of the DDC chunk that the client wants to retrieve. The number of the first chunk is one." , required = true)
	@XmlElement(required = true)
	private int chunkNumber;

	/** @return The number of the DDC chunk that the client wants to retrieve. The number of the first chunk is one. */
	public int getChunkNumber() {
		return this.chunkNumber;
	}
	/** @param x The number of the DDC chunk that the client wants to retrieve. The number of the first chunk is one. */
	public void setChunkNumber(int x) {
		this.chunkNumber = x;
	}

	/** A SYMbol reference identifying the controller that has the desired DDC log data. */
	@io.swagger.annotations.ApiModelProperty(value ="A SYMbol reference identifying the controller that has the desired DDC log data." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return A SYMbol reference identifying the controller that has the desired DDC log data. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x A SYMbol reference identifying the controller that has the desired DDC log data. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}
}
