package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to initiate a Dynamic Capacity Reduction (DCR) operation on a disk pool. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(700)
public class DiskPoolReductionDescriptor implements Serializable {
	public DiskPoolReductionDescriptor() {
	}

	/** The disk pool undergoing the capacity reduction. */
	@io.swagger.annotations.ApiModelProperty(value ="The disk pool undergoing the capacity reduction." , required = true)
	@XmlElement(required = true)
	private String volumeGroupRef;

	/** @return The disk pool undergoing the capacity reduction. */
	public String getVolumeGroupRef() {
		return this.volumeGroupRef;
	}
	/** @param x The disk pool undergoing the capacity reduction. */
	public void setVolumeGroupRef(String x) {
		this.volumeGroupRef = x;
	}

	/** The drives to be removed. */
	@io.swagger.annotations.ApiModelProperty(value ="The drives to be removed." , required = true)
	@XmlElement(required = true)
	private String[] driveRef;

	/** @return The drives to be removed. */
	public String[] getDriveRef() {
		return this.driveRef;
	}
	/** @param x The drives to be removed. */
	public void setDriveRef(String[] x) {
		this.driveRef = x;
	}
}
