package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure specifies the parameters that are provided by the client when starting a DQ retrieval. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(421)
public class DqRetrieveStartDetails implements Serializable {
	public DqRetrieveStartDetails() {
	}

	/** When set to true, the data is compressed for the retrieval. */
	@io.swagger.annotations.ApiModelProperty(value ="When set to true, the data is compressed for the retrieval." , required = true)
	@XmlElement(required = true)
	private boolean compress;

	/** @return When set to true, the data is compressed for the retrieval. */
	public boolean isCompress() {
		return this.compress;
	}
	/** @param x When set to true, the data is compressed for the retrieval. */
	public void setCompress(boolean x) {
		this.compress = x;
	}

	/** set to the type of trace buffers to retrieve */
	@io.swagger.annotations.ApiModelProperty(value ="set to the type of trace buffers to retrieve" , required = true)
	@XmlElement(required = true)
	private DqTraceID traceID = DqTraceID.__UNDEFINED;

	/** @return set to the type of trace buffers to retrieve */
	public DqTraceID getTraceID() {
		return this.traceID;
	}
	/** @param x set to the type of trace buffers to retrieve */
	public void setTraceID(DqTraceID x) {
		this.traceID = x;
	}

	/** indicates whether the retrieved buffer is to be flushed */
	@io.swagger.annotations.ApiModelProperty(value ="indicates whether the retrieved buffer is to be flushed" , required = true)
	@XmlElement(required = true)
	private boolean flushCurrent;

	/** @return indicates whether the retrieved buffer is to be flushed */
	public boolean isFlushCurrent() {
		return this.flushCurrent;
	}
	/** @param x indicates whether the retrieved buffer is to be flushed */
	public void setFlushCurrent(boolean x) {
		this.flushCurrent = x;
	}
}
