package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to contain a drive's log sense pages. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(791)
public class DriveLogData implements Serializable {
	public DriveLogData() {
	}

	/** The return code from the getDriveLogData procedure. */
	@io.swagger.annotations.ApiModelProperty(value ="The return code from the getDriveLogData procedure." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return The return code from the getDriveLogData procedure. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x The return code from the getDriveLogData procedure. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** The drive serial number */
	@io.swagger.annotations.ApiModelProperty(value ="The drive serial number" , required = true)
	@XmlElement(required = true)
	private String serialNumber;

	/** @return The drive serial number */
	public String getSerialNumber() {
		return this.serialNumber;
	}
	/** @param x The drive serial number */
	public void setSerialNumber(String x) {
		this.serialNumber = x;
	}

	/** The drive tray and slot number. */
	@io.swagger.annotations.ApiModelProperty(value ="The drive tray and slot number." , required = true)
	@XmlElement(required = true)
	private Location physicalLocation;

	/** @return The drive tray and slot number. */
	public Location getPhysicalLocation() {
		return this.physicalLocation;
	}
	/** @param x The drive tray and slot number. */
	public void setPhysicalLocation(Location x) {
		this.physicalLocation = x;
	}

	/** The concatenated drive logs. */
	@io.swagger.annotations.ApiModelProperty(value ="The concatenated drive logs." , required = true)
	@XmlElement(required = true)
	private String logs;

	/** @return The concatenated drive logs. */
	public String getLogs() {
		return this.logs;
	}
	/** @param x The concatenated drive logs. */
	public void setLogs(String x) {
		this.logs = x;
	}
}
