package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to indicate the reason a drive has a PFA condition. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(159)
public enum DrivePfaReason implements Serializable {
		/** The drive has a PFA condition, but the reason for it is unknown. */
		unknown(0),
		/** The drive does not have a PFA condition. */
		none(1),
		/** The drive itself reported the PFA condition. */
		driveReported(2),
		/** The RAID controller firmware has synthesized a PFA condition for the drive. */
		synthesized(3),
		/** The SSD drive has reached the end of its life threshold. */
		ssdEndOfLife(4),
		__UNDEFINED(464378545);

		public final int value;

		private DrivePfaReason(int v) {
			this.value = v;
		}
}
