package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is used to convey information about an ESM interface's type-specific data. This data type is now deprecated. The type EsmInterfaceAttributes should be used instead. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(364)
public class ESMInterfaceTypeData implements Serializable {
	public ESMInterfaceTypeData() {
	}

	/** This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller." , required = true)
	@XmlElement(required = true)
	private IOInterfaceType ioInterfaceType = IOInterfaceType.__UNDEFINED;

	/** @return This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	public IOInterfaceType getIoInterfaceType() {
		return this.ioInterfaceType;
	}
	/** @param x This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	public void setIoInterfaceType(IOInterfaceType x) {
		this.ioInterfaceType = x;
	}

	/** A list of detailed information for each port. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of detailed information for each port." , required = false)
	@XmlElement(required = false)
	private PortList portList;

	/** @return A list of detailed information for each port. */
	public PortList getPortList() {
		return this.portList;
	}
	/** @param x A list of detailed information for each port. */
	public void setPortList(PortList x) {
		this.portList = x;
	}
}
