package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains Energy Star Data associated with each power supply, organized by tray. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(388)
public class EnergyStarData implements Serializable {
	public EnergyStarData() {
	}

	/** The total measured power drawn by the array measured in watts. */
	@io.swagger.annotations.ApiModelProperty(value ="The total measured power drawn by the array measured in watts." , required = true)
	@XmlElement(required = true)
	private int totalPower;

	/** @return The total measured power drawn by the array measured in watts. */
	public int getTotalPower() {
		return this.totalPower;
	}
	/** @param x The total measured power drawn by the array measured in watts. */
	public void setTotalPower(int x) {
		this.totalPower = x;
	}

	/** The number of trays reporting power data. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of trays reporting power data." , required = true)
	@XmlElement(required = true)
	private int numberOfTrays;

	/** @return The number of trays reporting power data. */
	public int getNumberOfTrays() {
		return this.numberOfTrays;
	}
	/** @param x The number of trays reporting power data. */
	public void setNumberOfTrays(int x) {
		this.numberOfTrays = x;
	}

	/** List of power data by tray. */
	@io.swagger.annotations.ApiModelProperty(value ="List of power data by tray." , required = true)
	@XmlElement(required = true)
	private TrayPower[] trayPower;

	/** @return List of power data by tray. */
	public TrayPower[] getTrayPower() {
		return this.trayPower;
	}
	/** @param x List of power data by tray. */
	public void setTrayPower(TrayPower[] x) {
		this.trayPower = x;
	}
}
