package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** An enumeration that includes Time Length Value (TLV)Types for Enhanced Ethernet. Refer to the IEEE Std 802.1AB-2005 */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(96)
public enum EnhEthTLVType implements Serializable {
		/** The TLV type is unknown for the Enhanced Ethernet. This TLV type should not be used. */
		unknown(0),
		/** The TLV type is Chassis ID for Enhanced Ethernet (mandatory). */
		chassisid(1),
		/** The TLV type is Port ID for Enhanced Ethernet (mandatory). */
		portid(2),
		/** The TLV type is Time To Live for Enhanced Ethernet (mandatory). */
		timetolive(3),
		__UNDEFINED(464378545);

		public final int value;

		private EnhEthTLVType(int v) {
			this.value = v;
		}
}
