package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the enhanced Ethernet statistical data for an individual controller iSCSI interface. Refer to the IEEE Std 802.1AB-2005 */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(908)
public class EnhancedEthernetStatistics implements Serializable {
	public EnhancedEthernetStatistics() {
	}

	/** This is the Interface(s) to which the Enhanced Ethernet Statistics apply. Even though this is shown as an array, it will only be a single instance. */
	@io.swagger.annotations.ApiModelProperty(value ="This is the Interface(s) to which the Enhanced Ethernet Statistics apply. Even though this is shown as an array, it will only be a single instance." , required = true)
	@XmlElement(required = true)
	private String[] interfaces;

	/** @return This is the Interface(s) to which the Enhanced Ethernet Statistics apply. Even though this is shown as an array, it will only be a single instance. */
	public String[] getInterfaces() {
		return this.interfaces;
	}
	/** @param x This is the Interface(s) to which the Enhanced Ethernet Statistics apply. Even though this is shown as an array, it will only be a single instance. */
	public void setInterfaces(String[] x) {
		this.interfaces = x;
	}

	/** This is the port/interface priority-based flow control state */
	@io.swagger.annotations.ApiModelProperty(value ="This is the port/interface priority-based flow control state" , required = true)
	@XmlElement(required = true)
	private EnhEthFlowControlStatus enhancedEthernetFlowControlStatus = EnhEthFlowControlStatus.__UNDEFINED;

	/** @return This is the port/interface priority-based flow control state */
	public EnhEthFlowControlStatus getEnhancedEthernetFlowControlStatus() {
		return this.enhancedEthernetFlowControlStatus;
	}
	/** @param x This is the port/interface priority-based flow control state */
	public void setEnhancedEthernetFlowControlStatus(EnhEthFlowControlStatus x) {
		this.enhancedEthernetFlowControlStatus = x;
	}

	/** This structure contains the operational state of the given DCBX features for Enhanced Ethernet. */
	@io.swagger.annotations.ApiModelProperty(value ="This structure contains the operational state of the given DCBX features for Enhanced Ethernet." , required = true)
	@XmlElement(required = true)
	private EnhEthFeaturesState enhEthFeaturesState;

	/** @return This structure contains the operational state of the given DCBX features for Enhanced Ethernet. */
	public EnhEthFeaturesState getEnhEthFeaturesState() {
		return this.enhEthFeaturesState;
	}
	/** @param x This structure contains the operational state of the given DCBX features for Enhanced Ethernet. */
	public void setEnhEthFeaturesState(EnhEthFeaturesState x) {
		this.enhEthFeaturesState = x;
	}

	/** This structure contains the TLV set for the Local Node. */
	@io.swagger.annotations.ApiModelProperty(value ="This structure contains the TLV set for the Local Node." , required = true)
	@XmlElement(required = true)
	private EnhEthTLVSet localTLVs;

	/** @return This structure contains the TLV set for the Local Node. */
	public EnhEthTLVSet getLocalTLVs() {
		return this.localTLVs;
	}
	/** @param x This structure contains the TLV set for the Local Node. */
	public void setLocalTLVs(EnhEthTLVSet x) {
		this.localTLVs = x;
	}

	/** This structure contains the Operational (Negotiated) TLV set. */
	@io.swagger.annotations.ApiModelProperty(value ="This structure contains the Operational (Negotiated) TLV set." , required = true)
	@XmlElement(required = true)
	private EnhEthTLVSet operationalTLVs;

	/** @return This structure contains the Operational (Negotiated) TLV set. */
	public EnhEthTLVSet getOperationalTLVs() {
		return this.operationalTLVs;
	}
	/** @param x This structure contains the Operational (Negotiated) TLV set. */
	public void setOperationalTLVs(EnhEthTLVSet x) {
		this.operationalTLVs = x;
	}

	/** This structure contains the TLVs sent from the Remote Node. */
	@io.swagger.annotations.ApiModelProperty(value ="This structure contains the TLVs sent from the Remote Node." , required = true)
	@XmlElement(required = true)
	private EnhEthTLVSet remoteTLVs;

	/** @return This structure contains the TLVs sent from the Remote Node. */
	public EnhEthTLVSet getRemoteTLVs() {
		return this.remoteTLVs;
	}
	/** @param x This structure contains the TLVs sent from the Remote Node. */
	public void setRemoteTLVs(EnhEthTLVSet x) {
		this.remoteTLVs = x;
	}
}
