package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about the critical aspects of an ESM or IOM component. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1121)
public class Esm implements Serializable,devmgr.api.model.Identifiable {
	public Esm() {
	}

	/** The reference for this physical ESM. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference for this physical ESM." , required = true)
	@XmlElement(required = true)
	private String esmRef;

	/** @return The reference for this physical ESM. */
	public String getEsmRef() {
		return this.esmRef;
	}
	/** @param x The reference for this physical ESM. */
	public void setEsmRef(String x) {
		this.esmRef = x;
	}

	/** The operational status for this ESM. */
	@io.swagger.annotations.ApiModelProperty(value ="The operational status for this ESM." , required = true)
	@XmlElement(required = true)
	private ESMStatus status = ESMStatus.__UNDEFINED;

	/** @return The operational status for this ESM. */
	public ESMStatus getStatus() {
		return this.status;
	}
	/** @param x The operational status for this ESM. */
	public void setStatus(ESMStatus x) {
		this.status = x;
	}

	/** The physical location of the ESM. The parent reference in Location identifies the tray containing the ESM, and the position field is the parent-relative/like-component relative slot number of the ESM, starting at 1. */
	@io.swagger.annotations.ApiModelProperty(value ="The physical location of the ESM. The parent reference in Location identifies the tray containing the ESM, and the position field is the parent-relative/like-component relative slot number of the ESM, starting at 1." , required = true)
	@XmlElement(required = true)
	private Location physicalLocation;

	/** @return The physical location of the ESM. The parent reference in Location identifies the tray containing the ESM, and the position field is the parent-relative/like-component relative slot number of the ESM, starting at 1. */
	public Location getPhysicalLocation() {
		return this.physicalLocation;
	}
	/** @param x The physical location of the ESM. The parent reference in Location identifies the tray containing the ESM, and the position field is the parent-relative/like-component relative slot number of the ESM, starting at 1. */
	public void setPhysicalLocation(Location x) {
		this.physicalLocation = x;
	}

	/** True if the ESM does not have redundant access. */
	@io.swagger.annotations.ApiModelProperty(value ="True if the ESM does not have redundant access." , required = true)
	@XmlElement(required = true)
	private boolean nonRedundantAccess;

	/** @return True if the ESM does not have redundant access. */
	public boolean isNonRedundantAccess() {
		return this.nonRedundantAccess;
	}
	/** @param x True if the ESM does not have redundant access. */
	public void setNonRedundantAccess(boolean x) {
		this.nonRedundantAccess = x;
	}

	/** The part number of the ESM. */
	@io.swagger.annotations.ApiModelProperty(value ="The part number of the ESM." , required = true)
	@XmlElement(required = true)
	private String partNumber;

	/** @return The part number of the ESM. */
	public String getPartNumber() {
		return this.partNumber;
	}
	/** @param x The part number of the ESM. */
	public void setPartNumber(String x) {
		this.partNumber = x;
	}

	/** The serial number of the ESM. */
	@io.swagger.annotations.ApiModelProperty(value ="The serial number of the ESM." , required = true)
	@XmlElement(required = true)
	private String serialNumber;

	/** @return The serial number of the ESM. */
	public String getSerialNumber() {
		return this.serialNumber;
	}
	/** @param x The serial number of the ESM. */
	public void setSerialNumber(String x) {
		this.serialNumber = x;
	}

	/** The date the ESM was manufactured. */
	@io.swagger.annotations.ApiModelProperty(value ="The date the ESM was manufactured." , required = true)
	@XmlElement(required = true)
	private long manufacturerDate;

	/** @return The date the ESM was manufactured. */
	public long getManufacturerDate() {
		return this.manufacturerDate;
	}
	/** @param x The date the ESM was manufactured. */
	public void setManufacturerDate(long x) {
		this.manufacturerDate = x;
	}

	/** The date the ESM was manufactured. */
	@io.swagger.annotations.ApiModelProperty(value ="The date the ESM was manufactured." , required = true)
	@XmlElement(required = true)
	private String manufacturer;

	/** @return The date the ESM was manufactured. */
	public String getManufacturer() {
		return this.manufacturer;
	}
	/** @param x The date the ESM was manufactured. */
	public void setManufacturer(String x) {
		this.manufacturer = x;
	}

	/** The field replaceable unit type of the ESM. */
	@io.swagger.annotations.ApiModelProperty(value ="The field replaceable unit type of the ESM." , required = true)
	@XmlElement(required = true)
	private String fruType;

	/** @return The field replaceable unit type of the ESM. */
	public String getFruType() {
		return this.fruType;
	}
	/** @param x The field replaceable unit type of the ESM. */
	public void setFruType(String x) {
		this.fruType = x;
	}

	/** The firmware version of the ESM. */
	@io.swagger.annotations.ApiModelProperty(value ="The firmware version of the ESM." , required = true)
	@XmlElement(required = true)
	private String softwareVersion;

	/** @return The firmware version of the ESM. */
	public String getSoftwareVersion() {
		return this.softwareVersion;
	}
	/** @param x The firmware version of the ESM. */
	public void setSoftwareVersion(String x) {
		this.softwareVersion = x;
	}

	/** The interface type information for the ESM. This field is now deprecated. The field esmInterfaceAttributes should be used instead. */
	@io.swagger.annotations.ApiModelProperty(value ="The interface type information for the ESM. This field is now deprecated. The field esmInterfaceAttributes should be used instead." , required = true)
	@XmlElement(required = true)
	private ESMInterfaceTypeData esmInterfaceData;

	/** @return The interface type information for the ESM. This field is now deprecated. The field esmInterfaceAttributes should be used instead. */
	public ESMInterfaceTypeData getEsmInterfaceData() {
		return this.esmInterfaceData;
	}
	/** @param x The interface type information for the ESM. This field is now deprecated. The field esmInterfaceAttributes should be used instead. */
	public void setEsmInterfaceData(ESMInterfaceTypeData x) {
		this.esmInterfaceData = x;
	}

	/** The product identifier of the ESM. */
	@io.swagger.annotations.ApiModelProperty(value ="The product identifier of the ESM." , required = true)
	@XmlElement(required = true)
	private String productID;

	/** @return The product identifier of the ESM. */
	public String getProductID() {
		return this.productID;
	}
	/** @param x The product identifier of the ESM. */
	public void setProductID(String x) {
		this.productID = x;
	}

	/** The channel to the tray that is still operational (if nonRedundantAccess is True). */
	@io.swagger.annotations.ApiModelProperty(value ="The channel to the tray that is still operational (if nonRedundantAccess is True)." , required = true)
	@XmlElement(required = true)
	private int workingChannel;

	/** @return The channel to the tray that is still operational (if nonRedundantAccess is True). */
	public int getWorkingChannel() {
		return this.workingChannel;
	}
	/** @param x The channel to the tray that is still operational (if nonRedundantAccess is True). */
	public void setWorkingChannel(int x) {
		this.workingChannel = x;
	}

	/** The current speed of the ESM. */
	@io.swagger.annotations.ApiModelProperty(value ="The current speed of the ESM." , required = true)
	@XmlElement(required = true)
	private InterfaceSpeed currentSpeed = InterfaceSpeed.__UNDEFINED;

	/** @return The current speed of the ESM. */
	public InterfaceSpeed getCurrentSpeed() {
		return this.currentSpeed;
	}
	/** @param x The current speed of the ESM. */
	public void setCurrentSpeed(InterfaceSpeed x) {
		this.currentSpeed = x;
	}

	/** The maximum speed of the ESM. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum speed of the ESM." , required = true)
	@XmlElement(required = true)
	private InterfaceSpeed maxSpeed = InterfaceSpeed.__UNDEFINED;

	/** @return The maximum speed of the ESM. */
	public InterfaceSpeed getMaxSpeed() {
		return this.maxSpeed;
	}
	/** @param x The maximum speed of the ESM. */
	public void setMaxSpeed(InterfaceSpeed x) {
		this.maxSpeed = x;
	}

	/** Reserved for future use. */
	@XmlTransient
	private String reserved1;

	/** @return Reserved for future use. */
	public String getReserved1() {
		return this.reserved1;
	}
	/** @param x Reserved for future use. */
	public void setReserved1(String x) {
		this.reserved1 = x;
	}

	/** Reserved for future use. */
	@XmlTransient
	private String reserved2;

	/** @return Reserved for future use. */
	public String getReserved2() {
		return this.reserved2;
	}
	/** @param x Reserved for future use. */
	public void setReserved2(String x) {
		this.reserved2 = x;
	}

	/** The Fibre Channel information for the ESM. This field is deprecated. The field fibreEsmAddress located within esmInterfaceAttributes should be used instead. */
	@io.swagger.annotations.ApiModelProperty(value ="The Fibre Channel information for the ESM. This field is deprecated. The field fibreEsmAddress located within esmInterfaceAttributes should be used instead." , required = true)
	@XmlElement(required = true)
	private FibreESMAddress fibreEsm;

	/** @return The Fibre Channel information for the ESM. This field is deprecated. The field fibreEsmAddress located within esmInterfaceAttributes should be used instead. */
	public FibreESMAddress getFibreEsm() {
		return this.fibreEsm;
	}
	/** @param x The Fibre Channel information for the ESM. This field is deprecated. The field fibreEsmAddress located within esmInterfaceAttributes should be used instead. */
	public void setFibreEsm(FibreESMAddress x) {
		this.fibreEsm = x;
	}

	/** The CRU type of the ESM plus its ready-to-remove attributes, which are based on the CRU type. */
	@io.swagger.annotations.ApiModelProperty(value ="The CRU type of the ESM plus its ready-to-remove attributes, which are based on the CRU type." , required = true)
	@XmlElement(required = true)
	private RTRAttributes rtrAttributes;

	/** @return The CRU type of the ESM plus its ready-to-remove attributes, which are based on the CRU type. */
	public RTRAttributes getRtrAttributes() {
		return this.rtrAttributes;
	}
	/** @param x The CRU type of the ESM plus its ready-to-remove attributes, which are based on the CRU type. */
	public void setRtrAttributes(RTRAttributes x) {
		this.rtrAttributes = x;
	}

	/** Attributes that are specific to the ESM's I/O interface type. */
	@io.swagger.annotations.ApiModelProperty(value ="Attributes that are specific to the ESM's I/O interface type." , required = true)
	@XmlElement(required = true)
	private EsmInterfaceAttributes esmInterfaceAttributes;

	/** @return Attributes that are specific to the ESM's I/O interface type. */
	public EsmInterfaceAttributes getEsmInterfaceAttributes() {
		return this.esmInterfaceAttributes;
	}
	/** @param x Attributes that are specific to the ESM's I/O interface type. */
	public void setEsmInterfaceAttributes(EsmInterfaceAttributes x) {
		this.esmInterfaceAttributes = x;
	}

	/** The board ID of the ESM card. */
	@io.swagger.annotations.ApiModelProperty(value ="The board ID of the ESM card." , required = true)
	@XmlElement(required = true)
	private String boardId;

	/** @return The board ID of the ESM card. */
	public String getBoardId() {
		return this.boardId;
	}
	/** @param x The board ID of the ESM card. */
	public void setBoardId(String x) {
		this.boardId = x;
	}

	/** This field contains information about the version of the ESM's factory default settings. */
	@io.swagger.annotations.ApiModelProperty(value ="This field contains information about the version of the ESM's factory default settings." , required = true)
	@XmlElement(required = true)
	private EsmFactoryDefaultsVersionData factoryDefaultsData;

	/** @return This field contains information about the version of the ESM's factory default settings. */
	public EsmFactoryDefaultsVersionData getFactoryDefaultsData() {
		return this.factoryDefaultsData;
	}
	/** @param x This field contains information about the version of the ESM's factory default settings. */
	public void setFactoryDefaultsData(EsmFactoryDefaultsVersionData x) {
		this.factoryDefaultsData = x;
	}

	/** The repair policy for the ESM component. */
	@io.swagger.annotations.ApiModelProperty(value ="The repair policy for the ESM component." , required = true)
	@XmlElement(required = true)
	private RepairPolicy repairPolicy;

	/** @return The repair policy for the ESM component. */
	public RepairPolicy getRepairPolicy() {
		return this.repairPolicy;
	}
	/** @param x The repair policy for the ESM component. */
	public void setRepairPolicy(RepairPolicy x) {
		this.repairPolicy = x;
	}

	/** True when ESM is trunk capable. */
	@io.swagger.annotations.ApiModelProperty(value ="True when ESM is trunk capable." , required = true)
	@XmlElement(required = true)
	private boolean isTrunkCapable;

	/** @return True when ESM is trunk capable. */
	public boolean isIsTrunkCapable() {
		return this.isTrunkCapable;
	}
	/** @param x True when ESM is trunk capable. */
	public void setIsTrunkCapable(boolean x) {
		this.isTrunkCapable = x;
	}

	/** True only when ESM is trunk capable and cabled incorrectly, or not trunk capable but connected in trunk mode. */
	@io.swagger.annotations.ApiModelProperty(value ="True only when ESM is trunk capable and cabled incorrectly, or not trunk capable but connected in trunk mode." , required = true)
	@XmlElement(required = true)
	private boolean trunkMiswire;

	/** @return True only when ESM is trunk capable and cabled incorrectly, or not trunk capable but connected in trunk mode. */
	public boolean isTrunkMiswire() {
		return this.trunkMiswire;
	}
	/** @param x True only when ESM is trunk capable and cabled incorrectly, or not trunk capable but connected in trunk mode. */
	public void setTrunkMiswire(boolean x) {
		this.trunkMiswire = x;
	}

	/** Indicates that a locate operation for the device is currently active. The device will show a visual indication to aid an operator in locating the device. */
	@io.swagger.annotations.ApiModelProperty(value ="Indicates that a locate operation for the device is currently active. The device will show a visual indication to aid an operator in locating the device." , required = true)
	@XmlElement(required = true)
	private boolean locateInProgress;

	/** @return Indicates that a locate operation for the device is currently active. The device will show a visual indication to aid an operator in locating the device. */
	public boolean isLocateInProgress() {
		return this.locateInProgress;
	}
	/** @param x Indicates that a locate operation for the device is currently active. The device will show a visual indication to aid an operator in locating the device. */
	public void setLocateInProgress(boolean x) {
		this.locateInProgress = x;
	}

	/** The device contains 7-segment indicators used to display the Tray Identity. */
	@io.swagger.annotations.ApiModelProperty(value ="The device contains 7-segment indicators used to display the Tray Identity." , required = true)
	@XmlElement(required = true)
	private boolean hasTrayIdentityIndicator;

	/** @return The device contains 7-segment indicators used to display the Tray Identity. */
	public boolean isHasTrayIdentityIndicator() {
		return this.hasTrayIdentityIndicator;
	}
	/** @param x The device contains 7-segment indicators used to display the Tray Identity. */
	public void setHasTrayIdentityIndicator(boolean x) {
		this.hasTrayIdentityIndicator = x;
	}

	/** Type of ESM or IOM. */
	@io.swagger.annotations.ApiModelProperty(value ="Type of ESM or IOM." , required = true)
	@XmlElement(required = true)
	private ESMType esmType = ESMType.__UNDEFINED;

	/** @return Type of ESM or IOM. */
	public ESMType getEsmType() {
		return this.esmType;
	}
	/** @param x Type of ESM or IOM. */
	public void setEsmType(ESMType x) {
		this.esmType = x;
	}
	@Override
	public String getId(){
		return esmRef;
	}
}
