package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure models the critical aspects of a fan component. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(996)
public class Fan implements Serializable,devmgr.api.model.Identifiable {
	public Fan() {
	}

	/** The reference for this physical fan. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference for this physical fan." , required = true)
	@XmlElement(required = true)
	private String fanRef;

	/** @return The reference for this physical fan. */
	public String getFanRef() {
		return this.fanRef;
	}
	/** @param x The reference for this physical fan. */
	public void setFanRef(String x) {
		this.fanRef = x;
	}

	/** The operational status of the fan */
	@io.swagger.annotations.ApiModelProperty(value ="The operational status of the fan" , required = true)
	@XmlElement(required = true)
	private FanStatus status = FanStatus.__UNDEFINED;

	/** @return The operational status of the fan */
	public FanStatus getStatus() {
		return this.status;
	}
	/** @param x The operational status of the fan */
	public void setStatus(FanStatus x) {
		this.status = x;
	}

	/** The physical location of the fan. The parent reference in Location identifies the CRU that houses the fan, and the position field is a firmware-assigned 1-relative number signifying "1st fan relative to parent CRU," 2nd fan relative to parent CRU." etc. */
	@io.swagger.annotations.ApiModelProperty(value ="The physical location of the fan. The parent reference in Location identifies the CRU that houses the fan, and the position field is a firmware-assigned 1-relative number signifying \"1st fan relative to parent CRU,\" 2nd fan relative to parent CRU.\" etc." , required = true)
	@XmlElement(required = true)
	private Location physicalLocation;

	/** @return The physical location of the fan. The parent reference in Location identifies the CRU that houses the fan, and the position field is a firmware-assigned 1-relative number signifying "1st fan relative to parent CRU," 2nd fan relative to parent CRU." etc. */
	public Location getPhysicalLocation() {
		return this.physicalLocation;
	}
	/** @param x The physical location of the fan. The parent reference in Location identifies the CRU that houses the fan, and the position field is a firmware-assigned 1-relative number signifying "1st fan relative to parent CRU," 2nd fan relative to parent CRU." etc. */
	public void setPhysicalLocation(Location x) {
		this.physicalLocation = x;
	}

	/** Reserved */
	@XmlTransient
	private String reserved1;

	/** @return Reserved */
	public String getReserved1() {
		return this.reserved1;
	}
	/** @param x Reserved */
	public void setReserved1(String x) {
		this.reserved1 = x;
	}

	/** Reserved */
	@XmlTransient
	private String reserved2;

	/** @return Reserved */
	public String getReserved2() {
		return this.reserved2;
	}
	/** @param x Reserved */
	public void setReserved2(String x) {
		this.reserved2 = x;
	}

	/** The CRU type of the fan plus its ready-to-remove attributes, which are based on the CRU type. */
	@io.swagger.annotations.ApiModelProperty(value ="The CRU type of the fan plus its ready-to-remove attributes, which are based on the CRU type." , required = true)
	@XmlElement(required = true)
	private RTRAttributes rtrAttributes;

	/** @return The CRU type of the fan plus its ready-to-remove attributes, which are based on the CRU type. */
	public RTRAttributes getRtrAttributes() {
		return this.rtrAttributes;
	}
	/** @param x The CRU type of the fan plus its ready-to-remove attributes, which are based on the CRU type. */
	public void setRtrAttributes(RTRAttributes x) {
		this.rtrAttributes = x;
	}

	/** The repair policy for the fan component. */
	@io.swagger.annotations.ApiModelProperty(value ="The repair policy for the fan component." , required = true)
	@XmlElement(required = true)
	private RepairPolicy repairPolicy;

	/** @return The repair policy for the fan component. */
	public RepairPolicy getRepairPolicy() {
		return this.repairPolicy;
	}
	/** @param x The repair policy for the fan component. */
	public void setRepairPolicy(RepairPolicy x) {
		this.repairPolicy = x;
	}
	@Override
	public String getId(){
		return fanRef;
	}
}
