package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as an argument to the setFlashCacheParams procedure. It set the parameters on the given flash cache. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(945)
public class FlashCacheParamsUpdateDescriptor implements Serializable {
	public FlashCacheParamsUpdateDescriptor() {
	}

	/** The flash cache to which the parameters should be applied. */
	@io.swagger.annotations.ApiModelProperty(value ="The flash cache to which the parameters should be applied." , required = true)
	@XmlElement(required = true)
	private String flashCacheRef;

	/** @return The flash cache to which the parameters should be applied. */
	public String getFlashCacheRef() {
		return this.flashCacheRef;
	}
	/** @param x The flash cache to which the parameters should be applied. */
	public void setFlashCacheRef(String x) {
		this.flashCacheRef = x;
	}

	/** The flash cache configuration type. This identifies how the flash cache is to be used. */
	@io.swagger.annotations.ApiModelProperty(value ="The flash cache configuration type. This identifies how the flash cache is to be used." , required = true)
	@XmlElement(required = true)
	private FlashCacheConfigType configType = FlashCacheConfigType.__UNDEFINED;

	/** @return The flash cache configuration type. This identifies how the flash cache is to be used. */
	public FlashCacheConfigType getConfigType() {
		return this.configType;
	}
	/** @param x The flash cache configuration type. This identifies how the flash cache is to be used. */
	public void setConfigType(FlashCacheConfigType x) {
		this.configType = x;
	}

	/** The user assigned label of the flash cache. */
	@io.swagger.annotations.ApiModelProperty(value ="The user assigned label of the flash cache." , required = true)
	@XmlElement(required = true)
	private String userLabel;

	/** @return The user assigned label of the flash cache. */
	public String getUserLabel() {
		return this.userLabel;
	}
	/** @param x The user assigned label of the flash cache. */
	public void setUserLabel(String x) {
		this.userLabel = x;
	}
}
