package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration describes the FRU diagnostic test status. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(204)
public enum FruDiagStatus implements Serializable {
		/** No diagnostic status is available. */
		none(0),
		/** Diagnostic in progress. */
		inProgress(1),
		/** Diagnostic completed successfully. */
		successful(2),
		/** Diagnostic failed. */
		failed(3),
		/** Diagnostic stopped by initiator. */
		stopByInitiator(4),
		/** Diagnostic stopped by controller reset. */
		stopByReset(5),
		/** Diagnostics were initiated on a HIC that does not support them. */
		notSupported(6),
		/** The diagnostic was skipped. */
		skipped(7),
		__UNDEFINED(464378545);

		public final int value;

		private FruDiagStatus(int v) {
			this.value = v;
		}
}
