package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to determine the status of a GBIC component. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(65)
public enum GBICStatus implements Serializable {
		/** The GBIC is working correctly. */
		optimal(1),
		/** The GBIC is not working or not present. */
		failed(2),
		/** The GBIC has been removed or is missing. */
		removed(3),
		/** The status of the GBIC is unknown. */
		unknown(4),
		__UNDEFINED(464378545);

		public final int value;

		private GBICStatus(int v) {
			this.value = v;
		}
}
