package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the histogram observations collected by an individual controller in the storage array, along with other pertinent data about the statistical stream. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(597)
public class Histogram implements Serializable {
	public Histogram() {
	}

	/** A reference to the controller that provided the statistics. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the controller that provided the statistics." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return A reference to the controller that provided the statistics. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x A reference to the controller that provided the statistics. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}

	/** A summary of below-range, unrecorded values. */
	@io.swagger.annotations.ApiModelProperty(value ="A summary of below-range, unrecorded values." , required = true)
	@XmlElement(required = true)
	private HistogramSummary belowRange;

	/** @return A summary of below-range, unrecorded values. */
	public HistogramSummary getBelowRange() {
		return this.belowRange;
	}
	/** @param x A summary of below-range, unrecorded values. */
	public void setBelowRange(HistogramSummary x) {
		this.belowRange = x;
	}

	/** A summary of recorded values. */
	@io.swagger.annotations.ApiModelProperty(value ="A summary of recorded values." , required = true)
	@XmlElement(required = true)
	private HistogramSummary inRange;

	/** @return A summary of recorded values. */
	public HistogramSummary getInRange() {
		return this.inRange;
	}
	/** @param x A summary of recorded values. */
	public void setInRange(HistogramSummary x) {
		this.inRange = x;
	}

	/** A summary of above-range, unrecorded values. */
	@io.swagger.annotations.ApiModelProperty(value ="A summary of above-range, unrecorded values." , required = true)
	@XmlElement(required = true)
	private HistogramSummary aboveRange;

	/** @return A summary of above-range, unrecorded values. */
	public HistogramSummary getAboveRange() {
		return this.aboveRange;
	}
	/** @param x A summary of above-range, unrecorded values. */
	public void setAboveRange(HistogramSummary x) {
		this.aboveRange = x;
	}

	/** An array of counter values, one counter per histogram category. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of counter values, one counter per histogram category." , required = true)
	@XmlElement(required = true)
	private long[] frequencyTable;

	/** @return An array of counter values, one counter per histogram category. */
	public long[] getFrequencyTable() {
		return this.frequencyTable;
	}
	/** @param x An array of counter values, one counter per histogram category. */
	public void setFrequencyTable(long[] x) {
		this.frequencyTable = x;
	}
}
