package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union structure is returned by the getHistogramBundle procedure. It contains the return code for the procedure call, and, if the value of the return code is RETCODE_OK, the histogram statistics. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(910)
public class HistogramBundleReturned implements Serializable {
	public HistogramBundleReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** The statistical stream data in the form of histograms. */
	@io.swagger.annotations.ApiModelProperty(value ="The statistical stream data in the form of histograms." , required = false)
	@XmlElement(required = false)
	private HistogramBundle histogramBundle;

	/** @return The statistical stream data in the form of histograms. */
	public HistogramBundle getHistogramBundle() {
		return this.histogramBundle;
	}
	/** @param x The statistical stream data in the form of histograms. */
	public void setHistogramBundle(HistogramBundle x) {
		this.histogramBundle = x;
	}
}
