package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as the argument to the renameHostPort procedure; it provides all information needed to rename/modify a HostPort object. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(589)
public class HostPortRenameDescriptor implements Serializable {
	public HostPortRenameDescriptor() {
	}

	/** The unique identification value that identifies the HostPort to be modified. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique identification value that identifies the HostPort to be modified." , required = true)
	@XmlElement(required = true)
	private String hostPortRef;

	/** @return The unique identification value that identifies the HostPort to be modified. */
	public String getHostPortRef() {
		return this.hostPortRef;
	}
	/** @param x The unique identification value that identifies the HostPort to be modified. */
	public void setHostPortRef(String x) {
		this.hostPortRef = x;
	}

	/** The new world-wide name value for the HostPort object. */
	@io.swagger.annotations.ApiModelProperty(value ="The new world-wide name value for the HostPort object." , required = true)
	@XmlElement(required = true)
	private String hostPortName;

	/** @return The new world-wide name value for the HostPort object. */
	public String getHostPortName() {
		return this.hostPortName;
	}
	/** @param x The new world-wide name value for the HostPort object. */
	public void setHostPortName(String x) {
		this.hostPortName = x;
	}

	/** The new user-assigned label value for the HostPort object. */
	@io.swagger.annotations.ApiModelProperty(value ="The new user-assigned label value for the HostPort object." , required = true)
	@XmlElement(required = true)
	private String label;

	/** @return The new user-assigned label value for the HostPort object. */
	public String getLabel() {
		return this.label;
	}
	/** @param x The new user-assigned label value for the HostPort object. */
	public void setLabel(String x) {
		this.label = x;
	}
}
