package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the argument to the setHostProperties procedure. It indicates which host to update and what its new properties should be. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(999)
public class HostPropertiesUpdateDescriptor implements Serializable {
	public HostPropertiesUpdateDescriptor() {
	}

	/** A reference to the host to update. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the host to update." , required = true)
	@XmlElement(required = true)
	private String hostRef;

	/** @return A reference to the host to update. */
	public String getHostRef() {
		return this.hostRef;
	}
	/** @param x A reference to the host to update. */
	public void setHostRef(String x) {
		this.hostRef = x;
	}

	/** The new property settings for the host. */
	@io.swagger.annotations.ApiModelProperty(value ="The new property settings for the host." , required = true)
	@XmlElement(required = true)
	private HostChangeableProperties settings;

	/** @return The new property settings for the host. */
	public HostChangeableProperties getSettings() {
		return this.settings;
	}
	/** @param x The new property settings for the host. */
	public void setSettings(HostChangeableProperties x) {
		this.settings = x;
	}
}
