package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to pass parameters into setHostSpecificNVSRAM. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(301)
public class HostSpecificNVSRAMUpdateDescriptor implements Serializable {
	public HostSpecificNVSRAMUpdateDescriptor() {
	}

	/** The region of NVSRAM to update. */
	@io.swagger.annotations.ApiModelProperty(value ="The region of NVSRAM to update." , required = true)
	@XmlElement(required = true)
	private NVSRAMRegionId regionId = NVSRAMRegionId.__UNDEFINED;

	/** @return The region of NVSRAM to update. */
	public NVSRAMRegionId getRegionId() {
		return this.regionId;
	}
	/** @param x The region of NVSRAM to update. */
	public void setRegionId(NVSRAMRegionId x) {
		this.regionId = x;
	}

	/** The offset into the region to update. */
	@io.swagger.annotations.ApiModelProperty(value ="The offset into the region to update." , required = true)
	@XmlElement(required = true)
	private int offset;

	/** @return The offset into the region to update. */
	public int getOffset() {
		return this.offset;
	}
	/** @param x The offset into the region to update. */
	public void setOffset(int x) {
		this.offset = x;
	}

	/** The data to write to NVSRAM. */
	@io.swagger.annotations.ApiModelProperty(value ="The data to write to NVSRAM." , required = true)
	@XmlElement(required = true)
	private String regionData;

	/** @return The data to write to NVSRAM. */
	public String getRegionData() {
		return this.regionData;
	}
	/** @param x The data to write to NVSRAM. */
	public void setRegionData(String x) {
		this.regionData = x;
	}

	/** Host Type Index mapped by SPM. */
	@io.swagger.annotations.ApiModelProperty(value ="Host Type Index mapped by SPM." , required = true)
	@XmlElement(required = true)
	private int hostIndex;

	/** @return Host Type Index mapped by SPM. */
	public int getHostIndex() {
		return this.hostIndex;
	}
	/** @param x Host Type Index mapped by SPM. */
	public void setHostIndex(int x) {
		this.hostIndex = x;
	}
}
