package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration data type enumerates the possible states of an InfiniBand port. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(105)
public enum IbPortState implements Serializable {
		/** The port is unknown. */
		unknown(0),
		/** The port is initializing. */
		initialize(1),
		/** The port is in the "arm" state. */
		arm(2),
		/** The port is fully operational. */
		active(3),
		/** The port is temporarily down. */
		defer(4),
		/** The port is down. */
		down(5),
		__UNDEFINED(464378545);

		public final int value;

		private IbPortState(int v) {
			this.value = v;
		}
}
