package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines the values for the Feature ID FEATURE_ID_DENALI2_PROTOCOL in the feature bundle. The feature indicates which IB protocol should be applied to the Denali 2 HIC IB interface. The value of the feature can be 1 (iSER) or 2 (SRP). */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(267)
public enum InfinibandHICProtocol implements Serializable {
		/** The IB protocol is not supported. */
		notSupported(0),
		/** The feature bundle indicates the IB protcol should be iSER (iSCSI Extensions for RDMA). */
		iser(1),
		/** The feature bundle indicates that the IB protocol should be set to SRP (SCSI RDMA Protocol). */
		srp(2),
		__UNDEFINED(464378545);

		public final int value;

		private InfinibandHICProtocol(int v) {
			this.value = v;
		}
}
