package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the argument to the setInititorProperties procedure. It specifies the values to set for the initiator properties and the initiator they apply to. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1009)
public class InitiatorPropertiesUpdateDescriptor implements Serializable {
	public InitiatorPropertiesUpdateDescriptor() {
	}

	/** A reference to the initiator to which the property settings apply. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the initiator to which the property settings apply." , required = true)
	@XmlElement(required = true)
	private String initiatorRef;

	/** @return A reference to the initiator to which the property settings apply. */
	public String getInitiatorRef() {
		return this.initiatorRef;
	}
	/** @param x A reference to the initiator to which the property settings apply. */
	public void setInitiatorRef(String x) {
		this.initiatorRef = x;
	}

	/** The settings for the initiator. */
	@io.swagger.annotations.ApiModelProperty(value ="The settings for the initiator." , required = true)
	@XmlElement(required = true)
	private InitiatorChangeableProperties settings;

	/** @return The settings for the initiator. */
	public InitiatorChangeableProperties getSettings() {
		return this.settings;
	}
	/** @param x The settings for the initiator. */
	public void setSettings(InitiatorChangeableProperties x) {
		this.settings = x;
	}
}
