package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union object is a wrapper around a SYMbolRef. It is used by procedures that need to return both a return code and a reference to an object instance. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(594)
public class InstanceReturned implements Serializable {
	public InstanceReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** This field contains the reference to the new object. It is present only when the returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="This field contains the reference to the new object. It is present only when the returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private String ref;

	/** @return This field contains the reference to the new object. It is present only when the returnCode is equal to RETCODE_OK. */
	public String getRef() {
		return this.ref;
	}
	/** @param x This field contains the reference to the new object. It is present only when the returnCode is equal to RETCODE_OK. */
	public void setRef(String x) {
		this.ref = x;
	}
}
