package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to specify the maximum speed for the interface. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(165)
public enum InterfaceSpeed implements Serializable {
		/** The speed cannot be determined. */
		speedUnknown(1),
		/** 1 Gbit per second */
		speed1gig(2),
		/** 2Gbit per second */
		speed2gig(3),
		/** 4Gbit per second */
		speed4gig(4),
		/** 10Gbit per second */
		speed10gig(5),
		/** 1.5 Gb per second */
		speed15gig(6),
		/** 10 Mbits per second */
		speed3gig(7),
		/** 10 Mbits per second */
		speed10meg(8),
		/** 100 Mbits per second */
		speed100meg(9),
		/** 2.5 Gbits per second */
		speed2pt5Gig(10),
		/** 5 Gbits per second */
		speed5gig(11),
		/** 20 Gbits per second */
		speed20gig(12),
		/** 30 Gbits per second */
		speed30gig(13),
		/** 60 Gbits per second */
		speed60gig(14),
		/** The speed using the high performance PCI-Express quad-function FC IOC controller which can operate at 2, 4 or 8 Gbs speed. */
		speed8gig(15),
		/** 6 Gbits per second */
		speed6gig(16),
		/** 40 Gbits per second */
		speed40gig(17),
		/** 16 Gbits per second */
		speed16gig(18),
		/** 56 Gbits per second */
		speed56gig(19),
		/** 12 Gbits per second */
		speed12gig(20),
		__UNDEFINED(464378545);

		public final int value;

		private InterfaceSpeed(int v) {
			this.value = v;
		}
}
