package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information from an iSCSI copper cable diagnostics test. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(614)
public class IscsiCableDiagResults implements Serializable {
	public IscsiCableDiagResults() {
	}

	/** The time the diagnostics were performed, represented in seconds since midnight GMT on January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The time the diagnostics were performed, represented in seconds since midnight GMT on January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long timeStamp;

	/** @return The time the diagnostics were performed, represented in seconds since midnight GMT on January 1, 1970. */
	public long getTimeStamp() {
		return this.timeStamp;
	}
	/** @param x The time the diagnostics were performed, represented in seconds since midnight GMT on January 1, 1970. */
	public void setTimeStamp(long x) {
		this.timeStamp = x;
	}

	/** A reference to the interface on which the diagnostics were performed. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the interface on which the diagnostics were performed." , required = true)
	@XmlElement(required = true)
	private String interfaceRef;

	/** @return A reference to the interface on which the diagnostics were performed. */
	public String getInterfaceRef() {
		return this.interfaceRef;
	}
	/** @param x A reference to the interface on which the diagnostics were performed. */
	public void setInterfaceRef(String x) {
		this.interfaceRef = x;
	}

	/** The completion status for the diagnostics. */
	@io.swagger.annotations.ApiModelProperty(value ="The completion status for the diagnostics." , required = true)
	@XmlElement(required = true)
	private IscsiCableDiagCompletionStatus completionStatus = IscsiCableDiagCompletionStatus.__UNDEFINED;

	/** @return The completion status for the diagnostics. */
	public IscsiCableDiagCompletionStatus getCompletionStatus() {
		return this.completionStatus;
	}
	/** @param x The completion status for the diagnostics. */
	public void setCompletionStatus(IscsiCableDiagCompletionStatus x) {
		this.completionStatus = x;
	}

	/** The diagnostic results for each channel. This array will be empty unless the diagnostics completed, i.e., completionStatus is equal to ISCSI_DIAG_STATUS_COMPLETE. */
	@io.swagger.annotations.ApiModelProperty(value ="The diagnostic results for each channel. This array will be empty unless the diagnostics completed, i.e., completionStatus is equal to ISCSI_DIAG_STATUS_COMPLETE." , required = true)
	@XmlElement(required = true)
	private IscsiCableDiagChannelResults[] channelResults;

	/** @return The diagnostic results for each channel. This array will be empty unless the diagnostics completed, i.e., completionStatus is equal to ISCSI_DIAG_STATUS_COMPLETE. */
	public IscsiCableDiagChannelResults[] getChannelResults() {
		return this.channelResults;
	}
	/** @param x The diagnostic results for each channel. This array will be empty unless the diagnostics completed, i.e., completionStatus is equal to ISCSI_DIAG_STATUS_COMPLETE. */
	public void setChannelResults(IscsiCableDiagChannelResults[] x) {
		this.channelResults = x;
	}
}
