package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure identifies the protocol endpoints of an iSCSI session. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1100)
public class IscsiSessionEndpoints implements Serializable {
	public IscsiSessionEndpoints() {
	}

	/** The SCSI protocol endpoint that is local to the storage array. */
	@io.swagger.annotations.ApiModelProperty(value ="The SCSI protocol endpoint that is local to the storage array." , required = true)
	@XmlElement(required = true)
	private ScsiProtocolEndpoint localEndpoint;

	/** @return The SCSI protocol endpoint that is local to the storage array. */
	public ScsiProtocolEndpoint getLocalEndpoint() {
		return this.localEndpoint;
	}
	/** @param x The SCSI protocol endpoint that is local to the storage array. */
	public void setLocalEndpoint(ScsiProtocolEndpoint x) {
		this.localEndpoint = x;
	}

	/** The SCSI protocol endpoint that is remote from the storage array. */
	@io.swagger.annotations.ApiModelProperty(value ="The SCSI protocol endpoint that is remote from the storage array." , required = true)
	@XmlElement(required = true)
	private ScsiProtocolEndpoint remoteEndpoint;

	/** @return The SCSI protocol endpoint that is remote from the storage array. */
	public ScsiProtocolEndpoint getRemoteEndpoint() {
		return this.remoteEndpoint;
	}
	/** @param x The SCSI protocol endpoint that is remote from the storage array. */
	public void setRemoteEndpoint(ScsiProtocolEndpoint x) {
		this.remoteEndpoint = x;
	}
}
