package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the iSCSI statistical data for a single controller and the associated collection time information. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1048)
public class IscsiStatisticalData implements Serializable {
	public IscsiStatisticalData() {
	}

	/** A reference to the controller that collected these statistics. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the controller that collected these statistics." , required = true)
	@XmlElement(required = true)
	private String controller;

	/** @return A reference to the controller that collected these statistics. */
	public String getController() {
		return this.controller;
	}
	/** @param x A reference to the controller that collected these statistics. */
	public void setController(String x) {
		this.controller = x;
	}

	/** The time data associated with this set of statistics. */
	@io.swagger.annotations.ApiModelProperty(value ="The time data associated with this set of statistics." , required = true)
	@XmlElement(required = true)
	private StatisticalTimeData timeData;

	/** @return The time data associated with this set of statistics. */
	public StatisticalTimeData getTimeData() {
		return this.timeData;
	}
	/** @param x The time data associated with this set of statistics. */
	public void setTimeData(StatisticalTimeData x) {
		this.timeData = x;
	}

	/** iSCSI statistical data that pertain to the iSCSI interfaces for this controller. Each sub-structure of IscsiInterfaceStatistics has data identifying the iSCSI interface(s) with which the statistics are associated. Note that the data in any of the sub-structures may be associated with multiple interfaces. See the section on the IscsiInterfaceStatistics structure. */
	@io.swagger.annotations.ApiModelProperty(value ="iSCSI statistical data that pertain to the iSCSI interfaces for this controller. Each sub-structure of IscsiInterfaceStatistics has data identifying the iSCSI interface(s) with which the statistics are associated. Note that the data in any of the sub-structures may be associated with multiple interfaces. See the section on the IscsiInterfaceStatistics structure." , required = true)
	@XmlElement(required = true)
	private IscsiInterfaceStatistics iscsiInterfaceStatistics;

	/** @return iSCSI statistical data that pertain to the iSCSI interfaces for this controller. Each sub-structure of IscsiInterfaceStatistics has data identifying the iSCSI interface(s) with which the statistics are associated. Note that the data in any of the sub-structures may be associated with multiple interfaces. See the section on the IscsiInterfaceStatistics structure. */
	public IscsiInterfaceStatistics getIscsiInterfaceStatistics() {
		return this.iscsiInterfaceStatistics;
	}
	/** @param x iSCSI statistical data that pertain to the iSCSI interfaces for this controller. Each sub-structure of IscsiInterfaceStatistics has data identifying the iSCSI interface(s) with which the statistics are associated. Note that the data in any of the sub-structures may be associated with multiple interfaces. See the section on the IscsiInterfaceStatistics structure. */
	public void setIscsiInterfaceStatistics(IscsiInterfaceStatistics x) {
		this.iscsiInterfaceStatistics = x;
	}

	/** iSCSI statistical data that pertain to the iSCSI targets. Each element of the array contains the statistics for one target that was collected by this controller. The counters from the two controllers, for a given target, must be added together by the client if a combined total for the target is desired. */
	@io.swagger.annotations.ApiModelProperty(value ="iSCSI statistical data that pertain to the iSCSI targets. Each element of the array contains the statistics for one target that was collected by this controller. The counters from the two controllers, for a given target, must be added together by the client if a combined total for the target is desired." , required = true)
	@XmlElement(required = true)
	private IscsiTargetStatistics[] iscsiTargetStatistics;

	/** @return iSCSI statistical data that pertain to the iSCSI targets. Each element of the array contains the statistics for one target that was collected by this controller. The counters from the two controllers, for a given target, must be added together by the client if a combined total for the target is desired. */
	public IscsiTargetStatistics[] getIscsiTargetStatistics() {
		return this.iscsiTargetStatistics;
	}
	/** @param x iSCSI statistical data that pertain to the iSCSI targets. Each element of the array contains the statistics for one target that was collected by this controller. The counters from the two controllers, for a given target, must be added together by the client if a combined total for the target is desired. */
	public void setIscsiTargetStatistics(IscsiTargetStatistics[] x) {
		this.iscsiTargetStatistics = x;
	}

	/** iSCSI statistical data that pertain to the iSCSI initiator. Each element of the array contains the statistics for one initiator that was collected by this controller. The counters from the two controllers, for a given initiator, must be added together by the client if a combined total for the initiator is desired. */
	@io.swagger.annotations.ApiModelProperty(value ="iSCSI statistical data that pertain to the iSCSI initiator. Each element of the array contains the statistics for one initiator that was collected by this controller. The counters from the two controllers, for a given initiator, must be added together by the client if a combined total for the initiator is desired." , required = true)
	@XmlElement(required = true)
	private IscsiInitiatorStatistics[] iscsiInitiatorStatistics;

	/** @return iSCSI statistical data that pertain to the iSCSI initiator. Each element of the array contains the statistics for one initiator that was collected by this controller. The counters from the two controllers, for a given initiator, must be added together by the client if a combined total for the initiator is desired. */
	public IscsiInitiatorStatistics[] getIscsiInitiatorStatistics() {
		return this.iscsiInitiatorStatistics;
	}
	/** @param x iSCSI statistical data that pertain to the iSCSI initiator. Each element of the array contains the statistics for one initiator that was collected by this controller. The counters from the two controllers, for a given initiator, must be added together by the client if a combined total for the initiator is desired. */
	public void setIscsiInitiatorStatistics(IscsiInitiatorStatistics[] x) {
		this.iscsiInitiatorStatistics = x;
	}
}
