package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union object is a wrapper around a structures containing iSCSI statistical data. It is used by the getIscsiStatistics procedure to return both a return code and the statistical data. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1073)
public class IscsiStatisticsReturned implements Serializable {
	public IscsiStatisticsReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** This field is an array of structures, one per controller, containing all iSCSI statistical data for the storage array. It is only valid if returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is an array of structures, one per controller, containing all iSCSI statistical data for the storage array. It is only valid if returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private IscsiStatisticalData[] iscsiStatistics;

	/** @return This field is an array of structures, one per controller, containing all iSCSI statistical data for the storage array. It is only valid if returnCode is equal to RETCODE_OK. */
	public IscsiStatisticalData[] getIscsiStatistics() {
		return this.iscsiStatistics;
	}
	/** @param x This field is an array of structures, one per controller, containing all iSCSI statistical data for the storage array. It is only valid if returnCode is equal to RETCODE_OK. */
	public void setIscsiStatistics(IscsiStatisticalData[] x) {
		this.iscsiStatistics = x;
	}
}
