package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the identification information associated with an iSCSI Target port. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(500)
public class IscsiTargetPortId implements Serializable {
	public IscsiTargetPortId() {
	}

	/** The iSCSI node name of the target. */
	@io.swagger.annotations.ApiModelProperty(value ="The iSCSI node name of the target." , required = true)
	@XmlElement(required = true)
	private String targetNodeName;

	/** @return The iSCSI node name of the target. */
	public String getTargetNodeName() {
		return this.targetNodeName;
	}
	/** @param x The iSCSI node name of the target. */
	public void setTargetNodeName(String x) {
		this.targetNodeName = x;
	}

	/** The portal group tag associated with the target port. */
	@io.swagger.annotations.ApiModelProperty(value ="The portal group tag associated with the target port." , required = true)
	@XmlElement(required = true)
	private short targetPortalGroupTag;

	/** @return The portal group tag associated with the target port. */
	public short getTargetPortalGroupTag() {
		return this.targetPortalGroupTag;
	}
	/** @param x The portal group tag associated with the target port. */
	public void setTargetPortalGroupTag(short x) {
		this.targetPortalGroupTag = x;
	}
}
