package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure displays the results of a read operation that fetches zero or more management client records. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(572)
public class MgmtClientRecordReadResult implements Serializable {
	public MgmtClientRecordReadResult() {
	}

	/** The return code. */
	@io.swagger.annotations.ApiModelProperty(value ="The return code." , required = true)
	@XmlElement(required = true)
	private ReturnCode retCode = ReturnCode.__UNDEFINED;

	/** @return The return code. */
	public ReturnCode getRetCode() {
		return this.retCode;
	}
	/** @param x The return code. */
	public void setRetCode(ReturnCode x) {
		this.retCode = x;
	}

	/** A variable-length array containing up to MAX_XFER_COUNT records. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing up to MAX_XFER_COUNT records." , required = true)
	@XmlElement(required = true)
	private MgmtClientRecord[] records;

	/** @return A variable-length array containing up to MAX_XFER_COUNT records. */
	public MgmtClientRecord[] getRecords() {
		return this.records;
	}
	/** @param x A variable-length array containing up to MAX_XFER_COUNT records. */
	public void setRecords(MgmtClientRecord[] x) {
		this.records = x;
	}
}
