package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report progress of a remote mirror synchronization operation. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(880)
public class MirrorSyncOperation implements Serializable {
	public MirrorSyncOperation() {
	}

	/** Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING */
	@io.swagger.annotations.ApiModelProperty(value ="Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING" , required = true)
	@XmlElement(required = true)
	private int percentComplete;

	/** @return Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING */
	public int getPercentComplete() {
		return this.percentComplete;
	}
	/** @param x Completion percentage for the operation. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING */
	public void setPercentComplete(int x) {
		this.percentComplete = x;
	}

	/** Estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	@io.swagger.annotations.ApiModelProperty(value ="Estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN." , required = true)
	@XmlElement(required = true)
	private int timeToCompletion;

	/** @return Estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public int getTimeToCompletion() {
		return this.timeToCompletion;
	}
	/** @param x Estimated time to completion in minutes. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public void setTimeToCompletion(int x) {
		this.timeToCompletion = x;
	}

	/** Reference to the mirror proxy. */
	@io.swagger.annotations.ApiModelProperty(value ="Reference to the mirror proxy." , required = true)
	@XmlElement(required = true)
	private String mirrorProxyRef;

	/** @return Reference to the mirror proxy. */
	public String getMirrorProxyRef() {
		return this.mirrorProxyRef;
	}
	/** @param x Reference to the mirror proxy. */
	public void setMirrorProxyRef(String x) {
		this.mirrorProxyRef = x;
	}
}
