package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information for changing the synchronization priority level for a mirror proxy volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(981)
public class MirrorSyncPriorityDescriptor implements Serializable {
	public MirrorSyncPriorityDescriptor() {
	}

	/** The reference to the mirror proxy volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference to the mirror proxy volume." , required = true)
	@XmlElement(required = true)
	private String mirrorProxy;

	/** @return The reference to the mirror proxy volume. */
	public String getMirrorProxy() {
		return this.mirrorProxy;
	}
	/** @param x The reference to the mirror proxy volume. */
	public void setMirrorProxy(String x) {
		this.mirrorProxy = x;
	}

	/** The synchronization priority level. Valid values are 0-4. */
	@io.swagger.annotations.ApiModelProperty(value ="The synchronization priority level. Valid values are 0-4." , required = true)
	@XmlElement(required = true)
	private MirrorSyncPriority syncPriority = MirrorSyncPriority.__UNDEFINED;

	/** @return The synchronization priority level. Valid values are 0-4. */
	public MirrorSyncPriority getSyncPriority() {
		return this.syncPriority;
	}
	/** @param x The synchronization priority level. Valid values are 0-4. */
	public void setSyncPriority(MirrorSyncPriority x) {
		this.syncPriority = x;
	}
}
