package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** How the NTP server addresses are acquired. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(179)
public enum NtpAcquisitionMethod implements Serializable {
		/** NTP service is unknown. */
		unknown(0),
		/** Using provided domain name, IPv4, or IPv6 addresses. */
		stat(1),
		/** NTP Servers will be obtained via DHCP */
		dhcp(2),
		/** NTP service is disabled. */
		disabled(3),
		__UNDEFINED(464378545);

		public final int value;

		private NtpAcquisitionMethod(int v) {
			this.value = v;
		}
}
