package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to add a member to an existing PiT consistency group. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1162)
public class PITConsistencyGroupAddMemberDescriptor implements Serializable {
	public PITConsistencyGroupAddMemberDescriptor() {
	}

	/** The consistency group to which you will add the member. */
	@io.swagger.annotations.ApiModelProperty(value ="The consistency group to which you will add the member." , required = true)
	@XmlElement(required = true)
	private String cgRef;

	/** @return The consistency group to which you will add the member. */
	public String getCgRef() {
		return this.cgRef;
	}
	/** @param x The consistency group to which you will add the member. */
	public void setCgRef(String x) {
		this.cgRef = x;
	}

	/** The member base volume to add to the consistency group. */
	@io.swagger.annotations.ApiModelProperty(value ="The member base volume to add to the consistency group." , required = true)
	@XmlElement(required = true)
	private String baseVolume;

	/** @return The member base volume to add to the consistency group. */
	public String getBaseVolume() {
		return this.baseVolume;
	}
	/** @param x The member base volume to add to the consistency group. */
	public void setBaseVolume(String x) {
		this.baseVolume = x;
	}

	/** The repository volume candidate for the consistency group PITGroup repository. */
	@io.swagger.annotations.ApiModelProperty(value ="The repository volume candidate for the consistency group PITGroup repository." , required = true)
	@XmlElement(required = true)
	private ConcatVolumeCreationDescriptor repositoryCandidate;

	/** @return The repository volume candidate for the consistency group PITGroup repository. */
	public ConcatVolumeCreationDescriptor getRepositoryCandidate() {
		return this.repositoryCandidate;
	}
	/** @param x The repository volume candidate for the consistency group PITGroup repository. */
	public void setRepositoryCandidate(ConcatVolumeCreationDescriptor x) {
		this.repositoryCandidate = x;
	}
}
