package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to specify the parameters necessary to start a rollback operation on a consistency group. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(800)
public class PITConsistencyGroupRollbackStartDescriptor implements Serializable {
	public PITConsistencyGroupRollbackStartDescriptor() {
	}

	/** The consistency group on which the rollback is to be invoked. */
	@io.swagger.annotations.ApiModelProperty(value ="The consistency group on which the rollback is to be invoked." , required = true)
	@XmlElement(required = true)
	private String cgRef;

	/** @return The consistency group on which the rollback is to be invoked. */
	public String getCgRef() {
		return this.cgRef;
	}
	/** @param x The consistency group on which the rollback is to be invoked. */
	public void setCgRef(String x) {
		this.cgRef = x;
	}

	/** The sequence number of the PiT to roll back to the base on all members. */
	@io.swagger.annotations.ApiModelProperty(value ="The sequence number of the PiT to roll back to the base on all members." , required = true)
	@XmlElement(required = true)
	private long pitSequenceNumber;

	/** @return The sequence number of the PiT to roll back to the base on all members. */
	public long getPitSequenceNumber() {
		return this.pitSequenceNumber;
	}
	/** @param x The sequence number of the PiT to roll back to the base on all members. */
	public void setPitSequenceNumber(long x) {
		this.pitSequenceNumber = x;
	}
}
