package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to specify attributes for creation of views on a PiT consistency group. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1175)
public class PITConsistencyGroupViewCreationDescriptor implements Serializable {
	public PITConsistencyGroupViewCreationDescriptor() {
	}

	/** The Consistency Group on which views are to be created. All PiTs referenced in the view creation descriptors must be part of this consistency group. */
	@io.swagger.annotations.ApiModelProperty(value ="The Consistency Group on which views are to be created. All PiTs referenced in the view creation descriptors must be part of this consistency group." , required = true)
	@XmlElement(required = true)
	private String cgRef;

	/** @return The Consistency Group on which views are to be created. All PiTs referenced in the view creation descriptors must be part of this consistency group. */
	public String getCgRef() {
		return this.cgRef;
	}
	/** @param x The Consistency Group on which views are to be created. All PiTs referenced in the view creation descriptors must be part of this consistency group. */
	public void setCgRef(String x) {
		this.cgRef = x;
	}

	/** The sequence number of PiTs for which views are to be created. PITRefs in the view creation descriptors provided must have this sequence number (this is just for cross-checking the list of PiTs). */
	@io.swagger.annotations.ApiModelProperty(value ="The sequence number of PiTs for which views are to be created. PITRefs in the view creation descriptors provided must have this sequence number (this is just for cross-checking the list of PiTs)." , required = true)
	@XmlElement(required = true)
	private long pitSequenceNumber;

	/** @return The sequence number of PiTs for which views are to be created. PITRefs in the view creation descriptors provided must have this sequence number (this is just for cross-checking the list of PiTs). */
	public long getPitSequenceNumber() {
		return this.pitSequenceNumber;
	}
	/** @param x The sequence number of PiTs for which views are to be created. PITRefs in the view creation descriptors provided must have this sequence number (this is just for cross-checking the list of PiTs). */
	public void setPitSequenceNumber(long x) {
		this.pitSequenceNumber = x;
	}

	/** A list of creation descriptors for the views to be created. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of creation descriptors for the views to be created." , required = true)
	@XmlElement(required = true)
	private PITViewCreationDescriptor[] viewCreationDescriptor;

	/** @return A list of creation descriptors for the views to be created. */
	public PITViewCreationDescriptor[] getViewCreationDescriptor() {
		return this.viewCreationDescriptor;
	}
	/** @param x A list of creation descriptors for the views to be created. */
	public void setViewCreationDescriptor(PITViewCreationDescriptor[] x) {
		this.viewCreationDescriptor = x;
	}

	/** The name of the new Consistency Group View. */
	@io.swagger.annotations.ApiModelProperty(value ="The name of the new Consistency Group View." , required = true)
	@XmlElement(required = true)
	private String label;

	/** @return The name of the new Consistency Group View. */
	public String getLabel() {
		return this.label;
	}
	/** @param x The name of the new Consistency Group View. */
	public void setLabel(String x) {
		this.label = x;
	}
}
