package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure conveys information about deletion of a PiT Group. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(896)
public class PITGroupDeletionDescriptor implements Serializable {
	public PITGroupDeletionDescriptor() {
	}

	/** The PiT Group to delete. */
	@io.swagger.annotations.ApiModelProperty(value ="The PiT Group to delete." , required = true)
	@XmlElement(required = true)
	private String pitGroupRef;

	/** @return The PiT Group to delete. */
	public String getPitGroupRef() {
		return this.pitGroupRef;
	}
	/** @param x The PiT Group to delete. */
	public void setPitGroupRef(String x) {
		this.pitGroupRef = x;
	}

	/** A flag used to indicate whether the member volumes of the associated repository should be retained or deleted as part of the PiT Group deletion. */
	@io.swagger.annotations.ApiModelProperty(value ="A flag used to indicate whether the member volumes of the associated repository should be retained or deleted as part of the PiT Group deletion." , required = true)
	@XmlElement(required = true)
	private boolean retainRepositoryMembers;

	/** @return A flag used to indicate whether the member volumes of the associated repository should be retained or deleted as part of the PiT Group deletion. */
	public boolean isRetainRepositoryMembers() {
		return this.retainRepositoryMembers;
	}
	/** @param x A flag used to indicate whether the member volumes of the associated repository should be retained or deleted as part of the PiT Group deletion. */
	public void setRetainRepositoryMembers(boolean x) {
		this.retainRepositoryMembers = x;
	}
}
