package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to update various PITGroup parameters. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(907)
public class PITGroupParamsUpdateDescriptor implements Serializable {
	public PITGroupParamsUpdateDescriptor() {
	}

	/** The PITGroup to be updated. */
	@io.swagger.annotations.ApiModelProperty(value ="The PITGroup to be updated." , required = true)
	@XmlElement(required = true)
	private String pitGroupRef;

	/** @return The PITGroup to be updated. */
	public String getPitGroupRef() {
		return this.pitGroupRef;
	}
	/** @param x The PITGroup to be updated. */
	public void setPitGroupRef(String x) {
		this.pitGroupRef = x;
	}

	/** The PiT Group label. */
	@io.swagger.annotations.ApiModelProperty(value ="The PiT Group label." , required = true)
	@XmlElement(required = true)
	private String pitGroupLabel;

	/** @return The PiT Group label. */
	public String getPitGroupLabel() {
		return this.pitGroupLabel;
	}
	/** @param x The PiT Group label. */
	public void setPitGroupLabel(String x) {
		this.pitGroupLabel = x;
	}

	/** Behavior on repository full condition. */
	@io.swagger.annotations.ApiModelProperty(value ="Behavior on repository full condition." , required = true)
	@XmlElement(required = true)
	private PITRepositoryFullPolicy repFullPolicy = PITRepositoryFullPolicy.__UNDEFINED;

	/** @return Behavior on repository full condition. */
	public PITRepositoryFullPolicy getRepFullPolicy() {
		return this.repFullPolicy;
	}
	/** @param x Behavior on repository full condition. */
	public void setRepFullPolicy(PITRepositoryFullPolicy x) {
		this.repFullPolicy = x;
	}

	/** Repository utilization warning threshold percentage. */
	@io.swagger.annotations.ApiModelProperty(value ="Repository utilization warning threshold percentage." , required = true)
	@XmlElement(required = true)
	private int fullWarnThreshold;

	/** @return Repository utilization warning threshold percentage. */
	public int getFullWarnThreshold() {
		return this.fullWarnThreshold;
	}
	/** @param x Repository utilization warning threshold percentage. */
	public void setFullWarnThreshold(int x) {
		this.fullWarnThreshold = x;
	}

	/** The auto-delete setting for the PiT Group. A non-zero value indicates auto delete is enabled and limit should be set to value specified. */
	@io.swagger.annotations.ApiModelProperty(value ="The auto-delete setting for the PiT Group. A non-zero value indicates auto delete is enabled and limit should be set to value specified." , required = true)
	@XmlElement(required = true)
	private int autoDeleteLimit;

	/** @return The auto-delete setting for the PiT Group. A non-zero value indicates auto delete is enabled and limit should be set to value specified. */
	public int getAutoDeleteLimit() {
		return this.autoDeleteLimit;
	}
	/** @param x The auto-delete setting for the PiT Group. A non-zero value indicates auto delete is enabled and limit should be set to value specified. */
	public void setAutoDeleteLimit(int x) {
		this.autoDeleteLimit = x;
	}

	/** Importance of rollback operation. */
	@io.swagger.annotations.ApiModelProperty(value ="Importance of rollback operation." , required = true)
	@XmlElement(required = true)
	private RollbackPriority rollbackPriority = RollbackPriority.__UNDEFINED;

	/** @return Importance of rollback operation. */
	public RollbackPriority getRollbackPriority() {
		return this.rollbackPriority;
	}
	/** @param x Importance of rollback operation. */
	public void setRollbackPriority(RollbackPriority x) {
		this.rollbackPriority = x;
	}
}
