package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about a PiT View. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(983)
public class PITView implements Serializable,devmgr.api.model.Identifiable,devmgr.api.model.Named {
	public PITView() {
	}

	/** The reference (key) for this view. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference (key) for this view." , required = true)
	@XmlElement(required = true)
	private String viewRef;

	/** @return The reference (key) for this view. */
	public String getViewRef() {
		return this.viewRef;
	}
	/** @param x The reference (key) for this view. */
	public void setViewRef(String x) {
		this.viewRef = x;
	}

	/** The WWN of the view. */
	@io.swagger.annotations.ApiModelProperty(value ="The WWN of the view." , required = true)
	@XmlElement(required = true)
	private String worldWideName;

	/** @return The WWN of the view. */
	public String getWorldWideName() {
		return this.worldWideName;
	}
	/** @param x The WWN of the view. */
	public void setWorldWideName(String x) {
		this.worldWideName = x;
	}

	/** A reference to the base volume with which this view is associated. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the base volume with which this view is associated." , required = true)
	@XmlElement(required = true)
	private String baseVol;

	/** @return A reference to the base volume with which this view is associated. */
	public String getBaseVol() {
		return this.baseVol;
	}
	/** @param x A reference to the base volume with which this view is associated. */
	public void setBaseVol(String x) {
		this.baseVol = x;
	}

	/** A reference to the particular PiT of the base for which this view applies. This field is only valid if the boundToPIT field is true. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the particular PiT of the base for which this view applies. This field is only valid if the boundToPIT field is true." , required = true)
	@XmlElement(required = true)
	private String basePIT;

	/** @return A reference to the particular PiT of the base for which this view applies. This field is only valid if the boundToPIT field is true. */
	public String getBasePIT() {
		return this.basePIT;
	}
	/** @param x A reference to the particular PiT of the base for which this view applies. This field is only valid if the boundToPIT field is true. */
	public void setBasePIT(String x) {
		this.basePIT = x;
	}

	/** If true, this flag indicates that the basePIT field is a valid reference to an associated PIT. If false, the view is disassociated from the PiT so the basePIT reference is invalid. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, this flag indicates that the basePIT field is a valid reference to an associated PIT. If false, the view is disassociated from the PiT so the basePIT reference is invalid." , required = true)
	@XmlElement(required = true)
	private boolean boundToPIT;

	/** @return If true, this flag indicates that the basePIT field is a valid reference to an associated PIT. If false, the view is disassociated from the PiT so the basePIT reference is invalid. */
	public boolean isBoundToPIT() {
		return this.boundToPIT;
	}
	/** @param x If true, this flag indicates that the basePIT field is a valid reference to an associated PIT. If false, the view is disassociated from the PiT so the basePIT reference is invalid. */
	public void setBoundToPIT(boolean x) {
		this.boundToPIT = x;
	}

	/** The view access mode. */
	@io.swagger.annotations.ApiModelProperty(value ="The view access mode." , required = true)
	@XmlElement(required = true)
	private PITViewAccessMode accessMode = PITViewAccessMode.__UNDEFINED;

	/** @return The view access mode. */
	public PITViewAccessMode getAccessMode() {
		return this.accessMode;
	}
	/** @param x The view access mode. */
	public void setAccessMode(PITViewAccessMode x) {
		this.accessMode = x;
	}

	/** The name of the view. */
	@io.swagger.annotations.ApiModelProperty(value ="The name of the view." , required = true)
	@XmlElement(required = true)
	private String label;

	/** @return The name of the view. */
	public String getLabel() {
		return this.label;
	}
	/** @param x The name of the view. */
	public void setLabel(String x) {
		this.label = x;
	}

	/** The view status. */
	@io.swagger.annotations.ApiModelProperty(value ="The view status." , required = true)
	@XmlElement(required = true)
	private PITViewStatus status = PITViewStatus.__UNDEFINED;

	/** @return The view status. */
	public PITViewStatus getStatus() {
		return this.status;
	}
	/** @param x The view status. */
	public void setStatus(PITViewStatus x) {
		this.status = x;
	}

	/** The current owner of the view. */
	@io.swagger.annotations.ApiModelProperty(value ="The current owner of the view." , required = true)
	@XmlElement(required = true)
	private String currentManager;

	/** @return The current owner of the view. */
	public String getCurrentManager() {
		return this.currentManager;
	}
	/** @param x The current owner of the view. */
	public void setCurrentManager(String x) {
		this.currentManager = x;
	}

	/** The preferred owner of the view. */
	@io.swagger.annotations.ApiModelProperty(value ="The preferred owner of the view." , required = true)
	@XmlElement(required = true)
	private String preferredManager;

	/** @return The preferred owner of the view. */
	public String getPreferredManager() {
		return this.preferredManager;
	}
	/** @param x The preferred owner of the view. */
	public void setPreferredManager(String x) {
		this.preferredManager = x;
	}

	/** The copy-on-write repository for this view. */
	@io.swagger.annotations.ApiModelProperty(value ="The copy-on-write repository for this view." , required = true)
	@XmlElement(required = true)
	private String repositoryVolume;

	/** @return The copy-on-write repository for this view. */
	public String getRepositoryVolume() {
		return this.repositoryVolume;
	}
	/** @param x The copy-on-write repository for this view. */
	public void setRepositoryVolume(String x) {
		this.repositoryVolume = x;
	}

	/** The repository utilization warning threshold percentage. */
	@io.swagger.annotations.ApiModelProperty(value ="The repository utilization warning threshold percentage." , required = true)
	@XmlElement(required = true)
	private int fullWarnThreshold;

	/** @return The repository utilization warning threshold percentage. */
	public int getFullWarnThreshold() {
		return this.fullWarnThreshold;
	}
	/** @param x The repository utilization warning threshold percentage. */
	public void setFullWarnThreshold(int x) {
		this.fullWarnThreshold = x;
	}

	/** The controller-time (measured in seconds since January 1, 1970) when view was created or re-attached to another PiT. */
	@io.swagger.annotations.ApiModelProperty(value ="The controller-time (measured in seconds since January 1, 1970) when view was created or re-attached to another PiT." , required = true)
	@XmlElement(required = true)
	private long viewTime;

	/** @return The controller-time (measured in seconds since January 1, 1970) when view was created or re-attached to another PiT. */
	public long getViewTime() {
		return this.viewTime;
	}
	/** @param x The controller-time (measured in seconds since January 1, 1970) when view was created or re-attached to another PiT. */
	public void setViewTime(long x) {
		this.viewTime = x;
	}

	/** Sequence number. This is a monotonically increasing sequence value that can be used to determine related views when the view was created as part of a consistency group operation. */
	@io.swagger.annotations.ApiModelProperty(value ="Sequence number. This is a monotonically increasing sequence value that can be used to determine related views when the view was created as part of a consistency group operation." , required = true)
	@XmlElement(required = true)
	private long viewSequenceNumber;

	/** @return Sequence number. This is a monotonically increasing sequence value that can be used to determine related views when the view was created as part of a consistency group operation. */
	public long getViewSequenceNumber() {
		return this.viewSequenceNumber;
	}
	/** @param x Sequence number. This is a monotonically increasing sequence value that can be used to determine related views when the view was created as part of a consistency group operation. */
	public void setViewSequenceNumber(long x) {
		this.viewSequenceNumber = x;
	}

	/** The permissions for the view. */
	@io.swagger.annotations.ApiModelProperty(value ="The permissions for the view." , required = true)
	@XmlElement(required = true)
	private VolumePerms perms;

	/** @return The permissions for the view. */
	public VolumePerms getPerms() {
		return this.perms;
	}
	/** @param x The permissions for the view. */
	public void setPerms(VolumePerms x) {
		this.perms = x;
	}

	/** The volume ssid. This is provided primarily for debug purposes. */
	@io.swagger.annotations.ApiModelProperty(value ="The volume ssid. This is provided primarily for debug purposes." , required = true)
	@XmlElement(required = true)
	private int volumeHandle;

	/** @return The volume ssid. This is provided primarily for debug purposes. */
	public int getVolumeHandle() {
		return this.volumeHandle;
	}
	/** @param x The volume ssid. This is provided primarily for debug purposes. */
	public void setVolumeHandle(int x) {
		this.volumeHandle = x;
	}

	/** The cluster size in bytes. */
	@io.swagger.annotations.ApiModelProperty(value ="The cluster size in bytes." , required = true)
	@XmlElement(required = true)
	private int clusterSize;

	/** @return The cluster size in bytes. */
	public int getClusterSize() {
		return this.clusterSize;
	}
	/** @param x The cluster size in bytes. */
	public void setClusterSize(int x) {
		this.clusterSize = x;
	}

	/** The maximum allowable repository size in bytes based on current cluster size. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum allowable repository size in bytes based on current cluster size." , required = true)
	@XmlElement(required = true)
	private long maxRepositoryCapacity;

	/** @return The maximum allowable repository size in bytes based on current cluster size. */
	public long getMaxRepositoryCapacity() {
		return this.maxRepositoryCapacity;
	}
	/** @param x The maximum allowable repository size in bytes based on current cluster size. */
	public void setMaxRepositoryCapacity(long x) {
		this.maxRepositoryCapacity = x;
	}

	/** The amount of repository capacity in bytes that is unusable due to limited addressability of the current cluster size. */
	@io.swagger.annotations.ApiModelProperty(value ="The amount of repository capacity in bytes that is unusable due to limited addressability of the current cluster size." , required = true)
	@XmlElement(required = true)
	private long unusableRepositoryCapacity;

	/** @return The amount of repository capacity in bytes that is unusable due to limited addressability of the current cluster size. */
	public long getUnusableRepositoryCapacity() {
		return this.unusableRepositoryCapacity;
	}
	/** @param x The amount of repository capacity in bytes that is unusable due to limited addressability of the current cluster size. */
	public void setUnusableRepositoryCapacity(long x) {
		this.unusableRepositoryCapacity = x;
	}

	/** This view's relationship (if any) to a Consistency Group View. */
	@io.swagger.annotations.ApiModelProperty(value ="This view's relationship (if any) to a Consistency Group View." , required = true)
	@XmlElement(required = true)
	private PITViewMembership membership;

	/** @return This view's relationship (if any) to a Consistency Group View. */
	public PITViewMembership getMembership() {
		return this.membership;
	}
	/** @param x This view's relationship (if any) to a Consistency Group View. */
	public void setMembership(PITViewMembership x) {
		this.membership = x;
	}

	/** The management client attribute. */
	@io.swagger.annotations.ApiModelProperty(value ="The management client attribute." , required = true)
	@XmlElement(required = true)
	private int mgmtClientAttribute;

	/** @return The management client attribute. */
	public int getMgmtClientAttribute() {
		return this.mgmtClientAttribute;
	}
	/** @param x The management client attribute. */
	public void setMgmtClientAttribute(int x) {
		this.mgmtClientAttribute = x;
	}

	/** The view is offline due to the associated repository volume state. */
	@io.swagger.annotations.ApiModelProperty(value ="The view is offline due to the associated repository volume state." , required = true)
	@XmlElement(required = true)
	private boolean offline;

	/** @return The view is offline due to the associated repository volume state. */
	public boolean isOffline() {
		return this.offline;
	}
	/** @param x The view is offline due to the associated repository volume state. */
	public void setOffline(boolean x) {
		this.offline = x;
	}
	@Override
	public String getId(){
		return viewRef;
	}
	@Override
	public String getName(){
		return label;
	}
}
