package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about a persistent registrant. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1092)
public class PRegistrant implements Serializable {
	public PRegistrant() {
	}

	/** A group of iSCSI initiators (hosts) participating in the reservation. */
	@io.swagger.annotations.ApiModelProperty(value ="A group of iSCSI initiators (hosts) participating in the reservation." , required = true)
	@XmlElement(required = true)
	private ITNexus itNexus;

	/** @return A group of iSCSI initiators (hosts) participating in the reservation. */
	public ITNexus getItNexus() {
		return this.itNexus;
	}
	/** @param x A group of iSCSI initiators (hosts) participating in the reservation. */
	public void setItNexus(ITNexus x) {
		this.itNexus = x;
	}

	/** Authenticates the initiator ports. */
	@io.swagger.annotations.ApiModelProperty(value ="Authenticates the initiator ports." , required = true)
	@XmlElement(required = true)
	private String registrationKey;

	/** @return Authenticates the initiator ports. */
	public String getRegistrationKey() {
		return this.registrationKey;
	}
	/** @param x Authenticates the initiator ports. */
	public void setRegistrationKey(String x) {
		this.registrationKey = x;
	}

	/** This is not used. It is for backward compatibility to the hostLabel definition found in crystal. */
	@io.swagger.annotations.ApiModelProperty(value ="This is not used. It is for backward compatibility to the hostLabel definition found in crystal." , required = true)
	@XmlElement(required = true)
	private String reserved;

	/** @return This is not used. It is for backward compatibility to the hostLabel definition found in crystal. */
	public String getReserved() {
		return this.reserved;
	}
	/** @param x This is not used. It is for backward compatibility to the hostLabel definition found in crystal. */
	public void setReserved(String x) {
		this.reserved = x;
	}
}
