package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to specify a supported RAID level. It is used for reported volume attributes, volume creation options, and in many other areas as well. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(210)
public enum RAIDLevel implements Serializable {
		/** This value indicates that the volume or volume group has a RAID level that is not supported by the array. */
		raidUnsupported(-2),
		/** This constant is used to specify "all RAID levels" in situations where a RAIDLevel object is used to pass information from the management application to the controller. It is generally not used when reporting the RAID level associated with a particular object, though. */
		raidAll(-1),
		/** RAID level 0, or data striping with no parity protection. */
		raid0(0),
		/** RAID level 1, or data mirroring. */
		raid1(1),
		/** RAID level 3. */
		raid3(3),
		/** RAID level 5. */
		raid5(5),
		/** Raid level 6. */
		raid6(6),
		/** The RAID level is disk pool. */
		raidDiskPool(7),
		__UNDEFINED(464378545);

		public final int value;

		private RAIDLevel(int v) {
			this.value = v;
		}
}
