package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the Read Link Status data about a certain device. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(956)
public class RLSData implements Serializable {
	public RLSData() {
	}

	/** The SYMbol reference value that uniquely identifies this device. */
	@io.swagger.annotations.ApiModelProperty(value ="The SYMbol reference value that uniquely identifies this device." , required = true)
	@XmlElement(required = true)
	private RLSDevice device;

	/** @return The SYMbol reference value that uniquely identifies this device. */
	public RLSDevice getDevice() {
		return this.device;
	}
	/** @param x The SYMbol reference value that uniquely identifies this device. */
	public void setDevice(RLSDevice x) {
		this.device = x;
	}

	/** The channel the device is on. */
	@io.swagger.annotations.ApiModelProperty(value ="The channel the device is on." , required = true)
	@XmlElement(required = true)
	private int channel;

	/** @return The channel the device is on. */
	public int getChannel() {
		return this.channel;
	}
	/** @param x The channel the device is on. */
	public void setChannel(int x) {
		this.channel = x;
	}

	/** The position in the fibre loop map the device is located at. */
	@io.swagger.annotations.ApiModelProperty(value ="The position in the fibre loop map the device is located at." , required = true)
	@XmlElement(required = true)
	private int loopMapIndex;

	/** @return The position in the fibre loop map the device is located at. */
	public int getLoopMapIndex() {
		return this.loopMapIndex;
	}
	/** @param x The position in the fibre loop map the device is located at. */
	public void setLoopMapIndex(int x) {
		this.loopMapIndex = x;
	}

	/** The RLS count for this device. */
	@io.swagger.annotations.ApiModelProperty(value ="The RLS count for this device." , required = true)
	@XmlElement(required = true)
	private RLSCount rlsCount;

	/** @return The RLS count for this device. */
	public RLSCount getRlsCount() {
		return this.rlsCount;
	}
	/** @param x The RLS count for this device. */
	public void setRlsCount(RLSCount x) {
		this.rlsCount = x;
	}

	/** The baseline time for this device, expressed as seconds since midnight GMT on January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The baseline time for this device, expressed as seconds since midnight GMT on January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long baselineTime;

	/** @return The baseline time for this device, expressed as seconds since midnight GMT on January 1, 1970. */
	public long getBaselineTime() {
		return this.baselineTime;
	}
	/** @param x The baseline time for this device, expressed as seconds since midnight GMT on January 1, 1970. */
	public void setBaselineTime(long x) {
		this.baselineTime = x;
	}

	/** Set to true if the RSL Data is valid for the device. */
	@io.swagger.annotations.ApiModelProperty(value ="Set to true if the RSL Data is valid for the device." , required = true)
	@XmlElement(required = true)
	private boolean valid;

	/** @return Set to true if the RSL Data is valid for the device. */
	public boolean isValid() {
		return this.valid;
	}
	/** @param x Set to true if the RSL Data is valid for the device. */
	public void setValid(boolean x) {
		this.valid = x;
	}
}
