package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as the argument to the requestRemoval procedure; it provides all information needed to enable or disable a Ready to Remove indicator or to put the Ready to Remove indicator in automatic mode. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1020)
public class RTRUpdateDescription implements Serializable {
	public RTRUpdateDescription() {
	}

	/** The reference that indicates the object to modify. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference that indicates the object to modify." , required = true)
	@XmlElement(required = true)
	private RTRObject rtrObject;

	/** @return The reference that indicates the object to modify. */
	public RTRObject getRtrObject() {
		return this.rtrObject;
	}
	/** @param x The reference that indicates the object to modify. */
	public void setRtrObject(RTRObject x) {
		this.rtrObject = x;
	}

	/** Indicates the ready-to-remove control to activate on the specified component (enable, disable, or put the indicator in automatic mode). */
	@io.swagger.annotations.ApiModelProperty(value ="Indicates the ready-to-remove control to activate on the specified component (enable, disable, or put the indicator in automatic mode)." , required = true)
	@XmlElement(required = true)
	private RTRControl rtrControl = RTRControl.__UNDEFINED;

	/** @return Indicates the ready-to-remove control to activate on the specified component (enable, disable, or put the indicator in automatic mode). */
	public RTRControl getRtrControl() {
		return this.rtrControl;
	}
	/** @param x Indicates the ready-to-remove control to activate on the specified component (enable, disable, or put the indicator in automatic mode). */
	public void setRtrControl(RTRControl x) {
		this.rtrControl = x;
	}
}
