package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to construct the digest for remote array authentication. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(472)
public class RemoteArrayAuthentication implements Serializable {
	public RemoteArrayAuthentication() {
	}

	/** The storage array unique identifier. */
	@io.swagger.annotations.ApiModelProperty(value ="The storage array unique identifier." , required = true)
	@XmlElement(required = true)
	private SAIdentifier arrayId;

	/** @return The storage array unique identifier. */
	public SAIdentifier getArrayId() {
		return this.arrayId;
	}
	/** @param x The storage array unique identifier. */
	public void setArrayId(SAIdentifier x) {
		this.arrayId = x;
	}

	/** The current configuration generation number of the remote array. */
	@io.swagger.annotations.ApiModelProperty(value ="The current configuration generation number of the remote array." , required = true)
	@XmlElement(required = true)
	private long cfgGen;

	/** @return The current configuration generation number of the remote array. */
	public long getCfgGen() {
		return this.cfgGen;
	}
	/** @param x The current configuration generation number of the remote array. */
	public void setCfgGen(long x) {
		this.cfgGen = x;
	}

	/** An identifier specific to the particular operation requiring authentication. */
	@io.swagger.annotations.ApiModelProperty(value ="An identifier specific to the particular operation requiring authentication." , required = true)
	@XmlElement(required = true)
	private String operationIdentifier;

	/** @return An identifier specific to the particular operation requiring authentication. */
	public String getOperationIdentifier() {
		return this.operationIdentifier;
	}
	/** @param x An identifier specific to the particular operation requiring authentication. */
	public void setOperationIdentifier(String x) {
		this.operationIdentifier = x;
	}
}
