package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to perform a user requested communication check for a remote volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(912)
public class RemoteCommunicationCheckDescriptor implements Serializable {
	public RemoteCommunicationCheckDescriptor() {
	}

	/** The reference for the remote volume in a mirror relationship. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference for the remote volume in a mirror relationship." , required = true)
	@XmlElement(required = true)
	private String remoteVolume;

	/** @return The reference for the remote volume in a mirror relationship. */
	public String getRemoteVolume() {
		return this.remoteVolume;
	}
	/** @param x The reference for the remote volume in a mirror relationship. */
	public void setRemoteVolume(String x) {
		this.remoteVolume = x;
	}

	/** The number of sample communication times to collect for the request. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of sample communication times to collect for the request." , required = true)
	@XmlElement(required = true)
	private int numSamples;

	/** @return The number of sample communication times to collect for the request. */
	public int getNumSamples() {
		return this.numSamples;
	}
	/** @param x The number of sample communication times to collect for the request. */
	public void setNumSamples(int x) {
		this.numSamples = x;
	}
}
