package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is passed back to the host with an array of sample times as a result of issuing a SCSI command to the remote volume of an RVM pair. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(359)
public class RemoteCommunicationCheckSampleList implements Serializable {
	public RemoteCommunicationCheckSampleList() {
	}

	/** Array of sample communication times collected. */
	@io.swagger.annotations.ApiModelProperty(value ="Array of sample communication times collected." , required = true)
	@XmlElement(required = true)
	private int[] remoteCommunicationCheckSamples;

	/** @return Array of sample communication times collected. */
	public int[] getRemoteCommunicationCheckSamples() {
		return this.remoteCommunicationCheckSamples;
	}
	/** @param x Array of sample communication times collected. */
	public void setRemoteCommunicationCheckSamples(int[] x) {
		this.remoteCommunicationCheckSamples = x;
	}

	/** Timeout value used for communication test. */
	@io.swagger.annotations.ApiModelProperty(value ="Timeout value used for communication test." , required = true)
	@XmlElement(required = true)
	private int timeout;

	/** @return Timeout value used for communication test. */
	public int getTimeout() {
		return this.timeout;
	}
	/** @param x Timeout value used for communication test. */
	public void setTimeout(int x) {
		this.timeout = x;
	}

	/** Status of the communication test. */
	@io.swagger.annotations.ApiModelProperty(value ="Status of the communication test." , required = true)
	@XmlElement(required = true)
	private ReturnCode testStatus = ReturnCode.__UNDEFINED;

	/** @return Status of the communication test. */
	public ReturnCode getTestStatus() {
		return this.testStatus;
	}
	/** @param x Status of the communication test. */
	public void setTestStatus(ReturnCode x) {
		this.testStatus = x;
	}

	/** Status of the SYMbol request. */
	@io.swagger.annotations.ApiModelProperty(value ="Status of the SYMbol request." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return Status of the SYMbol request. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x Status of the SYMbol request. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}
}
