package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to construct the digest for the remote array. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(390)
public class RemoteMirrorAuthentication implements Serializable {
	public RemoteMirrorAuthentication() {
	}

	/** The storage array's unique identifier. */
	@io.swagger.annotations.ApiModelProperty(value ="The storage array's unique identifier." , required = true)
	@XmlElement(required = true)
	private SAIdentifier arrayId;

	/** @return The storage array's unique identifier. */
	public SAIdentifier getArrayId() {
		return this.arrayId;
	}
	/** @param x The storage array's unique identifier. */
	public void setArrayId(SAIdentifier x) {
		this.arrayId = x;
	}

	/** The current configuration generation number of the remote array. */
	@io.swagger.annotations.ApiModelProperty(value ="The current configuration generation number of the remote array." , required = true)
	@XmlElement(required = true)
	private long cfgGen;

	/** @return The current configuration generation number of the remote array. */
	public long getCfgGen() {
		return this.cfgGen;
	}
	/** @param x The current configuration generation number of the remote array. */
	public void setCfgGen(long x) {
		this.cfgGen = x;
	}

	/** WWN of the remote volume */
	@io.swagger.annotations.ApiModelProperty(value ="WWN of the remote volume" , required = true)
	@XmlElement(required = true)
	private String volWwn;

	/** @return WWN of the remote volume */
	public String getVolWwn() {
		return this.volWwn;
	}
	/** @param x WWN of the remote volume */
	public void setVolWwn(String x) {
		this.volWwn = x;
	}
}
