package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is used to convey information about a SCSI target port identifier. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(580)
public class SCSITargetPortId implements Serializable {
	public SCSITargetPortId() {
	}

	/** This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller." , required = true)
	@XmlElement(required = true)
	private IOInterfaceType ioInterfaceType = IOInterfaceType.__UNDEFINED;

	/** @return This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	public IOInterfaceType getIoInterfaceType() {
		return this.ioInterfaceType;
	}
	/** @param x This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	public void setIoInterfaceType(IOInterfaceType x) {
		this.ioInterfaceType = x;
	}

	/** This field is present only if the type value is equal to IO_IF_FC. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to IO_IF_FC." , required = false)
	@XmlElement(required = false)
	private String portName;

	/** @return This field is present only if the type value is equal to IO_IF_FC. */
	public String getPortName() {
		return this.portName;
	}
	/** @param x This field is present only if the type value is equal to IO_IF_FC. */
	public void setPortName(String x) {
		this.portName = x;
	}

	/** This field is present only if the type value is equal to IO_IF_IB. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to IO_IF_IB." , required = false)
	@XmlElement(required = false)
	private String ibPortName;

	/** @return This field is present only if the type value is equal to IO_IF_IB. */
	public String getIbPortName() {
		return this.ibPortName;
	}
	/** @param x This field is present only if the type value is equal to IO_IF_IB. */
	public void setIbPortName(String x) {
		this.ibPortName = x;
	}

	/** This field is present only if the type value is equal to IO_IF_ISCSI. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to IO_IF_ISCSI." , required = false)
	@XmlElement(required = false)
	private IscsiTargetPortId iscsiPortName;

	/** @return This field is present only if the type value is equal to IO_IF_ISCSI. */
	public IscsiTargetPortId getIscsiPortName() {
		return this.iscsiPortName;
	}
	/** @param x This field is present only if the type value is equal to IO_IF_ISCSI. */
	public void setIscsiPortName(IscsiTargetPortId x) {
		this.iscsiPortName = x;
	}

	/** This field is present only if the type value is equal to IO_IF_SAS. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to IO_IF_SAS." , required = false)
	@XmlElement(required = false)
	private String sasPortName;

	/** @return This field is present only if the type value is equal to IO_IF_SAS. */
	public String getSasPortName() {
		return this.sasPortName;
	}
	/** @param x This field is present only if the type value is equal to IO_IF_SAS. */
	public void setSasPortName(String x) {
		this.sasPortName = x;
	}
}
