package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to describe the port number a given SFP is associated with. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(85)
public enum SFPPort implements Serializable {
		/** The firmware cannot determine the SFP port association. */
		portUnknown(0),
		/** The SFP is associated with the first port. */
		port1(1),
		/** The SFP is associated with the second port. */
		port2(2),
		/** The SFP is associated with the third port. */
		port3(3),
		/** The SFP is associated with the fourth port. */
		port4(4),
		__UNDEFINED(464378545);

		public final int value;

		private SFPPort(int v) {
			this.value = v;
		}
}
