package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to determine the speed capability of SFP. Note: This is a bit field as more than one can be true simultaneously. See "SFF-8636 Specification for Common Management Interface Rev 4.3", Table "Specification Compliance" and "SFF-8636 Specification for Common Management Interface" Rev 1.7 Table: "EXTENDED MODULE CODE VALUES" */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(208)
public enum SFP_SPEED implements Serializable {
		/** Unknown */
		typeUnknown(0),
		/** 0x00000001 */
		type1gig(1),
		/** 0x00000002 */
		type2gig(2),
		/** 0x00000004 */
		type4gig(4),
		/** 0x00000008 */
		type8gig(8),
		/** 0x00000010 */
		type16gig(16),
		/** 0x00000020 */
		type10gig(32),
		type40gig(64),
		type56gig(128),
		type20gig(256),
		__UNDEFINED(464378545);

		public final int value;

		private SFP_SPEED(int v) {
			this.value = v;
		}
}
