package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains settings for SNMP "system" variables that are settable via SYMbol. These values will be used by the SNMP agent when responding to SNMP GET requests. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(358)
public class SNMPSystemVariables implements Serializable {
	public SNMPSystemVariables() {
	}

	/** Value to be returned for system.sysName variable */
	@io.swagger.annotations.ApiModelProperty(value ="Value to be returned for system.sysName variable" , required = true)
	@XmlElement(required = true)
	private String sysName;

	/** @return Value to be returned for system.sysName variable */
	public String getSysName() {
		return this.sysName;
	}
	/** @param x Value to be returned for system.sysName variable */
	public void setSysName(String x) {
		this.sysName = x;
	}

	/** Value to be returned for system.sysContact variable */
	@io.swagger.annotations.ApiModelProperty(value ="Value to be returned for system.sysContact variable" , required = true)
	@XmlElement(required = true)
	private String sysContact;

	/** @return Value to be returned for system.sysContact variable */
	public String getSysContact() {
		return this.sysContact;
	}
	/** @param x Value to be returned for system.sysContact variable */
	public void setSysContact(String x) {
		this.sysContact = x;
	}

	/** Value to be returned for system.sysLocation variable */
	@io.swagger.annotations.ApiModelProperty(value ="Value to be returned for system.sysLocation variable" , required = true)
	@XmlElement(required = true)
	private String sysLocation;

	/** @return Value to be returned for system.sysLocation variable */
	public String getSysLocation() {
		return this.sysLocation;
	}
	/** @param x Value to be returned for system.sysLocation variable */
	public void setSysLocation(String x) {
		this.sysLocation = x;
	}
}
