package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is a structure containing both global and port-dependent data for a particular SAS device. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1116)
public class SasData implements Serializable {
	public SasData() {
	}

	/** An indication of which SAS device provides the ports for which the reported statistics apply. */
	@io.swagger.annotations.ApiModelProperty(value ="An indication of which SAS device provides the ports for which the reported statistics apply." , required = true)
	@XmlElement(required = true)
	private SasPortProviderDevice portProvider;

	/** @return An indication of which SAS device provides the ports for which the reported statistics apply. */
	public SasPortProviderDevice getPortProvider() {
		return this.portProvider;
	}
	/** @param x An indication of which SAS device provides the ports for which the reported statistics apply. */
	public void setPortProvider(SasPortProviderDevice x) {
		this.portProvider = x;
	}

	/** An array of SAS port data, one element per port on the port provider device. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of SAS port data, one element per port on the port provider device." , required = true)
	@XmlElement(required = true)
	private SasPortData[] portData;

	/** @return An array of SAS port data, one element per port on the port provider device. */
	public SasPortData[] getPortData() {
		return this.portData;
	}
	/** @param x An array of SAS port data, one element per port on the port provider device. */
	public void setPortData(SasPortData[] x) {
		this.portData = x;
	}
}
