package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains addressing information for a drive which uses the serial-attached SCSI I/O protocol. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(639)
public class SasDriveAddress implements Serializable {
	public SasDriveAddress() {
	}

	/** The SAS address representing the device itself. */
	@io.swagger.annotations.ApiModelProperty(value ="The SAS address representing the device itself." , required = true)
	@XmlElement(required = true)
	private String deviceName;

	/** @return The SAS address representing the device itself. */
	public String getDeviceName() {
		return this.deviceName;
	}
	/** @param x The SAS address representing the device itself. */
	public void setDeviceName(String x) {
		this.deviceName = x;
	}

	/** The SAS addresses of drive ports 0 and 1. The first element in the array is the drive address on the preferred channel, and the second element is the drive address on the redundant channel. */
	@io.swagger.annotations.ApiModelProperty(value ="The SAS addresses of drive ports 0 and 1. The first element in the array is the drive address on the preferred channel, and the second element is the drive address on the redundant channel." , required = true)
	@XmlElement(required = true)
	private SasDrivePortAddress[] drivePortAddresses;

	/** @return The SAS addresses of drive ports 0 and 1. The first element in the array is the drive address on the preferred channel, and the second element is the drive address on the redundant channel. */
	public SasDrivePortAddress[] getDrivePortAddresses() {
		return this.drivePortAddresses;
	}
	/** @param x The SAS addresses of drive ports 0 and 1. The first element in the array is the drive address on the preferred channel, and the second element is the drive address on the redundant channel. */
	public void setDrivePortAddresses(SasDrivePortAddress[] x) {
		this.drivePortAddresses = x;
	}
}
