package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is a structure used to hold error statistics and related data for a particular PHY. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(476)
public class SasPhyData implements Serializable {
	public SasPhyData() {
	}

	/** A number in the range 0 - 127 that is the PHY identifier. */
	@io.swagger.annotations.ApiModelProperty(value ="A number in the range 0 - 127 that is the PHY identifier." , required = true)
	@XmlElement(required = true)
	private int phyIdentifier;

	/** @return A number in the range 0 - 127 that is the PHY identifier. */
	public int getPhyIdentifier() {
		return this.phyIdentifier;
	}
	/** @param x A number in the range 0 - 127 that is the PHY identifier. */
	public void setPhyIdentifier(int x) {
		this.phyIdentifier = x;
	}

	/** When false, an indication that, though the associated attached device exists, the rest of the data in the structure could not be obtained. */
	@io.swagger.annotations.ApiModelProperty(value ="When false, an indication that, though the associated attached device exists, the rest of the data in the structure could not be obtained." , required = true)
	@XmlElement(required = true)
	private boolean isValid;

	/** @return When false, an indication that, though the associated attached device exists, the rest of the data in the structure could not be obtained. */
	public boolean isIsValid() {
		return this.isValid;
	}
	/** @param x When false, an indication that, though the associated attached device exists, the rest of the data in the structure could not be obtained. */
	public void setIsValid(boolean x) {
		this.isValid = x;
	}

	/** The current negotiated physical link rate for the PHY. */
	@io.swagger.annotations.ApiModelProperty(value ="The current negotiated physical link rate for the PHY." , required = true)
	@XmlElement(required = true)
	private InterfaceSpeed currentSpeed = InterfaceSpeed.__UNDEFINED;

	/** @return The current negotiated physical link rate for the PHY. */
	public InterfaceSpeed getCurrentSpeed() {
		return this.currentSpeed;
	}
	/** @param x The current negotiated physical link rate for the PHY. */
	public void setCurrentSpeed(InterfaceSpeed x) {
		this.currentSpeed = x;
	}

	/** The hardware maximum physical link rate for the PHY. */
	@io.swagger.annotations.ApiModelProperty(value ="The hardware maximum physical link rate for the PHY." , required = true)
	@XmlElement(required = true)
	private InterfaceSpeed maximumSpeed = InterfaceSpeed.__UNDEFINED;

	/** @return The hardware maximum physical link rate for the PHY. */
	public InterfaceSpeed getMaximumSpeed() {
		return this.maximumSpeed;
	}
	/** @param x The hardware maximum physical link rate for the PHY. */
	public void setMaximumSpeed(InterfaceSpeed x) {
		this.maximumSpeed = x;
	}

	/** A collection of PHY error count values. */
	@io.swagger.annotations.ApiModelProperty(value ="A collection of PHY error count values." , required = true)
	@XmlElement(required = true)
	private SasPhyErrorCounts errorCounts;

	/** @return A collection of PHY error count values. */
	public SasPhyErrorCounts getErrorCounts() {
		return this.errorCounts;
	}
	/** @param x A collection of PHY error count values. */
	public void setErrorCounts(SasPhyErrorCounts x) {
		this.errorCounts = x;
	}
}
