package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union structure provides a reference to a "port provider" device, based on its type. The concept of a port provider is used in the getSasErrorStatistics procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(826)
public class SasPortProviderDevice implements Serializable {
	public SasPortProviderDevice() {
	}

	/** This enumeration object is used to identify the specific type of "port provider" device. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration object is used to identify the specific type of \"port provider\" device." , required = true)
	@XmlElement(required = true)
	private SasPortProviderDeviceType type = SasPortProviderDeviceType.__UNDEFINED;

	/** @return This enumeration object is used to identify the specific type of "port provider" device. */
	public SasPortProviderDeviceType getType() {
		return this.type;
	}
	/** @param x This enumeration object is used to identify the specific type of "port provider" device. */
	public void setType(SasPortProviderDeviceType x) {
		this.type = x;
	}

	/** A reference to a controller that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_CONTROLLER. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to a controller that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_CONTROLLER." , required = false)
	@XmlElement(required = false)
	private String controller;

	/** @return A reference to a controller that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_CONTROLLER. */
	public String getController() {
		return this.controller;
	}
	/** @param x A reference to a controller that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_CONTROLLER. */
	public void setController(String x) {
		this.controller = x;
	}

	/** A reference to a drive that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_DRIVE. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to a drive that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_DRIVE." , required = false)
	@XmlElement(required = false)
	private String drive;

	/** @return A reference to a drive that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_DRIVE. */
	public String getDrive() {
		return this.drive;
	}
	/** @param x A reference to a drive that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_DRIVE. */
	public void setDrive(String x) {
		this.drive = x;
	}

	/** A reference to a SAS expander that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_EXPANDER. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to a SAS expander that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_EXPANDER." , required = false)
	@XmlElement(required = false)
	private String expander;

	/** @return A reference to a SAS expander that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_EXPANDER. */
	public String getExpander() {
		return this.expander;
	}
	/** @param x A reference to a SAS expander that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_EXPANDER. */
	public void setExpander(String x) {
		this.expander = x;
	}

	/** A reference to a SAS host board that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_HOSTBOARD. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to a SAS host board that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_HOSTBOARD." , required = false)
	@XmlElement(required = false)
	private String hostBoardRef;

	/** @return A reference to a SAS host board that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_HOSTBOARD. */
	public String getHostBoardRef() {
		return this.hostBoardRef;
	}
	/** @param x A reference to a SAS host board that is the port provider. This field is present only if the type field is equal to SAS_PORT_PROVIDER_HOSTBOARD. */
	public void setHostBoardRef(String x) {
		this.hostBoardRef = x;
	}
}
