package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration specifies the different types of SCSI-to-ATA translation hardware. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(127)
public enum SatType implements Serializable {
		/** The type of translation hardware is not known. */
		unknown(0),
		/** The translation hardware is drive-CRU-resident. */
		driveCruResident(1),
		/** The translation hardware is controller-resident. */
		controllerResident(2),
		/** The translation hardware is enclosure-slot-resident. */
		enclosureSlotResident(3),
		__UNDEFINED(464378545);

		public final int value;

		private SatType(int v) {
			this.value = v;
		}
}
