package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to update various schedule parameters. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(875)
public class ScheduleUpdateDescriptor implements Serializable {
	public ScheduleUpdateDescriptor() {
	}

	/** The schedule to be updated. */
	@io.swagger.annotations.ApiModelProperty(value ="The schedule to be updated." , required = true)
	@XmlElement(required = true)
	private String schedRef;

	/** @return The schedule to be updated. */
	public String getSchedRef() {
		return this.schedRef;
	}
	/** @param x The schedule to be updated. */
	public void setSchedRef(String x) {
		this.schedRef = x;
	}

	/** The new schedule information. */
	@io.swagger.annotations.ApiModelProperty(value ="The new schedule information." , required = true)
	@XmlElement(required = true)
	private Schedule schedule;

	/** @return The new schedule information. */
	public Schedule getSchedule() {
		return this.schedule;
	}
	/** @param x The new schedule information. */
	public void setSchedule(Schedule x) {
		this.schedule = x;
	}

	/** If true, the schedule will be enabled, otherwise it will be disabled. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the schedule will be enabled, otherwise it will be disabled." , required = true)
	@XmlElement(required = true)
	private boolean enabled;

	/** @return If true, the schedule will be enabled, otherwise it will be disabled. */
	public boolean isEnabled() {
		return this.enabled;
	}
	/** @param x If true, the schedule will be enabled, otherwise it will be disabled. */
	public void setEnabled(boolean x) {
		this.enabled = x;
	}
}
