package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about connections to a remote array. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1086)
public class ScsiRemoteConnection implements Serializable {
	public ScsiRemoteConnection() {
	}

	/** Local controller acting as the initiator for these connections. */
	@io.swagger.annotations.ApiModelProperty(value ="Local controller acting as the initiator for these connections." , required = true)
	@XmlElement(required = true)
	private String controller;

	/** @return Local controller acting as the initiator for these connections. */
	public String getController() {
		return this.controller;
	}
	/** @param x Local controller acting as the initiator for these connections. */
	public void setController(String x) {
		this.controller = x;
	}

	/** Local initiator port for these connections. */
	@io.swagger.annotations.ApiModelProperty(value ="Local initiator port for these connections." , required = true)
	@XmlElement(required = true)
	private String localPort;

	/** @return Local initiator port for these connections. */
	public String getLocalPort() {
		return this.localPort;
	}
	/** @param x Local initiator port for these connections. */
	public void setLocalPort(String x) {
		this.localPort = x;
	}

	/** Details of connections to remote target. */
	@io.swagger.annotations.ApiModelProperty(value ="Details of connections to remote target." , required = true)
	@XmlElement(required = true)
	private ScsiRemoteTargetConnections remoteTargetConnections;

	/** @return Details of connections to remote target. */
	public ScsiRemoteTargetConnections getRemoteTargetConnections() {
		return this.remoteTargetConnections;
	}
	/** @param x Details of connections to remote target. */
	public void setRemoteTargetConnections(ScsiRemoteTargetConnections x) {
		this.remoteTargetConnections = x;
	}
}
