package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure defines port-dependent data for a SOC device. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(990)
public class SocPortData implements Serializable {
	public SocPortData() {
	}

	/** The operating mode of this SOC port. */
	@io.swagger.annotations.ApiModelProperty(value ="The operating mode of this SOC port." , required = true)
	@XmlElement(required = true)
	private SocPortMode socPortMode = SocPortMode.__UNDEFINED;

	/** @return The operating mode of this SOC port. */
	public SocPortMode getSocPortMode() {
		return this.socPortMode;
	}
	/** @param x The operating mode of this SOC port. */
	public void setSocPortMode(SocPortMode x) {
		this.socPortMode = x;
	}

	/** Data for the Fibre Channel device connected to this SOC port. */
	@io.swagger.annotations.ApiModelProperty(value ="Data for the Fibre Channel device connected to this SOC port." , required = true)
	@XmlElement(required = true)
	private SocConnectedDevice device;

	/** @return Data for the Fibre Channel device connected to this SOC port. */
	public SocConnectedDevice getDevice() {
		return this.device;
	}
	/** @param x Data for the Fibre Channel device connected to this SOC port. */
	public void setDevice(SocConnectedDevice x) {
		this.device = x;
	}

	/** The error statistics for this SOC port. */
	@io.swagger.annotations.ApiModelProperty(value ="The error statistics for this SOC port." , required = true)
	@XmlElement(required = true)
	private SocPortDiagnosticData socPortDiagData;

	/** @return The error statistics for this SOC port. */
	public SocPortDiagnosticData getSocPortDiagData() {
		return this.socPortDiagData;
	}
	/** @param x The error statistics for this SOC port. */
	public void setSocPortDiagData(SocPortDiagnosticData x) {
		this.socPortDiagData = x;
	}
}
