package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to indicate the operating mode of a given port. A port that is attached to a controller, drive, or ESM is always configured for device mode. A port that is attached to an SFP may be configured for either tree or string cascade mode. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(50)
public enum SocPortMode implements Serializable {
		/** The port is configured for non-cascade mode. */
		device(0),
		/** The port is configured for tree cascade mode. */
		tree(1),
		/** The port is configured for string cascade mode. */
		string(2),
		__UNDEFINED(464378545);

		public final int value;

		private SocPortMode(int v) {
			this.value = v;
		}
}
