package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration type identifies the various types of statistical streams (sets of statistical observations collected over a period of time) supported by the controller firmware. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(26)
public enum StatStreamType implements Serializable {
		/** Average utilization for CPU 0 (polled at 1 Hz). */
		acpu0(0),
		/** Average utilization for CPU 1 (polled at 1 Hz). */
		acpu1(1),
		/** Controller I/O queue depth (on command receipt). */
		ciqr(2),
		/** Drive I/O queue depth (on command receipt). */
		diqr(3),
		/** Drive I/O response time. */
		dirt(4),
		/** Host I/O response time. */
		hirt(5),
		__UNDEFINED(464378545);

		public final int value;

		private StatStreamType(int v) {
			this.value = v;
		}
}
