package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** For combination CRUs, the configuredComponents list will contain COMP_TYPE_FAN and COMP_TYPE_POWER_SUPPLY. For the fan-only CRU list will contain only COMP_TYPE_FAN. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(969)
public class SupportCRU implements Serializable,devmgr.api.model.Identifiable {
	public SupportCRU() {
	}

	/** The reference for this physical support CRU. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference for this physical support CRU." , required = true)
	@XmlElement(required = true)
	private String supportCRURef;

	/** @return The reference for this physical support CRU. */
	public String getSupportCRURef() {
		return this.supportCRURef;
	}
	/** @param x The reference for this physical support CRU. */
	public void setSupportCRURef(String x) {
		this.supportCRURef = x;
	}

	/** The operational status of the support CRU. */
	@io.swagger.annotations.ApiModelProperty(value ="The operational status of the support CRU." , required = true)
	@XmlElement(required = true)
	private SupportCRUStatus status = SupportCRUStatus.__UNDEFINED;

	/** @return The operational status of the support CRU. */
	public SupportCRUStatus getStatus() {
		return this.status;
	}
	/** @param x The operational status of the support CRU. */
	public void setStatus(SupportCRUStatus x) {
		this.status = x;
	}

	/** The physical location of the support CRU. The parent reference in Location identifies the tray containing the CRU, and the position field is the parent-relative/like-component relative slot number of the CRU, starting at one. */
	@io.swagger.annotations.ApiModelProperty(value ="The physical location of the support CRU. The parent reference in Location identifies the tray containing the CRU, and the position field is the parent-relative/like-component relative slot number of the CRU, starting at one." , required = true)
	@XmlElement(required = true)
	private Location physicalLocation;

	/** @return The physical location of the support CRU. The parent reference in Location identifies the tray containing the CRU, and the position field is the parent-relative/like-component relative slot number of the CRU, starting at one. */
	public Location getPhysicalLocation() {
		return this.physicalLocation;
	}
	/** @param x The physical location of the support CRU. The parent reference in Location identifies the tray containing the CRU, and the position field is the parent-relative/like-component relative slot number of the CRU, starting at one. */
	public void setPhysicalLocation(Location x) {
		this.physicalLocation = x;
	}

	/** VPD manufacture date. */
	@io.swagger.annotations.ApiModelProperty(value ="VPD manufacture date." , required = true)
	@XmlElement(required = true)
	private long manufacturerDate;

	/** @return VPD manufacture date. */
	public long getManufacturerDate() {
		return this.manufacturerDate;
	}
	/** @param x VPD manufacture date. */
	public void setManufacturerDate(long x) {
		this.manufacturerDate = x;
	}

	/** VPD vendor name. */
	@io.swagger.annotations.ApiModelProperty(value ="VPD vendor name." , required = true)
	@XmlElement(required = true)
	private String vendorName;

	/** @return VPD vendor name. */
	public String getVendorName() {
		return this.vendorName;
	}
	/** @param x VPD vendor name. */
	public void setVendorName(String x) {
		this.vendorName = x;
	}

	/** VPD part number. */
	@io.swagger.annotations.ApiModelProperty(value ="VPD part number." , required = true)
	@XmlElement(required = true)
	private String vendorPN;

	/** @return VPD part number. */
	public String getVendorPN() {
		return this.vendorPN;
	}
	/** @param x VPD part number. */
	public void setVendorPN(String x) {
		this.vendorPN = x;
	}

	/** VPD serial number. */
	@io.swagger.annotations.ApiModelProperty(value ="VPD serial number." , required = true)
	@XmlElement(required = true)
	private String vendorSN;

	/** @return VPD serial number. */
	public String getVendorSN() {
		return this.vendorSN;
	}
	/** @param x VPD serial number. */
	public void setVendorSN(String x) {
		this.vendorSN = x;
	}

	/** VPD field replaceable unit type. */
	@io.swagger.annotations.ApiModelProperty(value ="VPD field replaceable unit type." , required = true)
	@XmlElement(required = true)
	private String fruType;

	/** @return VPD field replaceable unit type. */
	public String getFruType() {
		return this.fruType;
	}
	/** @param x VPD field replaceable unit type. */
	public void setFruType(String x) {
		this.fruType = x;
	}

	/** When set to True, the component is ready to remove (and the Ready to Remove indicator light is turned on). This field is deprecated. The rtrAttributes field should be used instead. */
	@io.swagger.annotations.ApiModelProperty(value ="When set to True, the component is ready to remove (and the Ready to Remove indicator light is turned on). This field is deprecated. The rtrAttributes field should be used instead." , required = true)
	@XmlElement(required = true)
	private boolean readyToRemove;

	/** @return When set to True, the component is ready to remove (and the Ready to Remove indicator light is turned on). This field is deprecated. The rtrAttributes field should be used instead. */
	public boolean isReadyToRemove() {
		return this.readyToRemove;
	}
	/** @param x When set to True, the component is ready to remove (and the Ready to Remove indicator light is turned on). This field is deprecated. The rtrAttributes field should be used instead. */
	public void setReadyToRemove(boolean x) {
		this.readyToRemove = x;
	}

	/** The CRU type of the support CRU plus its ready-to-remove attributes, which are based on the CRU type. */
	@io.swagger.annotations.ApiModelProperty(value ="The CRU type of the support CRU plus its ready-to-remove attributes, which are based on the CRU type." , required = true)
	@XmlElement(required = true)
	private RTRAttributes rtrAttributes;

	/** @return The CRU type of the support CRU plus its ready-to-remove attributes, which are based on the CRU type. */
	public RTRAttributes getRtrAttributes() {
		return this.rtrAttributes;
	}
	/** @param x The CRU type of the support CRU plus its ready-to-remove attributes, which are based on the CRU type. */
	public void setRtrAttributes(RTRAttributes x) {
		this.rtrAttributes = x;
	}

	/** A variable-length list of the types of components that occupy the support CRU. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length list of the types of components that occupy the support CRU." , required = true)
	@XmlElement(required = true)
	private ComponentType[] configuredComponents;

	/** @return A variable-length list of the types of components that occupy the support CRU. */
	public ComponentType[] getConfiguredComponents() {
		return this.configuredComponents;
	}
	/** @param x A variable-length list of the types of components that occupy the support CRU. */
	public void setConfiguredComponents(ComponentType[] x) {
		this.configuredComponents = x;
	}

	/** The type of this support CRU (e.g., "power-fan" or "battery") */
	@io.swagger.annotations.ApiModelProperty(value ="The type of this support CRU (e.g., \"power-fan\" or \"battery\")" , required = true)
	@XmlElement(required = true)
	private SupportCruType type = SupportCruType.__UNDEFINED;

	/** @return The type of this support CRU (e.g., "power-fan" or "battery") */
	public SupportCruType getType() {
		return this.type;
	}
	/** @param x The type of this support CRU (e.g., "power-fan" or "battery") */
	public void setType(SupportCruType x) {
		this.type = x;
	}

	/** The repair policy for the support CRU component. */
	@io.swagger.annotations.ApiModelProperty(value ="The repair policy for the support CRU component." , required = true)
	@XmlElement(required = true)
	private RepairPolicy repairPolicy;

	/** @return The repair policy for the support CRU component. */
	public RepairPolicy getRepairPolicy() {
		return this.repairPolicy;
	}
	/** @param x The repair policy for the support CRU component. */
	public void setRepairPolicy(RepairPolicy x) {
		this.repairPolicy = x;
	}
	@Override
	public String getId(){
		return supportCRURef;
	}
}
