package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to determine the status of the support CRU. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(110)
public enum SupportCRUStatus implements Serializable {
		/** The status of the support CRU is unknown. */
		unknown(0),
		/** The support CRU is operating correctly. */
		optimal(1),
		/** The support CRU is not working or is not present. */
		failed(2),
		/** The support CRU has been removed or is missing. */
		removed(3),
		/** The power supply in the support CRU has no input voltage. */
		noinput(4),
		/** The support CRU is not configured with all the necessary components. */
		incorrectConfig(5),
		__UNDEFINED(464378545);

		public final int value;

		private SupportCRUStatus(int v) {
			this.value = v;
		}
}
