package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the argument to the setTargetProperties procedure. It specifies the values to set for the target properties and the target that they apply to. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1103)
public class TargetPropertiesUpdateDescriptor implements Serializable {
	public TargetPropertiesUpdateDescriptor() {
	}

	/** A reference to the target to which the property changes apply. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the target to which the property changes apply." , required = true)
	@XmlElement(required = true)
	private String target;

	/** @return A reference to the target to which the property changes apply. */
	public String getTarget() {
		return this.target;
	}
	/** @param x A reference to the target to which the property changes apply. */
	public void setTarget(String x) {
		this.target = x;
	}

	/** The property settings for the target. */
	@io.swagger.annotations.ApiModelProperty(value ="The property settings for the target." , required = true)
	@XmlElement(required = true)
	private TargetChangeableProperties settings;

	/** @return The property settings for the target. */
	public TargetChangeableProperties getSettings() {
		return this.settings;
	}
	/** @param x The property settings for the target. */
	public void setSettings(TargetChangeableProperties x) {
		this.settings = x;
	}
}
