package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure represents a TCP/IP protocol endpoint. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(721)
public class TcpProtocolEndpoint implements Serializable {
	public TcpProtocolEndpoint() {
	}

	/** The TCP port number of the endpoint. */
	@io.swagger.annotations.ApiModelProperty(value ="The TCP port number of the endpoint." , required = true)
	@XmlElement(required = true)
	private int tcpPort;

	/** @return The TCP port number of the endpoint. */
	public int getTcpPort() {
		return this.tcpPort;
	}
	/** @param x The TCP port number of the endpoint. */
	public void setTcpPort(int x) {
		this.tcpPort = x;
	}

	/** The IP address of the endpoint. */
	@io.swagger.annotations.ApiModelProperty(value ="The IP address of the endpoint." , required = true)
	@XmlElement(required = true)
	private IpVxAddress ipAddress;

	/** @return The IP address of the endpoint. */
	public IpVxAddress getIpAddress() {
		return this.ipAddress;
	}
	/** @param x The IP address of the endpoint. */
	public void setIpAddress(IpVxAddress x) {
		this.ipAddress = x;
	}
}
