package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to describe a thin provisioned volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1030)
public class ThinVolume implements Serializable,devmgr.api.model.Identifiable {
	public ThinVolume() {
	}

	/** The volumeHandle (SSID) for this volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The volumeHandle (SSID) for this volume." , required = true)
	@XmlElement(required = true)
	private int volumeHandle;

	/** @return The volumeHandle (SSID) for this volume. */
	public int getVolumeHandle() {
		return this.volumeHandle;
	}
	/** @param x The volumeHandle (SSID) for this volume. */
	public void setVolumeHandle(int x) {
		this.volumeHandle = x;
	}

	/** The World wide name of the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The World wide name of the volume." , required = true)
	@XmlElement(required = true)
	private String worldWideName;

	/** @return The World wide name of the volume. */
	public String getWorldWideName() {
		return this.worldWideName;
	}
	/** @param x The World wide name of the volume. */
	public void setWorldWideName(String x) {
		this.worldWideName = x;
	}

	/** The name of the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The name of the volume." , required = true)
	@XmlElement(required = true)
	private String label;

	/** @return The name of the volume. */
	public String getLabel() {
		return this.label;
	}
	/** @param x The name of the volume. */
	public void setLabel(String x) {
		this.label = x;
	}

	/** The allocation cluster size for the Expandable Repository Volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The allocation cluster size for the Expandable Repository Volume." , required = true)
	@XmlElement(required = true)
	private int allocationGranularity;

	/** @return The allocation cluster size for the Expandable Repository Volume. */
	public int getAllocationGranularity() {
		return this.allocationGranularity;
	}
	/** @param x The allocation cluster size for the Expandable Repository Volume. */
	public void setAllocationGranularity(int x) {
		this.allocationGranularity = x;
	}

	/** The virtual capacity of the volume in bytes. */
	@io.swagger.annotations.ApiModelProperty(value ="The virtual capacity of the volume in bytes." , required = true)
	@XmlElement(required = true)
	private long capacity;

	/** @return The virtual capacity of the volume in bytes. */
	public long getCapacity() {
		return this.capacity;
	}
	/** @param x The virtual capacity of the volume in bytes. */
	public void setCapacity(long x) {
		this.capacity = x;
	}

	/** Importance of fixing the volume if failed (0-4). */
	@io.swagger.annotations.ApiModelProperty(value ="Importance of fixing the volume if failed (0-4)." , required = true)
	@XmlElement(required = true)
	private int reconPriority;

	/** @return Importance of fixing the volume if failed (0-4). */
	public int getReconPriority() {
		return this.reconPriority;
	}
	/** @param x Importance of fixing the volume if failed (0-4). */
	public void setReconPriority(int x) {
		this.reconPriority = x;
	}

	/** The reference (key) for this volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference (key) for this volume." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return The reference (key) for this volume. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x The reference (key) for this volume. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** The operational status of the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The operational status of the volume." , required = true)
	@XmlElement(required = true)
	private ThinVolumeStatus status = ThinVolumeStatus.__UNDEFINED;

	/** @return The operational status of the volume. */
	public ThinVolumeStatus getStatus() {
		return this.status;
	}
	/** @param x The operational status of the volume. */
	public void setStatus(ThinVolumeStatus x) {
		this.status = x;
	}

	/** The Expandable Repository Volume underlying this Thin Volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The Expandable Repository Volume underlying this Thin Volume." , required = true)
	@XmlElement(required = true)
	private String repositoryRef;

	/** @return The Expandable Repository Volume underlying this Thin Volume. */
	public String getRepositoryRef() {
		return this.repositoryRef;
	}
	/** @param x The Expandable Repository Volume underlying this Thin Volume. */
	public void setRepositoryRef(String x) {
		this.repositoryRef = x;
	}

	/** The controller that currently manages the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The controller that currently manages the volume." , required = true)
	@XmlElement(required = true)
	private String currentManager;

	/** @return The controller that currently manages the volume. */
	public String getCurrentManager() {
		return this.currentManager;
	}
	/** @param x The controller that currently manages the volume. */
	public void setCurrentManager(String x) {
		this.currentManager = x;
	}

	/** The controller that should manage the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The controller that should manage the volume." , required = true)
	@XmlElement(required = true)
	private String preferredManager;

	/** @return The controller that should manage the volume. */
	public String getPreferredManager() {
		return this.preferredManager;
	}
	/** @param x The controller that should manage the volume. */
	public void setPreferredManager(String x) {
		this.preferredManager = x;
	}

	/** Operations allowed on this volume. */
	@io.swagger.annotations.ApiModelProperty(value ="Operations allowed on this volume." , required = true)
	@XmlElement(required = true)
	private VolumePerms perms;

	/** @return Operations allowed on this volume. */
	public VolumePerms getPerms() {
		return this.perms;
	}
	/** @param x Operations allowed on this volume. */
	public void setPerms(VolumePerms x) {
		this.perms = x;
	}

	/** For use by management client. */
	@io.swagger.annotations.ApiModelProperty(value ="For use by management client." , required = true)
	@XmlElement(required = true)
	private int mgmtClientAttribute;

	/** @return For use by management client. */
	public int getMgmtClientAttribute() {
		return this.mgmtClientAttribute;
	}
	/** @param x For use by management client. */
	public void setMgmtClientAttribute(int x) {
		this.mgmtClientAttribute = x;
	}

	/** If true, verify RAID redundancy on read operations. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, verify RAID redundancy on read operations." , required = true)
	@XmlElement(required = true)
	private boolean preReadRedundancyCheckEnabled;

	/** @return If true, verify RAID redundancy on read operations. */
	public boolean isPreReadRedundancyCheckEnabled() {
		return this.preReadRedundancyCheckEnabled;
	}
	/** @param x If true, verify RAID redundancy on read operations. */
	public void setPreReadRedundancyCheckEnabled(boolean x) {
		this.preReadRedundancyCheckEnabled = x;
	}

	/** The protection type of the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="The protection type of the volume." , required = true)
	@XmlElement(required = true)
	private ProtectionType protectionType = ProtectionType.__UNDEFINED;

	/** @return The protection type of the volume. */
	public ProtectionType getProtectionType() {
		return this.protectionType;
	}
	/** @param x The protection type of the volume. */
	public void setProtectionType(ProtectionType x) {
		this.protectionType = x;
	}

	/** True if application tag is owned by the storage array. */
	@io.swagger.annotations.ApiModelProperty(value ="True if application tag is owned by the storage array." , required = true)
	@XmlElement(required = true)
	private boolean applicationTagOwned;

	/** @return True if application tag is owned by the storage array. */
	public boolean isApplicationTagOwned() {
		return this.applicationTagOwned;
	}
	/** @param x True if application tag is owned by the storage array. */
	public void setApplicationTagOwned(boolean x) {
		this.applicationTagOwned = x;
	}

	/** The maximum virtual capacity to which this thin volume can grow (in bytes). */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum virtual capacity to which this thin volume can grow (in bytes)." , required = true)
	@XmlElement(required = true)
	private long maxVirtualCapacity;

	/** @return The maximum virtual capacity to which this thin volume can grow (in bytes). */
	public long getMaxVirtualCapacity() {
		return this.maxVirtualCapacity;
	}
	/** @param x The maximum virtual capacity to which this thin volume can grow (in bytes). */
	public void setMaxVirtualCapacity(long x) {
		this.maxVirtualCapacity = x;
	}

	/** The initial provisioned capacity for the Expandable Repository Volume for this thin volume (in bytes). */
	@io.swagger.annotations.ApiModelProperty(value ="The initial provisioned capacity for the Expandable Repository Volume for this thin volume (in bytes)." , required = true)
	@XmlElement(required = true)
	private long initialProvisionedCapacity;

	/** @return The initial provisioned capacity for the Expandable Repository Volume for this thin volume (in bytes). */
	public long getInitialProvisionedCapacity() {
		return this.initialProvisionedCapacity;
	}
	/** @param x The initial provisioned capacity for the Expandable Repository Volume for this thin volume (in bytes). */
	public void setInitialProvisionedCapacity(long x) {
		this.initialProvisionedCapacity = x;
	}

	/** The current provisioned capacity of the Expandable Repository Volume (in bytes). */
	@io.swagger.annotations.ApiModelProperty(value ="The current provisioned capacity of the Expandable Repository Volume (in bytes)." , required = true)
	@XmlElement(required = true)
	private long currentProvisionedCapacity;

	/** @return The current provisioned capacity of the Expandable Repository Volume (in bytes). */
	public long getCurrentProvisionedCapacity() {
		return this.currentProvisionedCapacity;
	}
	/** @param x The current provisioned capacity of the Expandable Repository Volume (in bytes). */
	public void setCurrentProvisionedCapacity(long x) {
		this.currentProvisionedCapacity = x;
	}

	/** The maximum capacity of the Expandable Repository Volume (in bytes). */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum capacity of the Expandable Repository Volume (in bytes)." , required = true)
	@XmlElement(required = true)
	private long provisionedCapacityQuota;

	/** @return The maximum capacity of the Expandable Repository Volume (in bytes). */
	public long getProvisionedCapacityQuota() {
		return this.provisionedCapacityQuota;
	}
	/** @param x The maximum capacity of the Expandable Repository Volume (in bytes). */
	public void setProvisionedCapacityQuota(long x) {
		this.provisionedCapacityQuota = x;
	}

	/** The percent value at which an alert is generated. */
	@io.swagger.annotations.ApiModelProperty(value ="The percent value at which an alert is generated." , required = true)
	@XmlElement(required = true)
	private int growthAlertThreshold;

	/** @return The percent value at which an alert is generated. */
	public int getGrowthAlertThreshold() {
		return this.growthAlertThreshold;
	}
	/** @param x The percent value at which an alert is generated. */
	public void setGrowthAlertThreshold(int x) {
		this.growthAlertThreshold = x;
	}

	/** The automatic Expandable Repository Volume expansion policy. */
	@io.swagger.annotations.ApiModelProperty(value ="The automatic Expandable Repository Volume expansion policy." , required = true)
	@XmlElement(required = true)
	private ThinVolumeRepositoryExpansionPolicy expansionPolicy = ThinVolumeRepositoryExpansionPolicy.__UNDEFINED;

	/** @return The automatic Expandable Repository Volume expansion policy. */
	public ThinVolumeRepositoryExpansionPolicy getExpansionPolicy() {
		return this.expansionPolicy;
	}
	/** @param x The automatic Expandable Repository Volume expansion policy. */
	public void setExpansionPolicy(ThinVolumeRepositoryExpansionPolicy x) {
		this.expansionPolicy = x;
	}

	/** The cache parameters of the underlying repository. */
	@io.swagger.annotations.ApiModelProperty(value ="The cache parameters of the underlying repository." , required = true)
	@XmlElement(required = true)
	private VolumeCache volumeCache;

	/** @return The cache parameters of the underlying repository. */
	public VolumeCache getVolumeCache() {
		return this.volumeCache;
	}
	/** @param x The cache parameters of the underlying repository. */
	public void setVolumeCache(VolumeCache x) {
		this.volumeCache = x;
	}

	/** The thin volume is offline due to the associated repository volume state. */
	@io.swagger.annotations.ApiModelProperty(value ="The thin volume is offline due to the associated repository volume state." , required = true)
	@XmlElement(required = true)
	private boolean offline;

	/** @return The thin volume is offline due to the associated repository volume state. */
	public boolean isOffline() {
		return this.offline;
	}
	/** @param x The thin volume is offline due to the associated repository volume state. */
	public void setOffline(boolean x) {
		this.offline = x;
	}

	/** Indicates how the thin volume is reported on the SCSI interface. */
	@io.swagger.annotations.ApiModelProperty(value ="Indicates how the thin volume is reported on the SCSI interface." , required = true)
	@XmlElement(required = true)
	private ThinVolumeReportingPolicy reportingPolicy = ThinVolumeReportingPolicy.__UNDEFINED;

	/** @return Indicates how the thin volume is reported on the SCSI interface. */
	public ThinVolumeReportingPolicy getReportingPolicy() {
		return this.reportingPolicy;
	}
	/** @param x Indicates how the thin volume is reported on the SCSI interface. */
	public void setReportingPolicy(ThinVolumeReportingPolicy x) {
		this.reportingPolicy = x;
	}
	@Override
	public String getId(){
		return volumeRef;
	}
}
