package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to update a thin volume's Expandable Repository Volume (ERV) maximum capacity quota. It only has validity when the auto-expand policy is true for the ERV. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(953)
public class ThinVolumeCapacityQuotaUpdateDescriptor implements Serializable {
	public ThinVolumeCapacityQuotaUpdateDescriptor() {
	}

	/** A reference to the thin volume to update. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the thin volume to update." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return A reference to the thin volume to update. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x A reference to the thin volume to update. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** The ERV's maximum quota. */
	@io.swagger.annotations.ApiModelProperty(value ="The ERV's maximum quota." , required = true)
	@XmlElement(required = true)
	private long quota;

	/** @return The ERV's maximum quota. */
	public long getQuota() {
		return this.quota;
	}
	/** @param x The ERV's maximum quota. */
	public void setQuota(long x) {
		this.quota = x;
	}
}
