package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines the different tray, or enclosure,objects that may be present as part of a storage array. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(58)
public enum TrayType implements Serializable {
		/** The tray is a SYM1000 controller module (4766, 4665). */
		sym1000(1),
		/** The tray is a SYM2000 drive module. */
		sym2000(2),
		/** The tray is a 2772 or 2662 controller. */
		sym2772(3),
		/** This value indicates that a PCI-based RAID controller is being used, so there is actually no standard enclosure acting as a container for the controller board. */
		pciraid(4),
		/** The tray is a generic SAF-TE capable enclosure. */
		generic(5),
		/** The tray is a SYM2200 drive module. */
		sym2200(6),
		/** The tray is a SYM1200 or SYM1250 controller module (4774, 4884). */
		sym1200(7),
		/** The tray is a 2882 controller. */
		sym2882(8),
		/** XBB controller tray */
		sym1500(9),
		/** 2-4 Gb/second Fibre channel controller or drive module */
		fc4600(10),
		/** The tray is a Serial-AttachedSCSI/Serial-ATA controller/drive module. */
		ss3600(11),
		/** The tray is a Serial-AttachedSCSI/Serial-ATA drive expansion module. */
		md1000(12),
		/** The tray is a Serial-AttachedSCSI/Serial-ATA controller/drive module. */
		md3000(13),
		/** The tray is an XBB-2 controller. */
		xbb2(15),
		/** The tray is a high density drive module. */
		fc6900(16),
		/** The tray is a Serial-Attached SCSI/Serial-ATA drive expansion module. */
		md1200(17),
		/** The tray is a Serial-Attached SCSI/Serial-ATA drive expansion module. */
		md1220(18),
		/** The tray is a Serial-Attached SCSI/Serial-ATA controller/drive module. */
		de1600(19),
		/** The tray is a Serial-Attached SCSI/Serial-ATA controller/drive module. */
		de5600(20),
		/** The tray is a Serial-Attached SCSI controller/drive module. */
		de6600(23),
		/** The tray is a Wembley 100 enclosure. */
		de7600(24),
		/** SAS-3 Enclosure Support -- Trafford enclosure */
		de6650(25),
		/** This tray supports the Atlantis controller. */
		sc12(26),
		/** This tray supports the Atlantis controller. */
		sc24(27),
		/** This identifies the Joshua tray type. */
		de212c(28),
		/** This identifies the Alder tray type. */
		de224c(29),
		/** This identifies the Trafford tray type. */
		de460c(30),
		__UNDEFINED(464378545);

		public final int value;

		private TrayType(int v) {
			this.value = v;
		}
}
