package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains product identification information about a vendor-supplied part. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(481)
public class VendorPartData implements Serializable {
	public VendorPartData() {
	}

	/** The name of the vendor. */
	@io.swagger.annotations.ApiModelProperty(value ="The name of the vendor." , required = true)
	@XmlElement(required = true)
	private String vendorName;

	/** @return The name of the vendor. */
	public String getVendorName() {
		return this.vendorName;
	}
	/** @param x The name of the vendor. */
	public void setVendorName(String x) {
		this.vendorName = x;
	}

	/** The part number. */
	@io.swagger.annotations.ApiModelProperty(value ="The part number." , required = true)
	@XmlElement(required = true)
	private String partNumber;

	/** @return The part number. */
	public String getPartNumber() {
		return this.partNumber;
	}
	/** @param x The part number. */
	public void setPartNumber(String x) {
		this.partNumber = x;
	}

	/** The part revision number. */
	@io.swagger.annotations.ApiModelProperty(value ="The part revision number." , required = true)
	@XmlElement(required = true)
	private String revisionNumber;

	/** @return The part revision number. */
	public String getRevisionNumber() {
		return this.revisionNumber;
	}
	/** @param x The part revision number. */
	public void setRevisionNumber(String x) {
		this.revisionNumber = x;
	}

	/** The part serial number. */
	@io.swagger.annotations.ApiModelProperty(value ="The part serial number." , required = true)
	@XmlElement(required = true)
	private String serialNumber;

	/** @return The part serial number. */
	public String getSerialNumber() {
		return this.serialNumber;
	}
	/** @param x The part serial number. */
	public void setSerialNumber(String x) {
		this.serialNumber = x;
	}
}
