package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used for the setVolumeProperties procedure. It contains the volume property settings that are to be changed. Each property in this structure has an associated length indicator that may be zero or one. Properties whose length indicator is set to zero are not changed by the procedure call. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(360)
public class VolumeChangeableProperties implements Serializable {
	public VolumeChangeableProperties() {
	}

	/** The new reconstruction priority value to be set for the volume. This value must be in the range 0-4, with 0 indicating that reconstruction is favored over any I/O, and 4 indicating that reconstruction should be performed with minimal impact to I/O. Intermediate values indicate various levels of compromise between these two extremes. */
	@io.swagger.annotations.ApiModelProperty(value ="The new reconstruction priority value to be set for the volume. This value must be in the range 0-4, with 0 indicating that reconstruction is favored over any I/O, and 4 indicating that reconstruction should be performed with minimal impact to I/O. Intermediate values indicate various levels of compromise between these two extremes." , required = true)
	@XmlElement(required = true)
	private int[] reconPriority;

	/** @return The new reconstruction priority value to be set for the volume. This value must be in the range 0-4, with 0 indicating that reconstruction is favored over any I/O, and 4 indicating that reconstruction should be performed with minimal impact to I/O. Intermediate values indicate various levels of compromise between these two extremes. */
	public int[] getReconPriority() {
		return this.reconPriority;
	}
	/** @param x The new reconstruction priority value to be set for the volume. This value must be in the range 0-4, with 0 indicating that reconstruction is favored over any I/O, and 4 indicating that reconstruction should be performed with minimal impact to I/O. Intermediate values indicate various levels of compromise between these two extremes. */
	public void setReconPriority(int[] x) {
		this.reconPriority = x;
	}

	/** The new value of the preReadRedundancyCheckEnabled property to set for the volume. If set to true, the storage controller will, on READ operations, verify RAID redundancy data for the stripe(s) containing the READ data. */
	@io.swagger.annotations.ApiModelProperty(value ="The new value of the preReadRedundancyCheckEnabled property to set for the volume. If set to true, the storage controller will, on READ operations, verify RAID redundancy data for the stripe(s) containing the READ data." , required = true)
	@XmlElement(required = true)
	private boolean[] preReadRedundancyCheckEnabled;

	/** @return The new value of the preReadRedundancyCheckEnabled property to set for the volume. If set to true, the storage controller will, on READ operations, verify RAID redundancy data for the stripe(s) containing the READ data. */
	public boolean[] getPreReadRedundancyCheckEnabled() {
		return this.preReadRedundancyCheckEnabled;
	}
	/** @param x The new value of the preReadRedundancyCheckEnabled property to set for the volume. If set to true, the storage controller will, on READ operations, verify RAID redundancy data for the stripe(s) containing the READ data. */
	public void setPreReadRedundancyCheckEnabled(boolean[] x) {
		this.preReadRedundancyCheckEnabled = x;
	}
}
