package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about a volume copy operation. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(998)
public class VolumeCopy implements Serializable,devmgr.api.model.Identifiable {
	public VolumeCopy() {
	}

	/** The World Wide Name of the volume copy. */
	@io.swagger.annotations.ApiModelProperty(value ="The World Wide Name of the volume copy." , required = true)
	@XmlElement(required = true)
	private String worldWideName;

	/** @return The World Wide Name of the volume copy. */
	public String getWorldWideName() {
		return this.worldWideName;
	}
	/** @param x The World Wide Name of the volume copy. */
	public void setWorldWideName(String x) {
		this.worldWideName = x;
	}

	/** The Volume Copy ID(ssid of proxy). */
	@io.swagger.annotations.ApiModelProperty(value ="The Volume Copy ID(ssid of proxy)." , required = true)
	@XmlElement(required = true)
	private int volcopyHandle;

	/** @return The Volume Copy ID(ssid of proxy). */
	public int getVolcopyHandle() {
		return this.volcopyHandle;
	}
	/** @param x The Volume Copy ID(ssid of proxy). */
	public void setVolcopyHandle(int x) {
		this.volcopyHandle = x;
	}

	/** Reference (key) for copy. */
	@io.swagger.annotations.ApiModelProperty(value ="Reference (key) for copy." , required = true)
	@XmlElement(required = true)
	private String volcopyRef;

	/** @return Reference (key) for copy. */
	public String getVolcopyRef() {
		return this.volcopyRef;
	}
	/** @param x Reference (key) for copy. */
	public void setVolcopyRef(String x) {
		this.volcopyRef = x;
	}

	/** Indicates status of copy. */
	@io.swagger.annotations.ApiModelProperty(value ="Indicates status of copy." , required = true)
	@XmlElement(required = true)
	private VolumeCopyStatus status = VolumeCopyStatus.__UNDEFINED;

	/** @return Indicates status of copy. */
	public VolumeCopyStatus getStatus() {
		return this.status;
	}
	/** @param x Indicates status of copy. */
	public void setStatus(VolumeCopyStatus x) {
		this.status = x;
	}

	/** Source volume reference. */
	@io.swagger.annotations.ApiModelProperty(value ="Source volume reference." , required = true)
	@XmlElement(required = true)
	private String sourceVolume;

	/** @return Source volume reference. */
	public String getSourceVolume() {
		return this.sourceVolume;
	}
	/** @param x Source volume reference. */
	public void setSourceVolume(String x) {
		this.sourceVolume = x;
	}

	/** Target volume reference. */
	@io.swagger.annotations.ApiModelProperty(value ="Target volume reference." , required = true)
	@XmlElement(required = true)
	private String targetVolume;

	/** @return Target volume reference. */
	public String getTargetVolume() {
		return this.targetVolume;
	}
	/** @param x Target volume reference. */
	public void setTargetVolume(String x) {
		this.targetVolume = x;
	}

	/** Current owner of copy. */
	@io.swagger.annotations.ApiModelProperty(value ="Current owner of copy." , required = true)
	@XmlElement(required = true)
	private String currentManager;

	/** @return Current owner of copy. */
	public String getCurrentManager() {
		return this.currentManager;
	}
	/** @param x Current owner of copy. */
	public void setCurrentManager(String x) {
		this.currentManager = x;
	}

	/** Apply write protection to target volume when copy is idle (true/false). */
	@io.swagger.annotations.ApiModelProperty(value ="Apply write protection to target volume when copy is idle (true/false)." , required = true)
	@XmlElement(required = true)
	private boolean idleTargetWriteProt;

	/** @return Apply write protection to target volume when copy is idle (true/false). */
	public boolean isIdleTargetWriteProt() {
		return this.idleTargetWriteProt;
	}
	/** @param x Apply write protection to target volume when copy is idle (true/false). */
	public void setIdleTargetWriteProt(boolean x) {
		this.idleTargetWriteProt = x;
	}

	/** Time copy operation completed. */
	@io.swagger.annotations.ApiModelProperty(value ="Time copy operation completed." , required = true)
	@XmlElement(required = true)
	private long copyCompleteTime;

	/** @return Time copy operation completed. */
	public long getCopyCompleteTime() {
		return this.copyCompleteTime;
	}
	/** @param x Time copy operation completed. */
	public void setCopyCompleteTime(long x) {
		this.copyCompleteTime = x;
	}

	/** Time copy operation began. */
	@io.swagger.annotations.ApiModelProperty(value ="Time copy operation began." , required = true)
	@XmlElement(required = true)
	private long copyStartTime;

	/** @return Time copy operation began. */
	public long getCopyStartTime() {
		return this.copyStartTime;
	}
	/** @param x Time copy operation began. */
	public void setCopyStartTime(long x) {
		this.copyStartTime = x;
	}

	/** Importance of copy operation. */
	@io.swagger.annotations.ApiModelProperty(value ="Importance of copy operation." , required = true)
	@XmlElement(required = true)
	private VolumeCopyPriority copyPriority = VolumeCopyPriority.__UNDEFINED;

	/** @return Importance of copy operation. */
	public VolumeCopyPriority getCopyPriority() {
		return this.copyPriority;
	}
	/** @param x Importance of copy operation. */
	public void setCopyPriority(VolumeCopyPriority x) {
		this.copyPriority = x;
	}

	/** Reserved for future use. */
	@XmlTransient
	private String reserved1;

	/** @return Reserved for future use. */
	public String getReserved1() {
		return this.reserved1;
	}
	/** @param x Reserved for future use. */
	public void setReserved1(String x) {
		this.reserved1 = x;
	}

	/** The volume copy is a clone. */
	@io.swagger.annotations.ApiModelProperty(value ="The volume copy is a clone." , required = true)
	@XmlElement(required = true)
	private boolean cloneCopy;

	/** @return The volume copy is a clone. */
	public boolean isCloneCopy() {
		return this.cloneCopy;
	}
	/** @param x The volume copy is a clone. */
	public void setCloneCopy(boolean x) {
		this.cloneCopy = x;
	}

	/** For clones based on PiT Groups, this will identify the PiT Group. */
	@io.swagger.annotations.ApiModelProperty(value ="For clones based on PiT Groups, this will identify the PiT Group." , required = true)
	@XmlElement(required = true)
	private String pgRef;

	/** @return For clones based on PiT Groups, this will identify the PiT Group. */
	public String getPgRef() {
		return this.pgRef;
	}
	/** @param x For clones based on PiT Groups, this will identify the PiT Group. */
	public void setPgRef(String x) {
		this.pgRef = x;
	}
	@Override
	public String getId(){
		return volcopyRef;
	}
}
