package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to determine the status of a copy operation. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(236)
public enum VolumeCopyStatus implements Serializable {
		/** The source is being copied to the target. */
		inProgress(1),
		/** The source has been copied to the target. */
		complete(2),
		/** The copy was halted by user request (also initial state). */
		halted(3),
		/** The copy process failed. */
		failed(4),
		/** Background copy start pending resources. */
		pending(5),
		__UNDEFINED(464378545);

		public final int value;

		private VolumeCopyStatus(int v) {
			this.value = v;
		}
}
