package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report progress of an exclusive operation that applies to a volume group. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1040)
public class VolumeGroupOperation implements Serializable {
	public VolumeGroupOperation() {
	}

	/** Reference to the volume group. */
	@io.swagger.annotations.ApiModelProperty(value ="Reference to the volume group." , required = true)
	@XmlElement(required = true)
	private String volumeGroupRef;

	/** @return Reference to the volume group. */
	public String getVolumeGroupRef() {
		return this.volumeGroupRef;
	}
	/** @param x Reference to the volume group. */
	public void setVolumeGroupRef(String x) {
		this.volumeGroupRef = x;
	}

	/** Completion percentage for volume group. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	@io.swagger.annotations.ApiModelProperty(value ="Completion percentage for volume group. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING." , required = true)
	@XmlElement(required = true)
	private int groupPercentComplete;

	/** @return Completion percentage for volume group. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	public int getGroupPercentComplete() {
		return this.groupPercentComplete;
	}
	/** @param x Completion percentage for volume group. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	public void setGroupPercentComplete(int x) {
		this.groupPercentComplete = x;
	}

	/** Estimated time in minutes to complete the volume group. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	@io.swagger.annotations.ApiModelProperty(value ="Estimated time in minutes to complete the volume group. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN." , required = true)
	@XmlElement(required = true)
	private int groupTimeToCompletion;

	/** @return Estimated time in minutes to complete the volume group. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public int getGroupTimeToCompletion() {
		return this.groupTimeToCompletion;
	}
	/** @param x Estimated time in minutes to complete the volume group. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public void setGroupTimeToCompletion(int x) {
		this.groupTimeToCompletion = x;
	}

	/** Reference to the volume currently being processed. */
	@io.swagger.annotations.ApiModelProperty(value ="Reference to the volume currently being processed." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return Reference to the volume currently being processed. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x Reference to the volume currently being processed. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** Completion percentage for volume currently being processed. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	@io.swagger.annotations.ApiModelProperty(value ="Completion percentage for volume currently being processed. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING." , required = true)
	@XmlElement(required = true)
	private int volumePercentComplete;

	/** @return Completion percentage for volume currently being processed. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	public int getVolumePercentComplete() {
		return this.volumePercentComplete;
	}
	/** @param x Completion percentage for volume currently being processed. If the operation is not currently running this value will be equal to PERCENT_COMPLETE_OP_NOT_RUNNING. */
	public void setVolumePercentComplete(int x) {
		this.volumePercentComplete = x;
	}

	/** Estimated time in minutes to complete the volume currently being processed. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	@io.swagger.annotations.ApiModelProperty(value ="Estimated time in minutes to complete the volume currently being processed. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN." , required = true)
	@XmlElement(required = true)
	private int volumeTimeToCompletion;

	/** @return Estimated time in minutes to complete the volume currently being processed. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public int getVolumeTimeToCompletion() {
		return this.volumeTimeToCompletion;
	}
	/** @param x Estimated time in minutes to complete the volume currently being processed. If the time is not known this value will be equal to TIME_TO_COMPLETION_UNKNOWN. */
	public void setVolumeTimeToCompletion(int x) {
		this.volumeTimeToCompletion = x;
	}
}
