package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as an argument when updating a volume's general parameters. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(774)
public class VolumeParamsUpdateDescriptor implements Serializable {
	public VolumeParamsUpdateDescriptor() {
	}

	/** The reference value that identifies the volume whose general parameters are to be updated. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference value that identifies the volume whose general parameters are to be updated." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return The reference value that identifies the volume whose general parameters are to be updated. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x The reference value that identifies the volume whose general parameters are to be updated. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}

	/** The new reconstruction priority value to be set for the volume. This value must be in the range 0-4, with 0 indicating that reconstruction is favored over any I/O, and 4 indicating that reconstruction should be performed with minimal impact to I/O. Intermediate values indicate various levels of compromise between these two extremes. */
	@io.swagger.annotations.ApiModelProperty(value ="The new reconstruction priority value to be set for the volume. This value must be in the range 0-4, with 0 indicating that reconstruction is favored over any I/O, and 4 indicating that reconstruction should be performed with minimal impact to I/O. Intermediate values indicate various levels of compromise between these two extremes." , required = true)
	@XmlElement(required = true)
	private int reconPriority;

	/** @return The new reconstruction priority value to be set for the volume. This value must be in the range 0-4, with 0 indicating that reconstruction is favored over any I/O, and 4 indicating that reconstruction should be performed with minimal impact to I/O. Intermediate values indicate various levels of compromise between these two extremes. */
	public int getReconPriority() {
		return this.reconPriority;
	}
	/** @param x The new reconstruction priority value to be set for the volume. This value must be in the range 0-4, with 0 indicating that reconstruction is favored over any I/O, and 4 indicating that reconstruction should be performed with minimal impact to I/O. Intermediate values indicate various levels of compromise between these two extremes. */
	public void setReconPriority(int x) {
		this.reconPriority = x;
	}
}
