package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used during the volume creation process to provide the controller with hints about how to optimize the new volume's performance characteristics. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(144)
public enum VolumeUsage implements Serializable {
		/** The volume will be used for multimedia data storage, where data is typically read and written in large, sequential units. */
		multimedia(1),
		/** The volume will be used for transactional applications, such as database storage. */
		transactional(2),
		/** The volume will be used for typical file system storage. */
		filesystem(3),
		__UNDEFINED(464378545);

		public final int value;

		private VolumeUsage(int v) {
			this.value = v;
		}
}
